2001-02-01  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-clickable-image.h:
	A little better documentation.

	* libnautilus-extensions/nautilus-labeled-image.c:
	(nautilus_labeled_image_new),
	(nautilus_labeled_image_new_from_file_name),
	(nautilus_labeled_image_button_new_from_file_name),
	(nautilus_labeled_image_toggle_button_new),
	(nautilus_labeled_image_toggle_button_new_from_file_name),
	(nautilus_labeled_image_check_button_new_from_file_name),
	(nautilus_labeled_image_set_pixbuf_from_file_name),
	(nautilus_labeled_image_set_tile_pixbuf_from_file_name):
	* libnautilus-extensions/nautilus-labeled-image.h:
	New functions for creating stock buttons from pixbuf filenames.
	Also a little better documentation.
	
2001-02-01  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-clickable-image.c:
	(nautilus_clickable_image_realize),
	(nautilus_clickable_image_unrealize):
	* libnautilus-extensions/nautilus-clickable-image.h:
	Need to store the connection ids to properly diconnect them on
	unrealize.  Otheriwse bad things happen.
	
	* components/services/nautilus-dependent-shared/eazel-services-extensions.h:
	* components/services/nautilus-dependent-shared/eazel-services-extensions.c:
	(eazel_services_image_new_clickable),
	(eazel_services_label_new), (eazel_services_label_new_clickable):
	Add new functions to create clickable images and labels.
	
	* components/services/nautilus-dependent-shared/eazel-services-footer.c:
	(eazel_services_footer_initialize), (footer_destroy),
	(footer_item_clicked_callback), (footer_item_enter_callback),
	(footer_item_leave_callback), (footer_item_new):
	Made a lot simpler by using clickable images.  It could be even
	simpler if the clickable images handled all the prelighting
	details.  Thats a possible improvement.
	
2001-02-01  Eskil Heyn Olsen  <eskil@eazel.com>

	This patch is temporarily going to break a few things, will sync
	up with Robey tomorrow. Eg. eazel-install (cli tool) now sigsegvs
	on error.
	
	* components/rpmview/nautilus-rpm-view-install.c:
	s/packagedata_destroy/gtk_object_unref/

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_destroy):
	s/packagedata_destroy/gtk_object_unref/

	* components/services/install/command-line/eazel-alt-install-corba.
	c: (eazel_preflight_check_signal):
	If there were problems, abort.
	
	* components/services/install/command-line/eazel-test-softcat.c:
	(main):
	* components/services/install/lib/eazel-install-corba-callback.c:
	(impl_download_progress), (impl_download_failed), (impl_dep_check),
	(impl_install_progress), (impl_uninstall_progress),
	(impl_md5_check_failed):
	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install_simple_query):
	s/packagedata_destroy/gtk_object_unref/

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_download_packages),
	(eazel_install_check_for_file_conflicts), (ei_revert_transaction),
	(eazel_install_do_transaction_all_files_check),
	(eazel_install_prune_packages), (eazel_install_fetch_dependencies),
	(eazel_install_do_file_conflict_check),
	(eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse),
	(eazel_uninstall_check_for_install):
	ifdeffed out a lot of old code that's no longer used, but it still
	compiles. logic.c will soon be entirely removed.
	s/packagedata_destroy/gtk_object_unref/
	Uninstall stuff uses the new PackageBreaks objects.
	
	* components/services/install/lib/eazel-install-logic2.c:
	(dump_tree_helper), (eazel_install_check_existing_packages),
	(get_softcat_info), (dedupe_foreach_depends), (is_satisfied),
	(check_update_for_no_more_file_conflicts), (check_tree_helper),
	(find_break_by_package_name), (add_file_conflict),
	(check_no_two_packages_has_same_file),
	(package_is_upgrading_and_doesnt_need_file),
	(check_conflicts_against_already_installed_packages),
	(check_feature_consistency), (install_packages_helper):
	Nicer output.
	Fixes 6172 and 6173.
	s/packagedata_destroy/gtk_object_unref/
	
	* components/services/install/lib/eazel-install-protocols.c:
	Removed unused define
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_do_rpm_dependency_check):
	More code ifdeffed out, see comment for eazel-install-logic.c
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (eazel_install_packagedata_to_xml_int),
	(eazel_install_packagelist_to_xml), (osd_parse_shared):
	Use the new PackageBreak objects.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(make_rpm_argument_list), (rpm_packagedata_new_from_file),
	(eazel_package_system_rpm3_query_impl),
	(eazel_package_system_rpm3_compare_version):
	s/packagedata_destroy/gtk_object_unref/

	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system-types.c:
	(categorydata_destroy_foreach), (packagedependency_new),
	(packagedependency_copy), (packagedependency_destroy),
	(packagedata_finalize), (packagedata_class_initialize),
	(packagedata_initialize), (packagedata_copy),
	(packagedata_remove_soft_dep), (packagedata_get_readable_name),
	(packagedata_add_pack_to), (packagedata_add_to_breaks),
	(packagedata_add_pack_to_soft_depends),
	(packagedata_add_pack_to_modifies), (packagedata_list_prune),
	(add_string_list), (dump_package_break_list),
	(packagedata_dump_int), (packagebreaks_finalize),
	(packagebreaks_class_initialize), (packagebreaks_initialize),
	(packagebreaks_get_type), (packagebreaks_new),
	(packagebreaks_set_package), (packagebreaks_get_package),
	(packagefileconflict_finalize),
	(packagefileconflict_class_initialize),
	(packagefileconflict_initialize), (packagefileconflict_get_type),
	(packagefileconflict_new), (packagefeaturemissing_finalize),
	(packagefeaturemissing_class_initialize),
	(packagefeaturemissing_initialize),
	(packagefeaturemissing_get_type), (packagefeaturemissing_new):
	s/packagedata_destroy/gtk_object_unref/
	Wrote some objects representing package breakage.

	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_is_installed):
	s/packagedata_destroy/gtk_object_unref/

	* components/services/install/lib/eazel-softcat.c:
	(eazel_softcat_available_update):
	Fixed the function so it matches the intended semantics
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_view_update_from_uri):
	s/packagedata_destroy/gtk_object_unref/

	Merge from PR3 branch
	
	2001-01-26  Eskil Olsen  <eskil@eazel.com> 

 	reviewed by: Ramiri Estrugo <ramiro@eazel.com>

 	* components/services/install/command-line/eazel-test-packsys.c:
 	(test_version_compare):
 	Testing the Mozilla hack...
 	
 	* components/services/install/lib/eazel-package-system-rpm3.c:
 	(eazel_package_system_rpm3_compare_version):
 	Special case for Mxx versions because rpmvercmp is not obeying
 	the laws of mathematics...
 	
 	* components/services/install/lib/eazel-softcat.c:
 	(get_search_url_for_package):
 	Fix for 6055 - no longer use hardcoded RedHat62 as distro.

2001-02-01  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/Makefile.am:
	New files.
	* libnautilus-extensions/nautilus-art-extensions.c:
	(nautilus_art_irect_align):
	* libnautilus-extensions/nautilus-art-extensions.h:
	Make the align function actually work.  The previous version was
	copied from GtkPixmap and i didnt realize it did not work.  Remove
	the padding parameters which are not really needed for alignment.

	* libnautilus-extensions/nautilus-clickable-image.h:
	* libnautilus-extensions/nautilus-clickable-image.c:
	New class.  A clickable image.

	* libnautilus-extensions/nautilus-labeled-image.h:
	* libnautilus-extensions/nautilus-labeled-image.c:
	New class.  A labeled image.
	
	* libnautilus-extensions/nautilus-image.h:
	* libnautilus-extensions/nautilus-image.c:
	(nautilus_image_expose_event), (image_get_pixbuf_bounds),
	(image_is_smooth), (nautilus_image_set_is_smooth),
	(nautilus_image_get_is_smooth), (nautilus_image_new_solid),
	(nautilus_image_set_never_smooth):
	Add never smooth attribute to force behavior to match GTK+ for
	cases when consistency is most important.
 	Update for alignment art extensions api change.
	Some minor paramter name changes to lose abbreviations.
	
	* libnautilus-extensions/nautilus-label.h:
	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_size_request), (nautilus_label_expose_event),
	(label_get_text_bounds), (label_is_smooth),
	(nautilus_label_set_is_smooth), (nautilus_label_get_is_smooth),
	(nautilus_label_new_solid), (nautilus_label_set_never_smooth):
	Add never smooth attribute to force behavior to match GTK+ for
	cases when consistency is most important.
 	Update for alignment art extensions api change.
 	Update for alignment art extensions api change.
	Some minor paramter name changes to lose abbreviations.

	* libnautilus-extensions/nautilus-smooth-widget.c:
	(smooth_widget_get_tile_origin_point),
	(nautilus_smooth_widget_get_preferred_frame):
	Add some comments explaining why using 0 for ancestor offsets
	works.
	Fix a really dumb bug, the paddings where multiplies by 2 twice
	instead of once.
	
	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-nautilus-clickable-image.c: (clicked_callback),
	(enter_callback), (leave_callback), (clickable_image_new), (main):
	* test/test-nautilus-label-background.c:
	* test/test-nautilus-label-scrolled.c: (label_window_new_scrolled),
	(label_window_new_table):
	* test/test-nautilus-label-simple.c: (main):
	* test/test-nautilus-label.c: (main):
	* test/test-nautilus-labeled-image.c: (labeled_image_new),
	(labeled_image_window_new), (labeled_image_button_window_new),
	(main):
	* test/test-nautilus-pixbuf-tile.c:
	(pixbuf_drawing_area_expose_event),
	(drawable_drawing_area_expose_event), (main):
	* test/test-nautilus-preferences-change.c: (main):
	* test/test.c: (test_init):
	New tests for clickable and labeled images.  Many updates to other
	tests.

	Also, changed many instances of NautilusFooDetail to
        NautilusFooDetails as well as the corresponding members.
	
2001-02-01  Gene Z. Ragan  <gzr@eazel.com>

	Additional work on first time druid gmc to nautilus conversion routines.
	
	* src/nautilus-first-time-druid.c: (druid_finished),
	(convert_gmc_desktop_icons), (transition_value_changed):

	Make gmc link to Nautilus link conversion more complete
	
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	* libnautilus-extensions/nautilus-gnome-extensions.h:
	(nautilus_gnome_get_terminal_path):
	New utility routine to return path to an installed terminal application
	
	(nautilus_gnome_open_terminal):
	Call above function
	
	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-link.h:
	(nautilus_link_local_create),
	
	(nautilus_link_local_create_from_gnome_entry):
	New function to create a nautilus link from .desktop entry data
		
	It's hard to be hated by millions.  Make gmc to nautilus link transition much better.
	We now can support converted .desktop links that require a terminal. Also, get rid
	of gnome-vfs symlinks and use the command: specifier to launch instead.  This was not possible
	earlier, but due to a recent bug fix by me, we can now use this specifier in a
	Nautilus link.
	
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link),
	(icon_view_create_nautilus_links),
	(update_home_link_and_delete_copies),
	(update_trash_link_and_delete_copies):
	
2001-01-31  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com> and Eli Goldberg
	<eli@eazel.com>

	* THANKS: Gave credit where it's due. Added a section for testers.
	* check-THANKS.pl: Don't fail if the about box file is not present
	so this script can be used on modules other than Nautilus; also,
	added some address aliases.

2001-01-31  Rebecca Schulman  <rebecka@eazel.com>

	Fixed bug 5245, that words used in the search bar were used
	elsewhere, such that they could not be translated correctly for
	both contexts.  The fix was to wrap all of the strings used to
	display both the search bar, and the description of
	search results in bracketed context and write a function
	to remove the bracketed text before displaying.

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c: 
	Added comments and wrapped the text to be translated in bracketed
	context.
	(get_translated_criterion), (get_nth_criterion_prefix),
	(parse_uri):  Call nautilus_str_remove_bracketed_text
	on appropriate strings before displaying.
	
	* libnautilus-extensions/nautilus-string.h:
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_remove_bracketed_text), (nautilus_self_check_string):
	Add the debracketing function and tests for it.

	* src/nautilus-search-bar-criterion.c: 
	Added comments and wrapped the text to be translated in bracketed
	context.
	(nautilus_search_bar_criterion_destroy),
	(nautilus_search_bar_criterion_new_from_values),
	(nautilus_search_bar_criterion_update_valid_criteria_choices):
	Call nautilus_str_remove_bracketed_text on appropriate strings
	before displaying.
	
2001-01-31  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 6162 (need option to stop "xx items" from being
	calculated for ftp:// locations)

	Added a speed tradeoff preference for showing directory
	counts. It's "local-only" for Beginner and "always" (but
	changeable) for Intermediate/Advanced.

	Fixed bug 1856 (fix hideous hack to kick-start embedded-text
	reading when preference changes)

	Fixed bug 2396 (properties window doesn't show/hide
	"special flags" when preference changes) 

	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback): Update for name change.
	(lacks_directory_count): Now checks preference by calling
	nautilus_file_should_show_directory_item_count.
	(should_get_directory_count_now): Renamed to add the "_now"
	to help distinguish from 
	nautilus_file_should_show_directory_item_count.
	(directory_count_start): Update for name change.
	
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(emit_change_signals_for_all_files): New function, emits change
	signals for self-as-file (if applicable) and all contained files.
	(async_state_changed_one): New hash-table function, calls
	emit_change_signals_for_all_files on a directory.
	(async_data_preference_changed_callback): New preferences-changed
	callback, calls async_state_changed_one on each directory.
	(add_preferences_callbacks): Renamed from add_filtering_callbacks,
	now adds callbacks for top-left text and item counts preferences.
	(remove_preferences_callbacks): Renamed from remove_filtering_callbacks,
	now removes callbacks for top-left text and item counts preferences.
	(nautilus_directory_get_internal): Update for name change.
	(nautilus_directory_emit_change_signals): renamed from
	_emit_change_signals_deep to avoid recursion connotation.
	(nautilus_directory_emit_metadata_changed),
	(call_files_changed_free_list),
	(call_files_changed_unref_free_list): Update for name change.

	* libnautilus-extensions/nautilus-file.c:
	(get_speed_tradeoff_preference_for_file): New utility function,
	returns boolean based on local-ness of file and value of
	specified speed-tradeoff preference.
	(nautilus_file_should_get_top_left_text): Now calls
	get_speed_tradeoff_preference_for_file.
	(nautilus_file_should_show_directory_item_count): New function,
	calls get_speed_tradeoff_preference_for_file.
	(nautilus_file_get_directory_item_count),
	(nautilus_file_get_deep_counts): Bail out early without computation
	if _should_show_directory_item_count is FALSE.
	(nautilus_file_changed): Update for name change.
	
	* libnautilus-extensions/nautilus-file.h: Make
	nautilus_file_should_show_directory_item_count public so the
	preferences window can make UI decisions based on it.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_install_visibility),
	(global_preferences_create_dialog): Add new preference
	NAUTILUS_PREFERENCES_SHOW_DIRECTORY_ITEM_COUNTS and wire up
	default values and UI.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize), (fm_directory_view_destroy):
	Remove hideous hack.
	
	* src/file-manager/fm-properties-window.c: 
	(append_separator): Return widget instead of row number.
	(attach_directory_contents_value_field): Return widget.
	(update_visibility_of_table_rows): New helper function to
	update visibility of a series of table rows & contained
	widgets.
	(update_visibility_of_item_count_fields): New function
	to update visibility of directory item count widgetry.
	(update_visibility_of_item_count_fields_wrapper): Simple
	wrapper for above.
	(remember_directory_contents_widget),
	(append_directory_contents_fields): Remember item counts
	widgetry so it can be shown/hidden later; set up prefs
	callback; change signature for to pass window.
	(create_basic_page), (create_permissions_page): 
	store table in window->details; update for changed signatures.
	(append_special_execution_checkbox): Now takes window,
	don't use GTK_EXPAND to avoid resizing column unnecessarily,
	count number of special flags rows.
	(remember_special_flags_widget),
	(update_visibility_of_special_flags_widgets): New function
	to update visibility of special flags widgetry.
	(update_visibility_of_special_flags_widgets_wrapper):
	Simple wrapper for above.
	(append_special_execution_flags): Remember special flags
	widgetry so it can be shown/hidden later; set up prefs
	callback; change signature to pass window.
	(real_destroy): free widget lists.

2001-01-31  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* src/nautilus-application.c (nautilus_application_startup): Don't
	loop more than 20 times when we get OAF_REG_ALREADY_ACTIVE trying
	to register the factory, instead display an error message that
	suggests killing oafd.

2001-01-31  Arik Devens  <arik@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com>

	* librsvg/rsvg-ft.c: (rsvg_ft_glyph_insert): Updated to evict from
	the cache whenever above the high water mark instead of only when
	inserting would put you above the mark.

2001-01-31  Darin Adler  <darin@eazel.com>

	reviewed by: Michael Engber <engber@eazel.com>

	Fix bug 6192 ("mapped before underway" warning when clicking on
	any sidebar tab).
	
	* src/nautilus-view-frame.c: (nautilus_view_frame_map): Remove
	inappropriate check of state, and replace it with a simple NULL
	check that handles the failed case.
	
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_file_background_is_set): Fixed backwards logic by
	removing an erroneous "!".
	
	* libnautilus-extensions/nautilus-icon-factory.c: Formatting
	tweaks.
	* src/file-manager/fm-directory-view.c: Formatting tweak.
	* src/nautilus-application.c: (nautilus_application_startup):
	Fixed comment.
	(check_for_and_run_as_super_user): Formatting tweak.

2001-01-31  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Gene Z. Ragan <gzr@eazel.com>

	Fix 5324 (Should get rid of stack-based GnomeVFSFileInfo)

	* components/adapter/bonobo-stream-vfs.c: (vfs_get_info):
	Nuked some unused code that contained gnome_vfs_file_info_init.
	
	* components/adapter/nautilus-adapter-progressive-load-strategy.c:
	(nautilus_adapter_progressive_load_strategy_load_location):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(path_represents_svg_image), (get_cache_time):
	* libnautilus-extensions/nautilus-thumbnails.c:
	(first_file_more_recent):
	* src/nautilus-window-menus.c: (get_static_bookmarks_file_path):
	Get rid of gnome_vfs_file_info_init.
	Replace all instances of stack-based GnomeVFSFileInfo
	structures, replace all calls to gnome_vfs_file_info_init
	with gnome_vfs_file_info_new.
	Replace most calls to gnome_vfs_file_info_clear with
	gnome_vfs_file_info_unref.

	* libnautilus-extensions/nautilus-preferences-item.c:
	(has_image_file):
	Rework to use gnome_vfs_uri_exists instead of trying to get
	file info.

	* components/adapter/nautilus-adapter-progressive-load-strategy.c:
	(nautilus_adapter_progressive_load_strategy_load_location):
	Fixed a bug where file info fields were being used after a
	gnome_vfs_file_info_clear call


	Fix 6146 ("Duplicate File" reports "You cannot copy a file
		   over itself")

	* libnautilus-extensions/nautilus-file-operations.c:
	(nautilus_file_operations_copy_move):
	Make copying iside the same directory while the
	GNOME_VFS_XFER_USE_UNIQUE_NAMES move_option is set legal.

2001-01-31  Ian McKellar  <ian@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com>

	* components/services/inventory/Trilobite_Service_inventory.oaf.in:
	Fixed a tyop in the path to the trilobite-inventory-service

	* components/services/inventory/eazel-inventory-utils.h:
	* components/services/inventory/eazel-inventory-service.c:
	Moved the GConf path for machine name to 

	(impl_Trilobite_Eazel_Inventory_upload):
	Improved error reporting / debugging. Actually save the MD5.

	* components/services/inventory/eazel-inventory-utils.c:
	(add_package_info), (add_software_info),
	(eazel_inventory_local_path)
	Fixed memory leaks.

	(eazel_inventory_update_md5):
	Added a function to store the MD5.

	* nautilus.spec.in:
	Add inventory files to the right RPMs.

2001-01-31  Arik Devens  <arik@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com>

	Fixed bug 3853, Intermittent crash with warnings from
	"rsvg_ft_glpyh_insert" by refactoring the method for inserting and
	removing glyph's from the cache.
	
	* librsvg/rsvg-ft.c: (rsvg_ft_glyph_evict),
	(rsvg_ft_glyph_insert), (rsvg_ft_measure_or_render_string):
	Refactored to use a high water mark based eviction rather then a
	limit and to evict with respect to that mark.

2001-01-31  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: George Lebl  <jirka@5z.com>
	
	Fix bug 4448 (install-server needs session management juju)
	
	* components/services/install/server/main.c: (main): Add call to
	`gnome_client_disable_master_connection'

	* components/services/trilobite/sample/service/main.c: (main): Add
	call to `gnome_client_disable_master_connection'

2001-01-30  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Ramiro Estrugo  <ramiro@eazel.com>

	Mass refactoring of summary view code to make needed summary view
	fixes more managable. In the process, fixed bugs 4555 (Version
	display for featured softcat downloads) and 5795 (Summary View
	text doesn't wrap.) Also, cleaned up assorted pieces of text.

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (update_header), (create_header), (update_footer),
	(create_footer), (summary_view_button_callback),
	(summary_view_button_new), (summary_view_item_label_new),
	(summary_view_item_large_header_label_new),
	(summary_view_item_header_label_new),
	(summary_view_item_body_label_new), (append_hseparator_to_vbox),
	(generate_eazel_news_entry_row), (summary_view_update_pane),
	(summary_view_create_pane), (update_news_pane),
	(create_news_pane),
	(generate_service_entry_row), (update_services_list_pane),
	(create_services_list_pane), (generate_update_news_entry_row),
	(update_featured_downloads_pane),
	(create_featured_downloads_pane),
	(generate_summary_form), (nautilus_summary_view_initialize),
	(nautilus_summary_view_destroy), (summary_load_location_callback),
	(text_resize_callback): Factor the monolithic summary view code up
	more. The next step is to create a widget class to manage each
	pane, and to create the base layout once and only change the pane
	contents on recipt of summary XML or login.

	* components/services/summary/nautilus-view/nautilus-summary-callbacks.h,
	components/services/summary/nautilus-view/nautilus-summary-callbacks.c:
	Remove tab selected callbacks since they are no longer used.

	* components/services/summary/nautilus-view/nautilus-summary-view-private.h:
	Removed lots of unneeded fields in the details struct; changed
	button labels, "Go There!" --> "Go There", "More Info!" --> "More
	Info", "Install Me!" --> "Install"

2001-01-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Gene Z. Ragan <gzr@eazel.com>

	* libnautilus-extensions/nautilus-debug-drawing.c:
	(debug_pixbuf_viewer_expose_event):
	* libnautilus-extensions/nautilus-gdk-extensions.c:
	* libnautilus-extensions/nautilus-gdk-extensions.h:
	Remove unused code.

2001-01-30  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen  <eskil@eazel.com>
	
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_from_packagedata),
	(packagedata_from_corba_packagedatastruct):
	* components/services/install/lib/eazel-install-logic.c:
	(dump_one_package):
	* components/services/install/lib/eazel-install-problem.c:
	(get_detailed_messages_foreach),
	(get_detailed_uninstall_messages_foreach),
	(get_detailed_cases_foreach),
	(get_detailed_uninstall_cases_foreach):
	* components/services/install/lib/eazel-package-system-types.c:
	(packagedata_initialize), (packagedata_finalize),
	(packagedata_copy), (packagedata_fill_in_missing),
	(packagedata_destroy), (packagedata_dump_int):
	* components/services/install/lib/eazel-package-system-types.h:
	* components/rpmview/nautilus-rpm-view-install.c:

	Remove unused hard_depends member from PackageData.
	
	* components/services/install/lib/eazel-install-logic2.c:
	(dump_tree_helper), (prune_failed_packages_helper),
	(prune_failed_packages), (eazel_install_check_existing_packages),
	(get_softcat_info), (dedupe_foreach_depends), (is_satisfied),
	(check_tree_helper), (check_tree_for_conflicts),
	(download_packages), (set_toplevel), (install_packages):
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package), (flatten_tree_func):
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(make_rpm_argument_list),
	(eazel_package_system_rpm3_packagedata_fill_from_header),
	(rpm_packagedata_new_from_file),
	(eazel_package_system_rpm3_load_package):
	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_load_package):

	Backport Eskil's recursive-dep fix from PR3.  Use
	name/sense/version to hash completed dependencies, so files will
	work (not just softcat packages).
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (eazel_install_packagedata_to_xml_int),
	(eazel_install_packagedata_to_xml), (osd_parse_shared):

	The best of all worlds: some backported PR3 patches from Eskil,
	some removal of hard_depends usage, and some new code to encode &
	decode the RPM filesize from the XML generated across the corba
	pipe.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_view_destroy),
	(nautilus_install_parse_uri), (update_package_info_display),
	(nautilus_service_install_downloading),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_installing),
	(nautilus_service_install_done), (nautilus_service_install_failed),
	(nautilus_service_install_view_update_from_uri),
	(nautilus_service_install_view_load_uri),
	(service_install_stop_loading_callback):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.h:

	Backport changes to the install view from PR3 (I should've done
	this when I checked them into PR3 but I was brain-fried): No
	longer cylon (use the throbber to indicate busy-ness) and handle
	early cancels better.  Also some new stuff to use the more
	accurate filesize counts.
	
2001-01-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Fix bug 5763 - Largest fitting font logic in Sidebar title causes
	font criticals.  Cleanup some related stuff in the process.
	
	* libnautilus-extensions/nautilus-font-factory.h:
	* libnautilus-extensions/nautilus-font-factory.c:
	(nautilus_font_factory_get_font_by_family),
	(nautilus_font_factory_get_font_from_preferences):
	Move these functions to nautilus-gdk-font-extensions.[ch].
	
	* libnautilus-extensions/nautilus-gdk-font-extensions.h:
	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	(nautilus_gdk_font_get_largest_fitting), Rewrite the function to
	not depend on any hard coded font sizes or XLFD names.
	(nautilus_gdk_font_get_name), New function.
	(nautilus_gdk_font_get_size_in_pixels), (unref_fixed_font),
	(nautilus_gdk_font_get_fixed),
	(nautilus_gdk_font_xlfd_string_new), Move these 2 here from
	nautilus-font-factory.
	(nautilus_self_check_ellipsize_start),
	(nautilus_self_check_gdk_font_extensions):
	* libnautilus-extensions/nautilus-scalable-font.h:
	* libnautilus-extensions/nautilus-scalable-font.c:
	(parse_font_description_file), (font_compare),
	(font_family_find_font), (font_family_lookup),
	(font_family_lookup_with_insertion), (font_family_table_add_fonts),
	(nautilus_scalable_font_new),
	(nautilus_scalable_font_measure_text),
	(nautilus_scalable_font_text_width),
	(nautilus_scalable_font_draw_text),
	(nautilus_scalable_font_measure_text_lines),
	(nautilus_scalable_font_draw_text_lines_with_dimensions),
	(nautilus_scalable_font_draw_text_lines),
	(nautilus_scalable_font_largest_fitting_font_size), Rewrite this
	function to work just like nautilus_gdk_font_get_largest_fitting()
	for greater consistency.
	(font_family_table_for_each_append),
	(font_family_table_for_each_free),
	(nautilus_scalable_font_query_font), (text_layout_free_row),
	(nautilus_text_layout_new), (nautilus_text_layout_paint):
	Use signed integers for dimensions.  Lots of cleanup to comply
	with the Nautilus coding style.
	
	* libnautilus-extensions/nautilus-string-list.h:
	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_new_from_tokens),
	(nautilus_string_list_get_index_for_string),
	(nautilus_string_list_as_concatenated_string),
	(nautilus_string_list_get_longest_string),
	(nautilus_string_list_get_longest_string_length),
	(nautilus_self_check_string_list):
	Use signed integers instead of guint.

	* src/nautilus-sidebar-title.c: (update_font):
	Update for largest fitting font api changes.  Get rid of the hard
	coded list of font sizes.
	
2001-01-30  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fixed bug 5726 (In single-window mode, activating desktop icons
	should use frontmost window).

	* src/nautilus-window-manage-views.c:
	(get_topmost_nautilus_window): New function.
	(open_location): For desktop in one-window mode, reuse the topmost
	window if there is one instead of making new window every time.

2001-01-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Gene Z. Ragan <gzr@eazel.com>

	* applets/preferences-applet/nautilus-preferences-applet.c:
	(quit_button_clicked_callback), (main):
	Add a quit button that invokes "nautilus --quit."
	
2001-01-30  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 6147 (selected icons flash unselected/selected rapidly):
	
	* src/nautilus-window-manage-views.c: (change_selection): Don't
	send out selection change notices to the view that reported the
	selection change.
	(change_selection_callback): Pass in view that requested the
	change so we can know not to send a selection change to that view.
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_send_selection_change): Clear flag that says we
	have a selection change for the shell.
	(selection_changed_callback): Add code to indicate this selection
	change is due to the shell, so we don't tell the shell about
	something it just told us.
	(done_loading): Set flag so we don't tell the shell about selection
	changes that are part of the first load of the directory.
	(display_selection_info_idle_callback): Only send a selection change
	to the shell if the change was initiated here. Also remove the code
	that ref's the NautilusView object -- wasn't helping.
	(update_menus_timeout_callback), (display_pending_idle_callback),
	(display_pending_timeout_callback): Remove the code that ref's the
	NautilusView object -- wasn't helping.
	(fm_directory_view_notify_selection_changed): Propagate flag that
	tells the idle code we have made the change to the selection and
	the shell should be notified.
	
	Fix bug 6158 (nautilus --quit shouldn't check for
	~/.nautilus/first-time-wizard-flag).

	* src/nautilus-main.c: (main): Don't do the first-time druid check
	when the --quit or --restart option is used.
	
	Fix bug 803 (All metafile tags should be lower case).
	
	* libnautilus-extensions/nautilus-metadata.h: Use lower-case for
	metadata tags.
	* libnautilus-extensions/nautilus-directory-metafile.c:
	(create_metafile_root), (get_file_node),
	(nautilus_directory_rename_file_metadata),
	(nautilus_directory_copy_file_metadata),
	(nautilus_directory_set_metafile_contents): Change metadata tags
	to be lower-case.
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_self_check_directory): Use lower-case in metadata
	self-test for clarity.
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_keywords), (nautilus_file_set_keywords): Change
	metadata tags to be lower-case.
	
	* data/top/.nautilus-metafile.xml
	* icons/ardmore/ardmore.xml:
	* icons/arlo/arlo.xml:
	* icons/arlo/i-directory.xml:
	* icons/arlo/i-regular.xml:
	* icons/crux_eggplant/crux_eggplant.xml:
	* icons/crux_eggplant/i-directory.xml:
	* icons/crux_eggplant/i-regular.xml:
	* icons/default.xml:
	* icons/gnome/gnome.xml:
	* icons/i-directory-accept.xml:
	* icons/i-directory.xml:
	* icons/i-regular.xml:
	* icons/villanova/villanova.xml:
	Change XML to use lower-case.

	* libnautilus-extensions/nautilus-link-set.c: (create_new_link):
	Use lower-case for link XML tags.
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_local_create), (nautilus_link_local_set_link_uri),
	(nautilus_link_local_set_type),
	(nautilus_link_local_get_link_uri),
	(nautilus_link_local_get_link_type),
	(nautilus_link_get_link_uri_given_file_contents): Use lower-case
	for link XML tags.
	
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_select_text_color),
	(nautilus_sidebar_title_theme_changed): Use lower-case for theme
	XML tags.
	* components/throbber/nautilus-throbber.c:
	(get_bonobo_properties), (nautilus_throbber_initialize),
	(nautilus_throbber_load_images),
	(nautilus_throbber_button_press_event): Change theme XML tags to be
	lower-case.
	* libnautilus-extensions/nautilus-icon-container.c:
	(start_rubberbanding): Use lower-case for theme XML tags.
	(nautilus_icon_container_initialize): Fix comment.
	(update_label_color), (nautilus_icon_container_theme_changed): Use
	lower-case for theme XML tags.
	* libnautilus-extensions/nautilus-icon-factory.c: (set_theme): Use
	lower-case for theme XML tags.
	(get_themed_icon_file_path): Use lower-case for icon XML file
	tags.
	(icon_theme_changed_callback): Use lower-case for theme XML tags.
	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_load_theme_data), (get_text_offset): Use
	lowe-case for theme XML tags.
	* src/nautilus-sidebar.c: (nautilus_sidebar_update_appearance):
	Use lower-case for theme XML tags.
	* src/nautilus-window-toolbars.c: (get_file_name_from_icon_name):
	Use lower-case for theme XML tags.
	* src/nautilus-zoom-control.c: (draw_number): Use lower-case for
	theme XML tags.

	Change code that used GSList when it should use GList. We use
	GList so that we can share utility functions. It's arbitrary. We
	could have decided to use all GSList instead, but we chose GList
	(because of its name, initially).

	* components/tree/nautilus-tree-expansion-state.c:
	(expansion_state_load_callback),
	(nautilus_tree_expansion_state_load_table_from_gconf),
	(hash_table_get_keys_callback), (hash_table_get_keys),
	(nautilus_tree_expansion_state_save_table_to_gconf): Update to use
	GList instead of GSList.
	* libnautilus-extensions/nautilus-gconf-extensions.h:
	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(nautilus_gconf_handle_error), (nautilus_gconf_set_string_list),
	(nautilus_gconf_get_string_list): Change to work with GList
	instead of GSList to match the rest of Nautilus, so that the lists
	can be manipulated with all the GList utility functions.
	* libnautilus-extensions/nautilus-glib-extensions.h:
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_round): Changed name from nautilus_g_round -- "g" for
	"gratuitous".
	(nautilus_g_list_from_g_slist), (nautilus_g_slist_from_g_list):
	Added utility functions to help make GSLists from GLists and vice
	versa. Useful when dealing with functions that yield/expect
	GSLists.
	* libnautilus-extensions/nautilus-icon-text-item.c: (iti_destroy),
	(iti_update), (iti_paint_text), (iti_draw), (iti_render),
	(iti_event): Use nautilus_round by its new name.
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(nautilus_preferences_set_string_list),
	(nautilus_preferences_get_string_list),
	(nautilus_preferences_default_set_string_list),
	(nautilus_preferences_default_get_string_list): Change to use
	GList instead of GSList.
	* libnautilus-extensions/nautilus-search-uri.c:
	(free_tokenized_uri), (tokenize_uri), (get_translated_criterion),
	(get_nth_criterion_prefix), (parse_uri): Change to use GList
	instead of GSList.
	* src/nautilus-application.h:
	* src/nautilus-application.c:
	(nautilus_application_get_window_list): Renamed from
	nautilus_application_windows and changed to use GList instead of
	GSList.
	(nautilus_application_destroyed_window),
	(nautilus_application_create_window), (volume_unmounted_callback):
	Change to use GList instead of GSList.
	* src/nautilus-shell.c: (save_window_states),
	(restore_window_states): Use GList instead of GSList.
	* src/nautilus-window-manage-views.c: (just_one_window): Use GList
	instead of GSList.
	(open_location_prefer_existing_window_callback): Use GList instead
	of GSList.
	* src/nautilus-window.c: (nautilus_forget_history): Use GList
	instead of GSList and the new name for
	nautilus_application_get_window_list.
	
	Other changes.

	* src/nautilus-shell.c: (display_caveat_first_time): Turn off the
	caveat -- we're close enough to 1.0.
	
	* libnautilus-extensions/nautilus-view-identifier.c:
	(nautilus_view_identifier_new_from_oaf_server_info): Use free_deep
	call.
	
	* libnautilus/nautilus-view-standard-main.h: Use
	BEGIN/END_GNOME_DECLS.
	
	* src/file-manager/fm-desktop-icon-view.c: Remove unneeded
	include.

2001-01-30  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Gene Z. Ragan <gzr@eazel.com>

	* components/tree/libmain.c: (tree_shlib_object_destroyed):
	Removed accidentally checked in call to `oaf_plugin_unuse' to fix
	bug 6154 (creating new window after closing initial window crashes
	creating tree view). It's not actually safe to unload a shared
	library that declares a GtkType because it makes Gtk unhappy.

2001-01-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Michael Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions):
	* libnautilus-extensions/nautilus-preferences.c:
	Fix bug 5899 - "Do slower, complete search" preference needs to
	include explanation.
	
2001-01-30  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 6153 (confusing error message after trying to
	navigate to "foo")

	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback):
	Improved the error message for this case so that it's
	more likely to be helpful.

2001-01-30  Martin Norbäck  <d95mback@dtek.chalmers.se>

        * libnautilus-extensions/nautilus-file-operations-progress.c:
        (nautilus_file_operations_progress_new_file):
        Marked string for translation.

2001-01-30  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 5863 (visiting a directory makes its property-window
	deep count start again from scratch)

	* libnautilus-extensions/nautilus-directory-async.c:
	(nautilus_directory_invalidate_count_and_mime_list):
	Renamed from _invalidate_counts, no longer resets the
	deep count when resetting the shallow count and MIME
	list. (There's already a separately-used API for resetting
	the deep count.)
	(nautilus_directory_force_reload):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(invalidate_one_count), (invalidate_count_and_unref):
	Updated for name change.

2001-01-29  Ramiro Estrugo  <ramiro@eazel.com>

	* test/test-nautilus-label-wrapped.c: (size_allocate_callback),
	(create_nautilus_label):
	Add an example of how to do dynamic wrapping.
	
2001-01-29  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen <eskil@eazel.com>

	* components/services/install/idl/trilobite-eazel-install.idl:
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_from_packagedata),
	(packagedata_from_corba_packagedatastruct):
	* components/services/install/lib/eazel-package-system-types.c:
	(packagedata_initialize), (packagedata_finalize),
	(packagedata_copy), (packagedata_fill_in_missing),
	(packagedata_get_readable_name):
	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-softcat.c:
	(get_search_url_for_package), (eazel_softcat_get_info):

	Add "suite_id" field to the PackageData and corba struct, for
	packages that actually refer to a group of packages, not just one.
	
	* components/services/install/lib/eazel-install-logic.c:
	* components/services/install/lib/eazel-install-logic.h:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_start_signal), (eazel_install_end_signal),
	(eazel_install_progress_signal), (eazel_install_failed_signal):

	Move four signal calls into the file they're used in, so that
	someday in the startrek future, we can get rid of the old
	logic.[ch] files.
	
2001-01-29  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Gene Z. Ragan <gzr@eazel.com>

	Fixed 5781 (results of load_directory must be passed in chunks
		instead of the entire list)
	Fixed 1438 (use plain GList instead of GnomeVFSDirectoryList)

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update):
	* components/services/vault/command-line/vault-operations.c:
	(vault_list):
	* components/text/nautilus-text-view.c: (add_services_to_menu):
	* libnautilus-extensions/nautilus-customization-data.c:
	(nautilus_customization_data_new),
	(nautilus_customization_data_get_next_element_for_display),
	(nautilus_customization_data_destroy):
	* libnautilus-extensions/nautilus-directory-async.c:
	(directory_load_callback), (directory_count_callback),
	(start_monitoring_file_list), (directory_count_start),
	(deep_count_callback), (deep_count_load), (mime_list_callback),
	(mime_list_load):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(add_icon_themes):
	* src/file-manager/fm-directory-view.c:
	* src/nautilus-link-set-window.c: (get_link_set_names):
	* src/nautilus-location-bar.c: (try_to_expand_path):
	* src/nautilus-theme-selector.c:
	(populate_list_with_themes_from_directory):
	Switch the uses of GnomeVFSDirectoryList to a simple GList.
	Get rid of the sort and reverse arguments to the load_directory
	calls.

2001-01-29  Arik Devens  <arik@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-preferences-box.c:
	(preferences_box_category_list_recreate): Fixed my breakage of the
	build by finishing cleanup Ramiro asked me to do.

2001-01-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 5974 (menu item to change Nautilus theme
	should mention "theme" in its name)

	* src/nautilus-shell-ui.xml: After bugzilla discussion
	with Vera, renamed "Change Appearance..." -> "Nautilus Themes..."

	* libnautilus-extensions/nautilus-stock-dialogs.c:
	Reduced timed-wait initial timeout from 5 seconds to
	3 after playing around with the gnome-vfs test-method.
	
2001-01-29  Darin Adler  <darin@eazel.com>

	reviewed by: Maciej Stachowiak <mjs@eazel.com>

	Fixed bug 2131 (Change Nautilus to use OAF asynchronous activation
	interface). In making view activation work right, I also
	eliminated the state machine that was almost gone from
	NautilusWindow. There's still some additional simplification we
	can do, but it's simpler than it was. At the same time, made sure
	all incoming CORBA calls are deferred until idle time. This is
	most of what the old state machine was accomplishing, believe it
	or not, although it didn't do it 100%.

	Also fixes bug 2457 (Silent error loading content view), bug 2461
	(progress from old and new content view sometimes confused), and
	bug 6109 (Assertion hit on clicking the refresh button many times
	very quickly). Perhaps others too, we need to test some old bugs
	to see if they have changed behavior.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(activation_handle_done), (activation_idle_callback),
	(activation_cancel), (oaf_activation_callback),
	(nautilus_bonobo_activate_cancel): Change implementation so that
	the actual callback happens at idle time, since CORBA callbacks
	can happen at almost any time.
	
	* libnautilus/Makefile.am:
	* libnautilus/nautilus-idle-queue.h:
	* libnautilus/nautilus-idle-queue.c: (execute_queued_functions),
	(nautilus_idle_queue_new), (nautilus_idle_queue_add),
	(nautilus_idle_queue_destroy): Factored out the idle queueing that
	I added to NautilusView so we can use it on the NautilusViewFrame
	side too.
	
	* libnautilus/nautilus-view.c: (queue_incoming_call),
	(nautilus_view_initialize), (nautilus_view_destroy): Change to use
	the new NautilusIdleQueue so we can share code.
	
	* src/nautilus-view-frame-private.h:
	* src/nautilus-view-frame-corba.c: (list_free_deep_callback),
	(free_location_and_selection_callback), (open_in_this_window),
	(open_prefer_existing_window), (open_force_new_window),
	(report_selection_change), (report_status),
	(report_load_underway), (report_load_progress),
	(report_load_complete), (report_load_failed), (set_title),
	(impl_Nautilus_ViewFrame_open_location_in_this_window),
	(impl_Nautilus_ViewFrame_open_location_prefer_existing_window),
	(impl_Nautilus_ViewFrame_open_location_force_new_window),
	(impl_Nautilus_ViewFrame_report_selection_change),
	(impl_Nautilus_ViewFrame_report_status),
	(impl_Nautilus_ViewFrame_report_load_underway),
	(impl_Nautilus_ViewFrame_report_load_progress),
	(impl_Nautilus_ViewFrame_report_load_complete),
	(impl_Nautilus_ViewFrame_report_load_failed),
	(impl_Nautilus_ViewFrame_set_title): Deal with all incoming CORBA
	calls through the idle queue.
	
	* src/nautilus-view-frame.h: Moved all the fields into
	details. Renamed client_loaded to view_loaded. Renamed load_client
	to load_view. Eliminated load_client_sync. Renamed get_iid to
	get_view_iid. Eliminated get_is_underway. Added
	get_is_view_loaded.
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_queue_incoming_call): Simple cover for
	putting an incoming CORBA call on the idle queue.
	(nautilus_view_frame_initialize_class): Change client_loaded
	signal name to view_loaded.
	(nautilus_view_frame_initialize): Allocate the idle queue.
	(stop_activation): New function that stops a load_view that is
	underway.
	(destroy_view): Use the "view" field to tell if a view was
	loaded. The old code used the "iid" field, but now we set that
	even before the load is completed.
	(nautilus_view_frame_destroy): Destroy the idle queue. Also put
	the view into "failed" state once it's destroyed so additional
	calls are harmless.
	(nautilus_view_frame_finalize): Check that we're in the failed
	state.
	(emit_zoom_parameters_changed): New function so we can share more
	code.
	(view_frame_activated): Emit the zoom_parameters_changed signal
	here since a new view should always should get this signal.
	(view_frame_underway): Make this do nothing in the failed case
	instead of complaining.
	(view_frame_loaded): Make this do nothing in the failed case
	instead of complaining.
	(view_frame_failed): Stop whatever's in progress when the view
	fails. Also, allow calling this on a view that's already failed.
	(check_if_view_is_gone): Consolidate the calls to
	deregister_dead_components so we don't need an explicit call here.
	(emit_zoom_parameters_changed_callback),
	(zoom_parameters_changed_callback),
	(emit_zoom_level_changed_callback), (zoom_level_changed_callback):
	Redo these so they queue onto the idle queue, since they are
	triggered by incoming CORBA calls that can happen at any time.
	(create_corba_objects): Factor out the part of the code that makes
	the CORBA objects. Make error handling more complete and keep
	around pointers to the Bonobo objects for various parts of the
	aggregate so we can connect the appropriate signal handlers.
	(attach_view): Change code so it no longer connects signals to the
	BonoboObjectClient, since the signals won't go out on that
	GtkObject. Connect to the exception signals for all objects in the
	aggregate (any failure means "view failed"). Also connect to the
	"destroy" signal for one object (doesn't matter which since the
	entire aggregate goes away at once) and to the zoom-related
	signals. Report errors with signals rather than returning a
	boolean.
	(activation_callback): Add code to handle failure case.
	(nautilus_view_frame_load_view): Renamed. Got rid of "sync."
	version.
	(nautilus_view_frame_stop): Stop OAF activation of the view if
	it's in progress.
	(nautilus_view_frame_selection_changed): Make it a quiet no-op to
	send a selection change notice if no view is loaded. This helps
	keep the code simple for sidebars. Later we may make the view
	frame responsible for sending the selection on once the view is
	loaded.
	(nautilus_view_frame_title_changed): Same change as for selection,
	same idea.
	(nautilus_view_frame_get_is_zoomable),
	(nautilus_view_frame_get_zoom_level),
	(nautilus_view_frame_set_zoom_level),
	(nautilus_view_frame_get_min_zoom_level),
	(nautilus_view_frame_get_max_zoom_level),
	(nautilus_view_frame_get_has_min_zoom_level),
	(nautilus_view_frame_get_has_max_zoom_level),
	(nautilus_view_frame_get_is_continuous),
	(nautilus_view_frame_get_preferred_zoom_levels),
	(nautilus_view_frame_zoom_in), (nautilus_view_frame_zoom_out),
	(nautilus_view_frame_zoom_to_fit): Since a failed view has a
	zoomable_frame field set to NULL, got rid of all the explicit
	failure-case code for these functions.
	(nautilus_view_frame_get_view_iid): Renamed from get_iid. 
	(nautilus_view_frame_report_load_underway),
	(nautilus_view_frame_report_load_complete),
	(nautilus_view_frame_report_load_failed): Moved the "quiet"
	handling of failed views down into the underlying functions, so
	these no longer need explicit failure-case code.
	(nautilus_view_frame_set_label): It's OK to allow this even for a
	failed view.
	(nautilus_view_frame_map): Use a kept-around reference to the
	control frame instead of relying on query_local_interface.
	(nautilus_view_frame_get_is_view_loaded): Add this so callers can
	tell when a sidebar view is not yet loaded. Might not need this
	when we clean things up more, but it's no big deal either way.
	
	* src/nautilus-window-manage-views.c: (update_title): No need to
	send the title change to the new content view -- it gets a title
	change once it comes up "for real".
	(set_displayed_location): Handle location of NULL here so we don't
	need to worry about it elsewhere.
	(check_bookmark_location_matches): Remove "uri" from name.
	(location_has_really_changed): Now that the state machine is gone,
	it's easy to see that this is never called with pending_ni equal
	to cancel_tag, so remove the code for that and add an assert.
	(set_view_location_and_selection): New name for what was called
	update_view.
	(set_sidebar_panels_location_and_selection): Cover since this loop
	occurs in two places.
	(update_for_new_location_and_selection): New name for what was
	called set_view_location_and_selection. Since it's now clear this
	can't be called with new_content_view equal to NULL, remove the
	code to handle that (fixes bug 2457).
	(load_content_view): Use async. view loading here. Get rid of
	"Avoid being fooled by extra done notifications from the last
	view. This is a HACK because the state machine SUCKS." by
	eliminating the "cv_progress_done" and "cv_progress_error" flags
	altogether. In the case where we reuse the same view, just call
	update_for_new_location_and_selection -- the old code set
	"view_activation_complete", but I eliminated that flag.
	(handle_view_failure): Remove the old view using
	nautilus_window_set_content_view_widget instead of having
	duplicate code here. Use a call to cancel_location_change instead
	of setting the "reset_to_idle" and "cv_progress_error" flags
	(both gone now).
	(free_location_change): No need to clean up "error_views" any
	more, because that field is gone.
	(end_location_change): New helper to stop the throbber from
	throbbing and then free the location change state.
	(cancel_location_change): Get rid of special case for NULL
	location now that set_displayed_location can handle it.
	(nautilus_window_end_location_change_callback): Remove
	"superstitiously" added call to update_state and call
	load_content_view_for_new_location directly.
	(nautilus_window_begin_location_change): Use a call to
	cancel_location_change to deal with the possibility that we may
	have a change already in progress.
	(nautilus_window_stop_loading): Use cancel_location_change to stop
	the loading.
	(nautilus_window_set_content_view): Remove calls to update_state
	-- there's no state to update any more.
	(nautilus_window_set_sidebar_panels): Do an async. load here and
	finish the setup in the view_loaded callback.
	(failed_callback): Do a handle_view_failed right here, now that we
	have no state machine to satisfy.
	(load_underway_callback): Change code to handle the two
	interesting cases separately without a state machine. When the new
	content view says "underway", it's time for
	location_has_really_changed. When an existing content view says
	"underway", we restart the throbber (fixes 1/2 of bug 2461).
	(load_complete_callback): Since view frames now ensure we get an
	underway call before a complete call, we can simplify the
	logic. If the main content view says "complete", it's time to stop
	the throbber (fixes other 1/2 of bug 2461).
	(view_loaded_callback): Renamed the client_loaded callback. Also
	made it update location and selection for sidebar panels when they
	are loaded. Also made it update the title for any view when it's
	loaded.

	* src/nautilus-window.h:
	* src/nautilus-window.c: (nautilus_window_synch_view_as_menu):
	Handle case of NULL content view.
	(nautilus_window_set_content_view_widget): Destroy the view when
	it's going away instead of removing it from the parent. Also make
	this function handle the NULL case so we can use it to remove the
	old view, not just to add the new one.

	* libnautilus-extensions/nautilus-bonobo-extensions.h: Whitespace
	tweak.

	* src/nautilus-sidebar.c:
	(nautilus_sidebar_active_panel_matches_id): Update for
	nautilus_view_frame_get_view_iid name change.
	
2001-01-29  Arik Devens  <arik@eazel.com>

	reviewed by: Ramiro Estrugo  <ramiro@eazel.com>

	Fixed bug 6122, Switching user levels always selects but does not
	necessarily display first category.
	
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_destroy), (preferences_box_select_pane),
	(preferences_box_iterate_clist),
	(preferences_box_category_list_recreate): Added a new convience
	function to iterate through the category clist looking for a
	specific entry and return its row. Added the setting of the active
	row in the clist to the previously selected pane if it exists in
	your user level.

2001-01-29  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 5508, Nautilus crashes when pressing 'Esc' in
	copy/duplicate progress dialog

	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_close_callback), (create_transfer_dialog):
	Set the cancel state to true if the user uses the Escape key
	or close box to dismiss the dialog.  This will cancel the
	transfer properly.
	
2001-01-29  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_create_boolean):
	Justify labels to the left.
	
2001-01-29  Robey Pointer  <robey@eazel.com>

	* icons/Makefile.am:

	Un-revert some changes Andy accidentally reverted last week that
	cause the password-change view to display incorrectly.

2001-01-29  Rebecca Schulman  <rebecka@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-program-choosing.c:
	Launch an application with a uri as a parameter for
	applications that accept uris for all locations, and 
	non-file parameters where applications expect 
	uris for non-file locations.  This fixes bug 4962,
	"Open with mpg123 fails for local files"
	* libnautilus-extensins/nautilus-file-utilities.h:
	* libnautilus-extensins/nautilus-file-utilities.c
	(nautilus_uri_get_scheme), (nautilus_uri_is_local_scheme):
	Add new uri_get_scheme function and fix a lack of 
	colons in the nautilus_uri_is_local_scheme function
	that was causing us to do a istr_has_prefix (uri, "file")
	to check if a uri was of scheme file.
	* libnautilus-extensions/nautilus-file.c: 
	(nautilus_file_get_uri_scheme) refactor the code in here
	to use the nautilus_uri_get_scheme function 

2001-01-29  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Arik Devens  <arik@eazel.com>

	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_initialize),
	(preferences_box_select_pane),
	(preferences_box_category_list_recreate),
	(category_list_select_row_callback),
	(nautilus_preferences_box_update):
	Fix bug 6119 - Preferences pane is blank after changing user
	levels from advanced to beginner.  Whenever we recreate the
	category list, we update the selection.
		
2001-01-29  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>
	
	Fixed bug 6098, mounting and unmounting a cdrom
	volume incorrectly reports error.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(close_error_pipe):
	Loop on read until we get an error or end of read.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(create_unique_volume_name):
	Tweak the index so the created name accurately reflects
	the number of occurence the file is.
	
	Initial work on adding a GMC to Nautilus transition mechanism
	to the first time wizard.
	* src/nautilus-first-time-druid.c: (druid_finished),
	(convert_gmc_desktop_icons), (transition_value_changed),
	(set_up_gmc_transition_page), (nautilus_first_time_druid_show):
	
2001-01-29  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 4427 (Should not execute text files by default).

	Now it asks whether to run or display executable text files.
	Advanced users can set a new preference.

	* libnautilus-extensions/nautilus-stock-dialogs.h:
	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(create_message_box): New bottleneck function, contains former
	guts of show_message_box but doesn't call gtk_widget_show.
	(show_message_box): Now just a simple wrapper for 
	calling create_message_box and showing the result.
	(nautilus_show_info_dialog), (nautilus_show_warning_dialog), 
	(nautilus_show_error_dialog), (nautilus_show_yes_no_dialog), 
	(nautilus_show_error_dialog_with_details):
	Renamed to add verb "show" to names.
	(nautilus_run_simple_dialog): Renamed to add verb "run" to name.
	(nautilus_create_question_dialog): New public function, does
	not show the dialog yet so caller can add more buttons or
	whatever before showing.

	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_install_visibility),
	(global_preferences_create_dialog): Add new preference for
	what to do when an executable text file is activated. It
	defaults to "Ask" and is visible only at Advanced level.

	* libnautilus-extensions/nautilus-file-private.h:
	* libnautilus-extensions/nautilus-file.h: Moved
	nautilus_file_contains_text into public header.
	
	* src/file-manager/fm-directory-view.c:
	(get_executable_text_file_action): New function, uses preference
	and dialog (if necessary) to determine how to handle activating
	an executable text file.
	(activate_callback): Now handles executable text files specially
	by using get_executable_text_file_action. Restructured the control
	flow a little.

	* components/music/nautilus-music-view.c: (set_album_cover),
	(play_current_file), (nautilus_music_view_update):
	* components/rpmview/nautilus-rpm-view-install.c:
	(nautilus_rpm_view_install_done):
	* components/services/summary/nautilus-view/nautilus-summary-dialogs.c: 
	(nautilus_summary_login_failure_dialog),
	(generate_error_dialog):
	* components/text/nautilus-text-view.c: (file_read_callback):
	* libnautilus-extensions/nautilus-file-operations.c:
	(confirm_empty_trash),
	(handle_transfer_vfs_error), (handle_transfer_overwrite),
	(nautilus_file_operations_copy_move),
	(handle_new_folder_vfs_error),
	(nautilus_file_operations_move_to_trash):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(confirm_switch_to_manual_layout):
	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_show_no_choices_message):
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application):
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(display_mount_status):
	* src/file-manager/fm-desktop-icon-view.c:
	(icon_view_create_nautilus_links):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_confirm_multiple_windows),
	(real_file_limit_reached), (fm_directory_view_confirm_deletion),
	(confirm_delete_from_trash), (report_broken_symbolic_link),
	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_renaming_file), (fm_report_error_setting_group),
	(fm_report_error_setting_owner),
	(fm_report_error_setting_permissions):
	* src/file-manager/fm-properties-window.c: (set_custom_image):
	* src/file-manager/fm-search-list-view.c: (load_location_callback),
	(load_error_callback), (display_indexed_search_problems_dialog),
	(real_file_limit_reached):
	* src/file-manager/nautilus-indexing-info.c:
	(update_file_index_callback),
	(show_search_service_not_available_dialog):
	* src/nautilus-application.c: (check_required_directories),
	(nautilus_application_startup):
	* src/nautilus-location-bar.c: (drag_data_received_callback):
	* src/nautilus-property-browser.c: (remove_pattern),
	(remove_emblem), (emblem_image_file_changed),
	(add_pattern_to_browser), (add_color_to_browser),
	(emblem_dialog_clicked):
	* src/nautilus-sidebar.c: (receive_dropped_uri_list):
	* src/nautilus-theme-selector.c: (add_theme_to_icons),
	(theme_select_row_callback):
	* src/nautilus-window-manage-views.c: (handle_unreadable_location),
	(report_content_view_failure_to_user_internal),
	(report_sidebar_panel_failure_to_user),
	(nautilus_window_end_location_change_callback):
	* src/nautilus-window-menus.c: (forget_history_if_confirmed),
	(show_bogus_bookmark_window): Updated for dialog API name changes.

	* libnautilus-extensions/nautilus-file.c: (get_description):
	Lucky Aaron gets missing mime description complaints now.

2001-01-29  Michael Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_draw):
	Allocate buffer when needed rather than keeping it around.

2001-01-29  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Arik Devens  <arik@eazel.com>

	Bug fixes.

	5776 - Preferences dialog layout updates incorrectly after
	switching user level.

	5791 - Preference section title are visible even when section is
	empty.
	
	* libnautilus-extensions/nautilus-preferences-box.h:
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_initialize_class),
	(nautilus_preferences_box_initialize),
	(nautilus_preferences_box_destroy), (preferences_box_select_pane),
	(preferences_box_category_list_recreate), (pane_info_new),
	(pane_info_free), (category_list_select_row_callback),
	(nautilus_preferences_box_new),
	(nautilus_preferences_box_add_pane),
	(nautilus_preferences_box_update):
	Lots of cleanup.  Fix typos in many class macros and methods.
	Comply with the Nautilus style more.  Remove unused code.

	Recreate the category list whenever the preference box gets
	updated in order to honor user level visibilities.

	* libnautilus-extensions/nautilus-preferences-dialog.h:
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	(nautilus_preferences_dialog_destroy),
	(nautilus_preferences_dialog_get_prefs_box),
	(nautilus_preferences_dialog_update),
	(user_level_changed_callback):
	Fix class macros typos.
	
	* libnautilus-extensions/nautilus-preferences-group.h:
	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_get_num_visible_items):
	Fix misspelled method.
	
	* libnautilus-extensions/nautilus-preferences-pane.h:
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_destroy),
	(nautilus_preferences_pane_set_title),
	(nautilus_preferences_pane_set_description),
	(nautilus_preferences_pane_add_group),
	(nautilus_preferences_pane_add_item_to_nth_group),
	(nautilus_preferences_pane_update),
	(nautilus_preferences_pane_get_num_visible_groups):
	Lots of cleanup.  Remove unused and crufty code.  Made the widget
	a lot simpler.
	
2001-01-29  Arik Devens  <arik@eazel.com>

	reviewed by: Maciej Stachowiak <mjs@eazel.com>

	Fixed bug 5627, Preferences window needs better sizing.
	
	* libnautilus-extensions/nautilus-preferences-box.c:
	(prefs_box_construct), (prefs_box_select_pane),
	(nautilus_preferences_box_add_pane): Added a notebook view to put
	the preference panes in. Removed hiding and showing of panes.
	libnautilus-extensions/nautilus-preferences-dialog.c:
	(nautilus_preferences_dialog_construct): Added setting of default
	size to the preferences dialog for the default font size.
	libnautilus-extensions/nautilus-preferences-dialog.h:
	libnautilus-extensions/nautilus-preferences-pane.c:
	(prefs_pane_construct), (nautilus_preferences_pane_add_group):
	Added showing of preference panes on creation so that the notebook
	view sizes correctly.

2001-01-27  Gene Z. Ragan  <gzr@eazel.com>

	Added logic to handle volume mount name collisions.
	Check for possible filename collison on desktop and create
	unique alternate names for mounted devices.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:

	(nautilus_volume_monitor_get_volume_name),
	(modify_volume_name_for_display), (update_modifed_volume_name),
	(mount_lists_are_identical), (verify_current_mount_state),
	(nautilus_volume_monitor_set_volume_name),
	(get_iso9660_volume_name), (get_ext2_volume_name),
	(get_msdos_volume_name), (get_nfs_volume_name),
	(get_floppy_volume_name), (get_generic_volume_name):
	
	* src/file-manager/fm-desktop-icon-view.c:
	(create_unique_volume_name), (create_mount_link),
	(volume_unmounted_callback):

Fri Jan 26 23:58:42 2001  George Lebl <jirka@5z.com>

	Holy piss sprinkled on this by Arik <arik@eazel.com>

	* components/adapter/main.c (main)
	  components/help/hyperbola-main.c (main)
	  components/image-viewer/nautilus-image-view.c (init_server_factory)
	  components/mozilla/main.c (main)
	  components/music/main.c (main)
	  components/notes/nautilus-notes.c (main)
	  components/services/install/nautilus-view/main.c (main)
	  components/services/inventory/main.c (main)
	  components/services/login/nautilus-view/main.c (main)
	  components/services/summary/nautilus-view/main.c (main)
	  components/shell/shell.c (init_bonobo)
	  components/text/main.c (main)
	  components/throbber/main.c (main)
	  components/tree/main.c (main)
	  libnautilus/nautilus-view-standard-main.c
	  (nautilus_view_standard_main_multi):
	  Add gnome_client_disable_master_connection call to all out of
	  process component main functions since they should not register
	  with the session manager.  Fixes bug #6051

2001-01-26  Seth Nickell  <seth@eazel.com>

	* icons/eazel/sidebar_tab_pieces/.cvsignore:
	And another .cvsignore entry...
	
2001-01-26  Seth Nickell  <seth@eazel.com>

	* icons/eazel/.cvsignore:
	* icons/vector/.cvsignore:
	Added Makefile and Makefile.in to the ignore file
	
	* libnautilus-extensions/nautilus-mime-actions.c:
	(application_supports_uri_scheme):
	Add a cast to gpointers being passed to strcmp to
	satisfy C++-ish compilers

2001-01-26  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Gene Z. Ragan <gzr@eazel.com>

	Fix 5352 (Tab Order messed up by "Layout" order of folder)
	Fix 5478 (Icon view tab order doesn't follow the layout order)
	* libnautilus-extensions/nautilus-icon-container.c: (sort_icons),
	(compare_icons_by_name), (sort_icons_by_name),
	(build_icon_list_sorted_by_name), (select_previous_or_next_name),
	(nautilus_icon_container_initialize_class):
	* libnautilus-extensions/nautilus-icon-container.h:
	* src/file-manager/fm-icon-view.c:
	(icon_container_compare_icons_callback),
	(icon_container_compare_icons_by_name_callback),
	(create_icon_container):
	Add a new signal "compare_icons_by_name" that circumvents the
	selected sort order and sort kind in a window and uses the unmollested
	sort by name function.
	Hook up the select-previous/next function to use the sort-by-name
	call instead of nautilus_strcoll.
	
2001-01-26  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5747, Nautilus freezes while mounting a device
	
	There were several issues here.  The first involved the use
	of popen to call the mount/umount command. If a mount/umount
	call causes a lengthy response, such as a hard drive spinning
	up, it would block the UI.  I changed the code to spawn a thread
	and schedule a gtk_idle to display feedback if any was generated.
	I also create a thread to call eject, instead of using a possibly
	blocking ioctl call. Another benefir of this is that we now have
	a more flexible eject mechanism. Zip drives and other removable
	media can no wbe ejected.  In the course of making these changes,
	another issue was found.  The dynamic creation of the removable
	volumes menus was causing a UI lock up.  I get around this by
	creating a list of removable volumes at volume monitor initialization
	instead of a dynamic list.  The downside of this is that any new
	entries added to the fstab while Nautilus is running will be overlooked.
	We will have to monitor the file in the future to work around this issue.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:
	(nautilus_volume_monitor_initialize),
	(nautilus_volume_monitor_destroy),
	Add and cleanup list of removable volumes.
	
	(nautilus_volume_monitor_volume_is_removable):
	Check is_removable filed of volume.
	
	(nautilus_volume_monitor_get_removable_volumes):
	Return const pointer to monitor's removable volume list.
	
	(get_removable_volumes):
	Contruct list of removable volumes
	
	(volume_is_removable), (volume_is_read_only):
	New functions that check against fstab to see if the volume
	is removable and read-only.

	(eject_device):
	New threaded eject function.
	
	(mount_volume_deactivate),
	(mount_volume_floppy_add), (mount_volume_iso9660_add),
	(display_mount_status), (close_error_pipe),
	(nautilus_volume_monitor_mount_unmount_removable),
	(mount_volume_add_filesystem):
	
	(mount_unmount_callback):
	Thread function to mount/umount
	
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link),
	(update_disks_menu):

2001-01-26  Maciej Stachowiak  <mjs@eazel.com>

	* src/nautilus-window-manage-views.c
	(disconnect_and_destroy_sidebar_panel): Hold a ref on the widget
	to avoid it being finalized before we can destroy it.

2001-01-26  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_item_at):
	fixed bug 5750, accepting drops by folders quirky at zoom levels
	below 100%. The problem was that nautilus_icon_container_item_at
	was constructing a single pixel rectangle for hit-testing, that
	sometimes turned into a zero pixel rectangle when scaled down,
	depending on how things rounded off.  Fixed by using the
	canvas scale factor when building the rectangle, ensuring that
	it never becomes empty.
	
2001-01-26  Rebecca Schulman  <rebecka@eazel.com>
	Fix bugs 4094, 4425, 5201 and 4106 about inappopriate
	applications being offered to view remote files.
	This change filters applications that don't support
	a uri scheme from a file's short list.

	reviewed by: Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_actions_get_minimum_file_attributes),
	(nautilus_mime_get_short_list_applications_for_file),
	(application_supports_uri_scheme):
	Filter out applications from the short list that do not
	support the uri scheme for the file in question.
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application):
	Change "can_open_uris" to "expects_uris" to go along with
	the gnome vfs change
	* test/test-nautilus-mime-actions.c: (append_comma_and_scheme),
	(format_supported_uri_schemes_for_display), (print_application):
	update the tests similarly to the way the gnome-vfs tests were
	updated, so that all of the fields of the GnomeVFSMimeApplication
	structure are correctly printed.

	* libnautilus-extensions/nautilus-glib-extensions.c:
	Correct spelling and naming error in a comment
	
2001-01-25  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Some preparation work for doing async. activation. This amounts
	to another pass cleaning up the legendary "state machine" as well
	as some other cleanups in the async. activation code.

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(oaf_activation_callback), (nautilus_bonobo_activate_from_id),
	(nautilus_bonobo_activate_cancel): Fix interface of activation to
	be cleaner. Also handle case where callback is called right away.

	Add queuing to NautilusView so that all incoming CORBA calls are
	dispatched at idle time. This can fix some otherwise-difficult
	re-entrancy problems. The widget destroy call can still come in at
	any time though. Also this same fix may be needed for the
	NautilusViewFrame side.
	
	* libnautilus/nautilus-view.h:
	* libnautilus/nautilus-view.c: (execute_queued_calls): Function
	to dequeue and execute calls.
	(dequeue_calls_at_idle): Cover to call it at idle time.
	(discard_queued_calls): Discard calls without executing them, for
	use at destroy time.
	(queue_incoming_call): Simple cover to queue and schedule an
	idle-time dequeue pass.
	(nautilus_g_list_from_uri_list): Need to make a full copy, not
	a shallow copy, now that we are queuing things for a hile.
	(call_load_location), (call_stop_loading),
	(call_selection_changed), (call_title_changed),
	(call_history_changed): Simple functions that get queued.
	(list_deep_free_cover): GDestroyNotify-compatible function for one
	destroy case.
	(history_dup): Function to copy the history list, since that is
	now queued instead of used right away.
	(impl_Nautilus_View_load_location),
	(impl_Nautilus_View_stop_loading),
	(impl_Nautilus_View_selection_changed),
	(impl_Nautilus_View_title_changed),
	(impl_Nautilus_View_history_changed): Change these all to queue
	the incoming call instead of doing work right away.
	(nautilus_view_destroy): Discard the queue.
	
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame_open_location_force_new_window),
	(impl_Nautilus_ViewFrame_report_selection_change): These calls now
	use the deep copy, since the shallow one is no longer available.
	This is good since we probably will be doing queuing here later,
	so we'll need the deep copy.
	
	* src/nautilus-view-frame.h:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class): Set up a map default signal
	handler to activate the control. This is better than the old way,
	where we had an explicit call to do it.
	(nautilus_view_frame_destroy_client): Remove unused
	CORBA_Environment.
	(view_frame_activated): Remove unneeded ACTIVATING state. Also
	send the client_loaded signal in here, so you can't "forget".
	(view_frame_wait), (view_frame_underway),
	(view_frame_wait_is_over), (view_frame_loaded),
	(view_frame_failed): Remove unneeded ACTIVATING state.
	(check_if_view_is_gone): Simplify logic and make sure to check the
	value of the exception and not just the function result.
	(attach_client): Fix CORBA_Exception that was allocated twice and
	that could also be allocated and not freed in some cases.
	(activation_callback), (nautilus_view_frame_load_client_async):
	Better names, use new API, still not tested.
	(nautilus_view_frame_load_client): Get rid of function result and
	use unified interface for telling about success and failure so that
	sync. and async. interfaces will be the same.
	(nautilus_view_frame_stop): Renamed this single function, which
	will soon stop either activation that's in process or loading
	that's in process with a single call. For now it's just the same
	as the old stop_loading call.
	(nautilus_view_frame_map): New override to activate the control.
	This replaces the old explicit activate call.
	(send_history), (nautilus_view_frame_get_is_underway): Remove
	unneeded ACTIVATING state.

	* src/nautilus-window.h:
	* src/nautilus-window-manage-views.c:
	(location_has_really_changed): Assume that new_content_view is not
	NULL. The old code was trying to be inappropriately "general".
	(disconnect_destroy_unref_view): Remove now-unused function.
	(load_content_view): Don't use a return value any more, since it's
	important to set up new_content_view before any signals happen.
	Get rid of code that handles failure right at the start, since
	we now get all failures through the signal handler.
	(handle_view_failure): Add FIXME comments. Minor refactoring.
	(cancel_location_change): Eliminated now-uneeded views_shown and
	view_bombed_out booleans.
	(load_view_for_new_location): New load_content_view doesn't return
	a value any more.
	(update_state): Changed this to be a loop instead of returning a
	boolean and always being called in a loop. Also simplified logic
	so that views_shown and view_bombed_out aren't needed any more.
	(nautilus_window_end_location_change_callback): Use update_state
	directly instead of calling the old clunky change_state cover.
	(nautilus_window_begin_location_change): Use update_state directly
	instead of calling the old clunky change_state cover.
	(stop_loading): Call the new simple nautilus_view_frame_stop
	instead of nautilus_view_frame_stop_loading.
	(natuilus_window_stop_loading): Use update_state directly instead
	of calling the old clunky change_state cover.
	(nautilus_window_set_content_view): Use update_state directly instead
	of calling the old clunky change_state cover.
	(nautilus_window_set_sidebar_panels): Handle failures with
	callback instead of looking at return value (which no longer
	exists).
	(client_loaded_callback): Add this new callback that's done when
	the view is activated and ready to go.
	(failed_callback): Use update_state directly instead of calling
	the old clunky change_state cover.
	(load_underway_callback): Use update_state directly instead of
	calling the old clunky change_state cover.
	(load_complete_callback): Use update_state directly instead of
	calling the old clunky change_state cover.

	* src/nautilus-window.c:
	(nautilus_window_set_content_view_widget): Get rid of explicit
	activation, no longer needed now that NautilusViewFrame handles it
	directly.
	
	* test/test-nautilus-async-activation.c: (activation_callback),
	(main): Change to use new async. API.
	
	* user-guide/gnufdl/.cvsignore: Add to ignore some missing files.

2001-01-25  Maciej Stachowiak  <mjs@eazel.com>

	* src/nautilus-window-manage-views.c
	(disconnect_and_destroy_sidebar_panel): Fix build (I suck).

2001-01-25  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>

	Fix bug 5997 (Segmentation fault when enabling then disabling tree
	panel) two different ways (one is useful for future robustness).
	
	* components/tree/nautilus-tree-expansion-state.c: Move expansion
	state preference from "sidebar-panels/tree/expansion_state" to
	"tree-sidebar-panel/expansion_state" to avoid making Nautilus
	think the set of active sidebar panels is changing when this
	setting gets set.
	
	* src/nautilus-window-manage-views.c: (handle_view_failure,
	nautilus_window_set_sidebar_panels): Call
	`disconnect_and_destroy_sidebar_panel' instead of
	`disconnect_view_and_destroy' followed by
	`nautilus_window_remove_sidebar_panel', which left the possibility
	of an inconsistent state where a destroyed view is in the sidebar
	panel list.
	(disconnect_and_destroy_sidebar_panel): New function that
	disconnects signal handlers, removes the sidebar panel from the
	window, and then finally destroys it, to avoid the possibility of
	the sidebar panel list being in an inconsistent state.

2001-01-24  Maciej Stachowiak  <mjs@eazel.com>

	Merging Mike Fleming's partial fix for 5968 from branch. This
	updates all the user agent strings in Nautilus.

	2001-01-24  Mike Fleming  <mfleming@eazel.com>

	        reviewed by: <robey@eazel.com>

		User-Agent Changes for PR3

		"Trilobite/" --> "Trilobite/0.2.0"
		"Nautilus/1.0" (in the Mozilla User-Agent) --> "Nautilus/1.0PR3"

		* components/mozilla/nautilus-mozilla-content-view.c:
		(mozilla_content_view_one_time_happenings):
		* components/services/install/lib/eazel-install-protocols.c:
		(http_fetch_remote_file),
		(eazel_install_fetch_definitive_package_info):
		* components/services/install/lib/eazel-softcat.c:
		(eazel_softcat_get_info):
		* components/services/inventory/eazel-inventory-service.c:
		(impl_Trilobite_Eazel_Inventory_upload):
		* components/services/trilobite/libtrilobite/Makefile.am:
		* components/services/trilobite/libtrilobite/trilobite-core-network
		-slim.c: (trilobite_fetch_uri):
		* components/services/trilobite/libtrilobite/trilobite-core-network
		.c: (trilobite_open_uri):
		* components/services/trilobite/libtrilobite/trilobite-core-utils.c
		: (trilobite_get_useragent_string):
		* components/services/trilobite/libtrilobite/trilobite-core-utils.h
		:

	
2001-01-25  Robey Pointer  <robey@eazel.com>

	* components/services/install/command-line/.cvsignore:

	Remove cruft.
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_from_packagedata),
	(packagedata_from_corba_packagedatastruct):
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(osd_parse_implementation):
	* components/services/install/lib/eazel-package-system-types.c:
	(packagedata_initialize), (packagedata_finalize),
	(packagedata_copy), (packagedata_fill_in_missing),
	(packagedata_dump_int):
	* components/services/install/lib/eazel-package-system-types.h:

	Add "filesize" item to the PackageData struct, and the corba one,
	and parse it out of the softcat XML.
	
	* components/services/install/lib/eazel-install-logic2.c:
	(eazel_install_check_existing_packages), (dedupe_foreach_depends),
	(is_satisfied):
	* components/services/install/lib/eazel-softcat.c:
	(remove_directories_from_provides_list):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (install_message_new), (generate_install_form):

	Retrofit some PR3 patches to the trunk.
	
	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_matches_versioning):

	Compress Eskil's package version comparison function into
	something a bit smaller and easier to follow for mere mortals like
	myself. :)
	
	* nautilus-installer/src/installer.c: (create_install_page),
	(eazel_install_progress), (eazel_download_progress),
	(get_detailed_errors_foreach), (get_detailed_errors),
	(download_failed), (eazel_install_preflight),
	(eazel_install_dep_check):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/main.c: (segv_handler), (main):
	* nautilus-installer/src/prescript:

	First bit of 1.0 installer fixes: Bring it up to speed with
	changes in the install library.

2001-01-25  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Michael Engber  <engber@eazel.com>

	Fix 5879 (Close copy source & destination windows -> crash at
		  end of copy operation).

	* libnautilus-extensions/nautilus-directory-metafile.c:
	(nautilus_directory_remove_file_metadata):
	Merge a fix from PR3 branch.
	
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(null_the_reference), (nautilus_gtk_null_reference_if_destroyed),
	(nautilus_gtk_stop_null_reference_if_destroyed):
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	Add new magic calls that set up a reference to get nulled out
	when the object it points to is destroyed.

	* libnautilus-extensions/nautilus-file-operations.c:
	(transfer_info_new), (transfer_info_destroy),
	(handle_transfer_ok), (nautilus_file_operations_copy_move),
	(nautilus_file_operations_move_to_trash),
	(nautilus_file_operations_delete), (do_empty_trash):
	Null out a saved reference to the parent window so
	that we don't try to use it after the window gets closed.
	Clean up creation and destruction of TransferInfo.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_transfer_ok):
	Fix a case where TransferInfo could get leaked.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(new_folder_transfer_callback),
	(nautilus_file_operations_new_folder):
	Rework to make deleting of NewFolderTransferState cleaner.
	Set up parent_view to get nulled out when the view gets closed.
	
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	(dialog_clicked), (dialog_show), (dialog_destroy),
	Tweaks. Get rid of unneeded casts.

	* src/nautilus-property-browser.c: (add_new_pattern),
	(show_color_selection_window), (add_new_color), (add_new_emblem):
	* src/nautilus-theme-selector.c: (add_new_theme_button_callback):
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame__destroy),
	(impl_Nautilus_ViewFrame__create):
	Use new magic calls to null out references.
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_destroy):
	Disconnect from the destroy-watching signal.

	* libnautilus-extensions/nautilus-icon-container.c:
	(set_pending_icon_to_reveal):
	(nautilus_preferences_dialog_construct):
	* src/file-manager/fm-directory-view.c: (copy_move_done_data_free),
	(pre_copy_move), (copy_move_done_partition_func),
	(copy_move_done_callback):
	Use new magic calls to null out references.
	Fix a memory trasher where CopyMoveDoneData was being destroyed too
	early.

2001-01-25  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5981, Desktop Eazel-Services link won't work without
	Mozilla installed
		
	* src/nautilus-first-time-druid.c: (druid_finished):
	Use the eazel: protocol instead of the http: services
	URI.
	
2001-01-25  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>
	
	Fixed bug 6002, programs run from Nautilus Link files leave zombie processes

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	* libnautilus-extensions/nautilus-gnome-extensions.h:
	(nautilus_gnome_shell_execute):
	Rename function and make it available to outside callers
	
	(nautilus_gnome_open_terminal):
	Rename function calls to nautilus_gnome_shell_execute
	
	* src/file-manager/fm-directory-view.c: (activate_callback):
	Call nautilus_gnome_shell_execute instaed of calling forking
	and calling exec.  Using nautilus_gnome_shell_execute does the
	right thing and avoids creating zombie processes.

2001-01-25  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 5590 (List view uses anti-aliased graphics always)

	* src/file-manager/fm-list-view.c
	(fm_list_view_update_smooth_graphics_mode): new function, put
	into the FMDirectoryView method table, and called by
	set_up_list ()

	* libnautilus-extensions/nautilus-list.c (NautilusListDetails):
	added an `anti_aliased_mode' boolean field

	(draw_cell_pixbuf): support both normal and anti-aliased
	drawing styles

	* libnautilus-extensions/nautilus-list.[ch]
	(nautilus_list_set_anti_aliased_mode): new function

	* libnautilus-extensions/nautilus-list.c
	(nautilus_list_set_single_click_mode): call
	gtk_widget_queue_draw () on the list widget. Fixes the
	(unfiled?) bug where toggling the `Activate items with a foo
	click' doesn't immediately change how the list view is drawn

2001-01-25  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 5569 (Desktop should not show up in history list)

	I also prevented Control-B on the desktop from adding the
	desktop to the Bookmarks list.

	* src/file-manager/nautilus-desktop-icon-view-ui.xml:
	overrode command "Add Bookmark" to be insensitive.
	
	* src/nautilus-window.h: Declare function pointer for
	add_current_location_to_history_list.

	* src/nautilus-window-private.h: Declare private function
	nautilus_window_add_current_location_to_history_list.

	* src/nautilus-window.c: 
	(nautilus_window_initialize_class),
	(real_add_current_location_to_history_list): Fill in
	add_current_location_to_history_list function pointer
	with simple function.
	(nautilus_window_add_current_location_to_history_list):
	wrapper for calling the new virtual function.
	(nautilus_forget_history):
	Call nautilus_window_add_current_location_to_history_list
	where it was doing the work directly, to get the indirection.
	
	* src/nautilus-window-manage-views.c: (update_for_new_location):
	Call nautilus_window_add_current_location_to_history_list
	where it was doing the work directly, to get the indirection.

	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_initialize_class),
	(real_add_current_location_to_history_list): Override
	add_current_location_to_history_list to do nothing.

2001-01-25  Michael Engber  <engber@eazel.com>

	reviewed by: John Harper

	* libnautilus-extensions/nautilus-directory-background.c:
	(initialize_background_from_settings),
	(saved_settings_changed_callback),
	(nautilus_connect_background_to_file_metadata):
	Fixed trying to set the background on a window before it was realized. 

2001-01-25  Mike Fleming  <mfleming@eazel.com>
 
	reviewed by: <sullivan@eazel.com>
 
 	Bug 6032: summary view was crashing because widget was being
 	destroyed during finish_button_activation.
 
 	Added a ref to the button across the timer callback and
 	avoided calling gtk_button_clicked and gtk_button_released
 	if the widget is already destroyed.
 	
 	* libnautilus-extensions/nautilus-gtk-extensions.c:
 	(finish_button_activation), (nautilus_gtk_button_auto_click):
 
2001-01-25  John Harper  <jsh@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fix bug 5561 (Add a function to nautilus to iterate through
	windows in stacking order):

	* libnautilus-extensions/nautilus-gtk-extensions.c,
	libnautilus-extensions/nautilus-gtk-extensions.h
	(nautilus_get_window_list_ordered_front_to_back): new function,
	returns a list of all top-level windows in stacking order (from
	top to bottom)

	Fixed parts of bug 5553 (Enlightenment-related problems)

	* src/nautilus-desktop-window.c
	(nautilus_desktop_window_delete_event): connected to
	`delete_event' signal of the desktop window. Unconditionally
	returns TRUE. This stops GTK+ deleting the window in response
	to WM_DELETE_WINDOW requests, and thus fixes the bug where it's
	possible to delete the desktop window in Enlightenment

	* src/nautilus-desktop-window.c (realize): added SKIP_FOCUS to
	the _WIN_HINTS we set (even though, ages ago, I told Gene not
	to. Otherwise Enlightenment includes the desktop window in its
	M-TAB list)

2001-01-25  Michael Engber  <engber@eazel.com>

	reviewed by: John Harper

	* libnautilus-extensions/nautilus-directory-background.c:
	(saved_settings_changed_callback), (background_reset_callback):
	The root & desktop pixmaps are now updated in response to changes
	in the gnome_config settings - bug 6033.

2001-01-25  Michael Engber  <engber@eazel.com>

	reviewed by: John Harper

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_draw_pixbuf_free), (nautilus_background_draw):
	Background are now always drawn with the aa code, ensuring
	their gradients are never striated - bug 5584.

2001-01-25  Josh Barrow  <josh@eazel.com>

	* icons/theme_preview.png:
	Updated for the new k-rad look of the default theme.

2001-01-25  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 5506 (Show Properties always shows full path,
	making window ludicrously wide)

	Also made some other contents of the properties
	window handle window-stretching more attractively.

	* libnautilus-extensions/nautilus-ellipsizing-label.h:
	* libnautilus-extensions/nautilus-ellipsizing-label.c:
	(nautilus_ellipsizing_label_initialize_class),
	(nautilus_ellipsizing_label_initialize), (real_destroy),
	(nautilus_ellipsizing_label_new), (recompute_ellipsized_text),
	(nautilus_ellipsizing_label_set_text), (real_size_request),
	(real_size_allocate), (real_style_set): New files. This is
	a subclass of GtkLabel that requests no specific width, and
	ellipsizes the text to fit whatever width it is given.

	* libnautilus-extensions/Makefile.am: Add new files to build.

	* src/file-manager/fm-properties-window.c:
	(value_field_update_internal): New function, contains code
	formerly in value_field_update but takes boolean to handle
	ellipsized case.
	(value_field_update): Now just a simple wrapper for
	value_field_update_internal for the non-ellipsized case.
	(ellipsizing_value_field_update): New function, simple wrapper
	for value_field_update_internal for the ellipsized case.
	(attach_label): added an ellipsize_text boolean to this
	bottleneck function.
	(attach_value_label), (attach_title_field): pass FALSE for 
	ellipsize_text to attach_label
	(attach_ellipsizing_value_label): new function, pass TRUE for
	ellipsize_text to attach_label
	(attach_value_field_internal): New function, contains code
	formerly in attach_value_field but takes boolean to handle
	ellipsized case.
	(attach_value_field): Now just a simple wrapper for
	attach_value_field_internal for the non-ellipsized case.
	(attach_ellipsizing_value_field): New function, simple wrapper for
	attach_value_field_internal for the ellipsized case.
	(attach_option_menu): Don't use GTK_EXPAND, so option menu gets no
	wider than it needs to be.
	(append_separator): Don't use GTK_EXPAND, so the presence of
	separators doesn't cause table columns to stretch.
	(append_title_and_ellipsizing_value): New function, like
	append_title_value_pair but uses ellipsizing label.
	(create_basic_page): Change gtk_table_attach options for icon
	and name field so that they don't cause table columns
	to stretch.

2001-01-25  Arik Devens  <arik@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 5490, Preferences dialog "OK" button does not work when
	preferences window content is clipped:
	
	* libnautilus-extensions/nautilus-preferences-dialog.c
	(nautilus_preferences_dialog_construct): Temporary fix by removing
	the dialogs usize and letting it resize itself based on
	content. The longer fix is detailed in #5627.

2001-01-25  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-thumbnails.c:
	(make_thumbnail_path):
	fixed bug 5817, removing the extension from images makes their
	thumbnails show up.  Fixed by correcting where it tests for the
	presence of an extension in make_thumbnail_path by only looking
	for periods in the leaf part of the path instead of in the
	entire path.
	
2001-01-25  Darin Adler  <darin@eazel.com>

	* README: Add missing xml-i18n-tools to list of modules
	needed to build from cvs.

2001-01-25  Laszlo Kovacs  <laszlo.kovacs@sun.com>

	* break in Eazel-hacking build when Scrollkeeper is
	  enabled inside the Nautilus component is fixed now

2001-01-25  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Tweaked the recent menu-updating speedup.

	* src/file-manager/fm-directory-view.c:
	(remove_update_menus_timeout_callback): New helper function,
	removes timeout callback if non-zero.
	(fm_directory_view_destroy): Use helper function where it was
	calling the guts directly.
	(update_menus_if_pending): New function, does nothing if
	no menu update is pending, otherwise removes callback and
	does an update now.
	(fm_directory_view_pop_up_selection_context_menu),
	(fm_directory_view_pop_up_background_context_menu): Use
	update_menus_if_pending instead of directly updating. This both
	avoids an unnecessary update if none is pending and prevents an 
	unnecessary future update is one is pending.

2001-01-25  Laszlo Kovacs  <laszlo.kovacs@sun.com>

	* added various changes to the hyperbola component,
	  some of these are Scrollkeeper related and disabled
	  as Scrollkeeper is not in Eazel-hacking yet
	  Scrollkeeper related changes:
	    - remove empty branches for Scrollkeeper generated
	      category tree
	    - remove old way of populating of the Applications
	      branch with the Gnome help docs
	    - fixing bug in code that goes around alphabetical
	      ordering of section titles 
	  Not Scrollkeeper related changes:
	    - fix in manpath handling when looking for man pages
	      and manpath does not return anything
	    - fix in title extraction from man page names
	    - moving all the Man pages below the Manuals branch
	      (in pages.map)

2001-01-25  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-logic2.c:
	(is_satisfied):
	Changed a return from TRUE to FALSE (also in PR3 branch)

2001-01-25  Eskil Heyn Olsen  <eskil@eazel.com>

	These are some recent PR3 fixes
	Bug 6009, 5978 and 5979
	
	* components/services/install/command-line/eazel-test-packsys.c:
	(test_is_installed), (main):
	Code to test changes made to eazel_package_system_is_installed.
	
	* components/services/install/lib/Makefile.am:
	Fix for 5978.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(rpmmonitorpiggybag_new), (make_rpm_argument_list),
	(monitor_rpm_process_pipe_percent_output),
	(rpm_packagedata_fill_from_file),
	(eazel_package_system_rpm3_install_uninstall):
	Fix for 5978 and 5979
	
	* components/services/install/lib/eazel-package-system-rpm4.c:
	Fix for 5978
	
	* components/services/install/lib/eazel-package-system-types.c:
	(packagedata_finalize):
	See bug 6007
	
	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_matches_versioning),
	(eazel_package_system_is_installed):
	Fix for 6009
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_view_update_from_uri):
	Removed debug output
	
	* configure.in:
	Fix for 5979

2001-01-24  Dan Mueth <dan@eazel.com>

	* user-guide/gnufdl: Adding this directory for the GNU FDL.  
	  This is a temporary solution.  When GNOME 1.4 is out, we
	  will have gnome-core installing 'fdl' and we will point to
	  that instead of 'gnufdl'.
	* user-guide/C/: Removing old docs stuff, and adding Vera's
	  new docs.

Wed Jan 24 21:21:52 2001  George Lebl <jirka@5z.com>

	Maciej (mjs@eazel.com) approved this, so blame him if this makes
	hair grow on the palms of your hands or gives your dog headaches

	* components/adapter/nautilus-adapter-control-embed-strategy.c
	  (nautilus_adapter_control_embed_strategy_new): Unref the zoomable
	  interface after a query interface.  Fixes bug #5966

	* components/image-viewer/nautilus-image-view.c
	  (control_destroy_callback): take out the FIXME.

2001-01-24  Pavel Cisler  <pavel@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_destroy),
	(schedule_update_menus):
	A simple tweak to reduce the number of menu item updates --
	schedule fm_directory_view_update_menus using a gtk_timeout_add
	instead of gtk_idle_add, use a 300 ms interval for coalescing
	menu item updates.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_pop_up_selection_context_menu),
	(fm_directory_view_pop_up_background_context_menu):
	Call fm_directory_view_update_menus directly to make sure the
	context menu comes up set up right instead of flickering.

2001-01-24  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 5710, Images no longer snap to size after hitting Refresh
	
	* components/image-viewer/nautilus-image-view.c: (redraw_control),
	(load_image_from_stream), (scrolled_window_size_allocate_callback):
	Restore the previous zoom setting when reloading a file from a stream.
			
	Fixed a logic flaw dealing with renaming NautilusLinks.  The icon view
	had duplicated some logic that was present in NautilusFile.  There were
	slight differences in the logic that lead to some confusion in determing
	if a link could be renamed.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_can_rename):
	* src/file-manager/fm-icon-view.c: (fm_icon_view_update_menus):

2001-01-24  Andy Hertzfeld  <andy@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* src/nautilus-window-menus.c: (get_static_bookmarks_file_path):
	fixed bug 5985, we should use timestamps to determine which
	static bookmarks file to use; now it does.
	
2001-01-24  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Eskil Olsen  <eskil@eazel.com>

	* Makefile.am:
	Add Makefile.shared to EXTRA_DIST.
	
2001-01-24  Michael Engber  <engber@eazel.com>

	reviewed by: Ramiro Estrugo

	* components/music/nautilus-music-view.c: (add_play_controls):
	Set alignment of playtime so it's flush left, otherwise it jumps
	around slightly.

2001-01-24  Josh Barrow  <josh@eazel.com>

	* icons/i-directory-192.png:
	Removed this file.  This was one of the old GNOME icons, and it
	was no longer in use.

2001-01-24  Michael Engber  <engber@eazel.com>

	reviewed by: Ramiro Estrugo

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize), (add_play_controls):
	Removed a call to problematic call to gtk_widget_set_usize
	and added FIXMEs for the remaining calls to it - bug 5967.

2001-01-24  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 5797 (Critical received when double-clicking on throbber):

	* src/nautilus-window-private.h:
	* src/nautilus-window.c: (location_change_at_idle_callback):
	Callback to do actual location change at idle time instead of
	right inside the property bag callback from the throbber.
	(throbber_location_change_request_callback): Use the new idle
	approach instead of changing the location right away.
	(nautilus_window_destroy): Cancel the idle if it's still
	outstanding.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_string_attribute_with_default): Mark a string
	for translation.
	(get_description): Mark some warning strings for translation since
	they are warnings we think real users might see.

	* applets/launcher/.cvsignore:
	* applets/preferences-applet/.cvsignore:
	Ignore some files.
	
2001-01-24  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: nautilus-suggested now requires
	mozill-psm and mozilla-mail, updated version
	required for serveral packages.

2001-01-24  Ramiro Estrugo  <ramiro@eazel.com>

	* data/static_bookmarks.xml:
	A tiny fix from Brian Frank.  Also, save the file as a regular
	text file without the DOS extra CRs.

	* src/nautilus-sidebar-title.c:
	(sidebar_title_create_title_label),
	(sidebar_title_create_more_info_label): Center justify the sidebar
	title labels.
	
2001-01-24  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize), (make_category_link):
	removed some set_usize calls that I had only commented out before.
	
2001-01-24  Darin Adler  <darin@eazel.com>

	* AUTHORS:
	* THANKS:
	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):
	Updated based on recent check-ins and other contributions.

	* check-THANKS.pl: Updated to check the about list against the
	AUTHORS file and to fix some other things.

	* libnautilus/nautilus-view-component.idl: Fix a comment and
	remove a stray empty line.

2001-01-24  Ramiro Estrugo  <ramiro@eazel.com>

	* applets/launcher/nautilus-launcher-applet.c: (create_pixbufs),
	(applet_change_pixel_size), (image_enter_event),
	(image_leave_event), (get_root_window),
	(window_set_cursor_for_state), (set_is_launching),
	(get_is_launching), (image_button_press_event),
	(image_button_release_event), (event_filter),
	(root_listen_for_property_changes), (main):
	Backout some dumb changes that i stupidly checked in.
	
2001-01-23  Michael Engber  <engber@eazel.com>

	reviewed by: George Lebl

	* components/image-viewer/nautilus-image-view.c:
	(control_destroy_callback), (control_factory_common):
	image-view was using freed (widget) memory.

2001-01-24  Andy Hertzfeld  <andy@eazel.com>

	removed files that I inadvertently checked in to the
	wrong branch.
	
	* components/rss-control/.cvsignore:
	* components/rss-control/Makefile.am:
	* components/rss-control/main.c:
	* components/rss-control/nautilus-rss-control.c:
	* components/rss-control/nautilus-rss-control.h:
	* components/rss-control/nautilus-rss-control.oafinfo:
	* data/top/Clock:
	* data/top/Slashdot:

2001-01-23  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-theme-selector.c: (remove_button_callback),
	(exit_remove_mode):
	fixed recently introduced problem where it was still
	treating button labels as nautilus_labels instead of
	gtk_labels.
	
2001-01-23  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize), (remove_button_callback),
	(exit_remove_mode):
	fixed bug 5972, remove theme button uses aa text, by using
	a gtk_label instead of a nautilus_label.
		
	* libnautilus-extensions/nautilus-theme.c:
	(nautilus_theme_make_selector):
	fixed a crash when an installed theme lacked a preview icon,
	cleaned up code and fixed a memory leak.

2001-01-23  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Partial fix for bug 5902 (Rapidly changing between Icon and
	Image/Text crashes Nautilus).

	* src/nautilus-view-frame.c:
	(nautilus_view_frame_load_client_async),
	(nautilus_view_frame_load_client),
	(nautilus_view_frame_stop_activation),
	(nautilus_view_frame_load_location),
	(nautilus_view_frame_stop_loading),
	(nautilus_view_frame_selection_changed),
	(nautilus_view_frame_title_changed),
	(nautilus_view_frame_is_zoomable),
	(nautilus_view_frame_get_zoom_level),
	(nautilus_view_frame_set_zoom_level),
	(nautilus_view_frame_get_min_zoom_level),
	(nautilus_view_frame_get_max_zoom_level),
	(nautilus_view_frame_get_has_min_zoom_level),
	(nautilus_view_frame_get_has_max_zoom_level),
	(nautilus_view_frame_get_is_continuous),
	(nautilus_view_frame_get_preferred_zoom_levels),
	(nautilus_view_frame_zoom_in), (nautilus_view_frame_zoom_out),
	(nautilus_view_frame_zoom_to_fit),
	(nautilus_view_frame_open_location_in_this_window),
	(nautilus_view_frame_open_location_prefer_existing_window),
	(nautilus_view_frame_open_location_force_new_window),
	(nautilus_view_frame_report_selection_change),
	(nautilus_view_frame_report_status),
	(nautilus_view_frame_report_load_underway),
	(nautilus_view_frame_report_load_progress),
	(nautilus_view_frame_report_load_complete),
	(nautilus_view_frame_report_load_failed),
	(nautilus_view_frame_set_title), (nautilus_view_frame_get_title),
	(nautilus_view_frame_get_label), (nautilus_view_frame_set_label),
	(nautilus_view_frame_activate), (get_history_list),
	(send_history),
	(nautilus_view_frame_get_is_underway): Silently do nothing if the
	view frame has failed. Based on suggestions from Darin. Also
	includes return_if_fail fixes from Darin.

2001-01-23  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install-corba.
	c: (md5_check_failed), (delete_files):
	Changed output in md5_failed to be readable.
	Only ask about deleting files if any where downloaded (the check
	was commented out for some reason)

	* components/services/install/command-line/eazel-test-packsys.c:
	(test_package_load), (test_query), (test_query_owns_mem),
	(is_installed), (test_install), (test_uninstall), (test_verify),
	(main):
	s/packagedata_destroy/gtk_object_unref/ - eazel-test-packsys now
	no longer leaks packagedata objects.

	* components/services/install/lib/eazel-install-corba-callback.c:
	(impl_md5_check_failed):
	Removed an debug output.

	* components/services/install/lib/eazel-install-logic2.c:
	(is_satisfied), (is_satisfied_features):
	(check_dependencies_foreach), (check_dependencies):
	Fixed nasty bug that caused the install service to loop on some
	packages that have circular dependency (found by Ken).	

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_install_parse_uri),
	(nautilus_service_install_view_update_from_uri):
	Fixed the port thing again (should fix 5960)

2001-01-23  Ramiro Estrugo  <ramiro@eazel.com>

	* applets/Makefile.am:
	* applets/launcher/Makefile.am:
	* applets/launcher/nautilus-launcher-applet.c: (button_toggled),
	(show_desktop_changed_callback), (delete_event), (main):
	* applets/launcher/nautilus-launcher-applet.gnorba:
	* applets/preferences-applet/Makefile.am:
	* applets/preferences-applet/nautilus-preferences-applet.c:
	(accept_all_cookies), (preference_toggle_destroy_callback),
	(boolean_preference_changed_callback), (button_toggled),
	(boolean_toggle_button_new), (main):
	* applets/preferences-applet/nautilus-preferences-applet.gnorba:
	* configure.in:
	A very simple applet to debug show desktop and smooth graphics
	preferences.
	
2001-01-23  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-directory-background.c:
	(theme_image_path_to_uri):
	fixed bug 5908, assert hit when background pattern is deleted, by
	testing explicitly for the file missing and returning NULL in that
	case instead of asserting.
	
2001-01-23  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 2153 (deep count calculation in properties window
	could be faster)

	Fixed bug 5687 (Sidebar flickers and CPU thrashes during
	deep count calculation in properties window)

	Changed the deep count calculation to send a specialized
	signal when the in-progress count updates, instead of using
	"file_changed", since many parts of the UI react to file_changed
	by doing (in this case unnecessary) work. My stopwatch measurement
	on a large directory showed that the time to calculate 20000
	contained files went from 147 seconds to 8 seconds, and the CPU
	usage pegged around 15% (formerly 100%).

	* libnautilus-extensions/nautilus-directory-async.c:
	(deep_count_callback): Call nautilus_file_changed only when
	count is finished; call nautilus_file_updated_deep_count_in_progress
	after every new higher value is computed.
	
	* libnautilus-extensions/nautilus-file-private.h:
	Added prototype for nautilus_file_updated_deep_count_in_progress.
	
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_initialize_class): define "updated_deep_count_in_progres"
	signal.
	(nautilus_file_updated_deep_count_in_progress): send this new signal
	for this file (which must be a directory) and any links pointing to
	it.
	
	* src/file-manager/fm-properties-window.c:
	(attach_directory_contents_value_field): Make text field in properties
	window react to new signal instead of "changed".

2001-01-23  John Sullivan  <sullivan@eazel.com>

	Fixed bug 5959 (File name in "no applications available"
	dialog should be in quotes)

	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_show_no_choices_message):
	Put quotes around file name in dialog.

2001-01-23  Andy Hertzfeld  <andy@eazel.com>

	* components/hardware/nautilus-hardware-view.c:
	(hardware_view_load_location_callback):
	fixed bug 5746, hardware title in hardware view not translated, by
	explicitly setting the title using a localized string.  This also
	fixes the minor problem of the title not being capitalized
	
	* icons/villanova/villanova.xml:
	fixed bug 5658, Sierra theme lacks description, by adding a
	description to the xml file.
	
2001-01-23  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize), (make_category_link):
	fixed bug 5587, hard-coded button geometry in the property browser,
	fixed by removing the set_usizes and allowing gtk to adaptively
	size them and replacing the table that was holding them with a
	box so they will be centered properly.
	
2001-01-23  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Fixed bug 5943 (Throbber crashes on nautilus startup (crashing
	Nautilus) with some themes and configurations)

	* components/help/hyperbola-main.c: (main):
	* components/image-viewer/nautilus-image-view.c:
	(init_server_factory):
	* components/mozilla/main.c: (main):
	* components/music/main.c: (main):
	* components/notes/nautilus-notes.c: (main):
	* components/services/install/nautilus-view/main.c: (main):
	* components/services/login/nautilus-view/main.c: (main):
	* components/services/summary/nautilus-view/main.c: (main):
	* components/shell/shell.c:
	* components/text/main.c: (main):
	* components/throbber/main.c: (main):
	* components/tree/main.c: (main):
	* libnautilus/nautilus-view-standard-main.c:
	(nautilus_view_standard_main_multi):
	* nautilus-installer/src/main.c: (main):
	* src/nautilus-main.c: (main): Added gdk_rgb_init calls. The
	throbber one was causing a real 100% reproducible crash for me on
	Nautilus startup, the rest are pre-emptive.

2001-01-23  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: changed mozilla required version
	to 0.7 this messes upgrades since 0.7 is lower than M18

2001-01-23  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize):
	Band aid fix for bug 5910 - Font size for Theme name is too large
	in "Nautilus Theme Selector" dialog.  I made the column larger to
	fit up to and including the length of the currently largest known
	theme name "Crux-Eggplant"

	There are many reason why this is a lame band aid fix.  The real
	fix is to not hard code any geometry in this code.  I filed a bug
	for that (5951).
	
2001-01-22  Andy Hertzfeld  <andy@eazel.com>

	* data/browser.xml:
	fixed typo in "terracotta" pattern name that caused it not to be
	capitalized in the property browser.
	
2001-01-22  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install-corba.
	c: (set_parameters_from_command_line), (something_failed):
	Removed the --port argument (since --server is now in server:port
	form).
	Removed --tmp as you shouldn't set it anymore.
	Rename --noauth to --no-auth and --ssl_rename to --ssl-rename.
	Default behaviour is now that no server or no-auth argument causes
	eazel-install to use trilobite server setting and proxy. --no-auth
	just uses trilobite server and no proxy, --server sets the server
	and no proxy.
	Changed output in something_failed.
	
	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_start_signal), (eazel_install_failed_signal):
	Don't emit progress in uninstall (since the EazelInstall object
	didn't have them, I was currently emitting install progress
	signals)	
	Only emit failed signals on the toplevel.
	
	* components/services/install/lib/eazel-install-logic2.c:
	(eazel_install_check_existing_packages), (get_softcat_info),
	(is_satisfied):
	More ifdeffed debug.
	Uncommented a commented out gtk_object_unref.
	Commented out a unref and emit_failed, since the pruner is doing
	this.
	In is_satisifed, if no version in dep, check if package is
	installed before checking features list. Faster and safer.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(make_rpm_argument_list),
	(monitor_rpm_process_pipe_percent_output),
	(monitor_rpm_process_pipe), (eazel_package_system_rpm3_execute):
	Some ifdeffed code for --percent handling.
	Set go==FALSE in execute if root helper fails (fixes a bug where
	the installer would hang if wrong password was entered).
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_view_update_from_uri):
	Default to port 80 if trilobite_get_services_address did not
	include a port.
	
2001-01-22  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 5914 - First run of Nautilus on clean system crashes.
	
	* src/nautilus-application.c: (nautilus_application_initialize),
	(nautilus_application_destroy), (nautilus_application_startup):
	Add the preference callback for show_desktop much later in the
	initialization of the Nautilus Application.  Otherwise, the first
	time druid triggers prefernece changes that cause the desktop to
	turn on in the middle of the first time druid being presented to
	the user.
	
2001-01-22  Rebecca Schulman  <rebecka@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c:
	(nautilus_self_check_search_uri):
	Fixed "make check."  Oh, the woes.
	Earlier I removed a field from a struct in
	nautilus-search-uri and broke binary compatibility
	between the many mysterious structs here.  It seems
	they all must be the same size.
	Added a fixme so that we know this in the future,
	hopefully.  Also added an additional test during
	debugging.

2001-01-22  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c: (draw_one_tab_themed),
	(draw_or_layout_all_tabs):
	fixed bug 5895, critical errors when you make the sidebar small.
	Fixed by clipping the amount we draw to fit within the destination
	buffer before calling gdk_pixbuf_composite.  Also fixed another crash
	when trying to draw aa-text for the tab labels when the starting
	offset is bigger than the buffer; in that case, don't draw anything.
	
2001-01-22  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	Dumshit me, forgot to checkin the Makefile.
	
2001-01-22  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	Removed C++ style comments from copied code

2001-01-22  Michael Engber  <engber@eazel.com>

	reviewed by: Ramiro Estrugo

	* libnautilus-extensions/nautilus-directory-background.c:
	(desktop_background_realized),
	(nautilus_connect_desktop_background_to_file_metadata),
	(image_loading_done_callback),
	(nautilus_connect_background_to_file_metadata):
	Desktop backgrounds were being drawn before they were initialized.
	Bugs 5853 & 5896.

2001-01-22  Rebecca Schulman  <rebecka@eazel.com>
       Fix bug 5316, that search results code has
	empty strings marked for translation.

	* libnautilus-extensions/nautilus-search-uri.c: (parse_uri):
	Remove "prefixes" for search criteria that were
	always blank.

2001-01-22  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 5831 - Clipping problems in summary view draing scrollable
	labels.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-viewport.c:
	(nautilus_viewport_initialize_class),
	(nautilus_viewport_initialize), (nautilus_viewport_draw),
	(nautilus_viewport_paint), (nautilus_viewport_new):
	* libnautilus-extensions/nautilus-viewport.h:
	New files.  A sublcass of GtkViewport that takes into account the
	width and height of the widget style xthickness and ythickness
	when painting.

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form):
	Use NautilusViewport instead of GtkViewport to avoid clipping
	problems when painting labels inside scrollable viewports.

2001-01-22  Josh Barrow  <josh@eazel.com>

	* icons/crux_eggplant/.cvsignore:
	* icons/crux_eggplant/backgrounds/.cvsignore:
	* icons/crux_eggplant/sidebar_tab_pieces/.cvsignore:
	* icons/crux_eggplant/throbber/.cvsignore:

	Make CVS shutup.

2001-01-22  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_dom_key_press_callback),
	(mozilla_dom_mouse_click_callback):

	Bug 5905: Softcat Search button doesn't work.

	I don't know when this stopped working but maybe it was while I
	was dorking with the key-initiated-navigation.

	Anyway, I polished stuff up to use the real constants for indicating
	to Moz whether to handle events or not.  This problem went away and
	everything else seemed to continue to work as expected.
	
2001-01-22  Stanislav Brabec  <utx@penguin.cz>

	* configure.in: Added support for db1 emulation in Berkeley DB3.
	DB3 needs --enable-compat185.

	* README: Describe solutions of linking errors with mozilla libs
	(partially copied from Galeon's FAQ).

2001-01-22  Robin * Slomkowski  <rslomkow@eazel.com>

	* configure.in: upped version to 0.8.1 to be higher
	than branch 

2001-01-22  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix 5613 - Icon captions in sidebar get cropped when toggling
	"smooth graphics.
	
	* libnautilus-extensions/nautilus-label.c:
	(label_force_cached_requisition_flush),
	(nautilus_label_set_is_smooth):
	Flush the GtkLabel's requisition cache when the is_smooth
	attribute is changed.
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(nautilus_property_browser_destroy),
	(nautilus_property_browser_theme_changed):
	Remove attempt at fixing parts of 5613.  The fix above should fix
	it everywhere.
	
2001-01-22  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com> (except
	fix for bug 5884, which nobody reviewed)

	Fixed bug 5766 (assertion when switching views)
	Fixed bug 5884 (Rename file dialog for missing file
	quotes intended name rather than current)

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_file),
	(nautilus_mime_get_default_action_for_file),
	(nautilus_mime_get_default_application_for_file_internal),
	(nautilus_mime_get_default_component_for_file_internal),
	(nautilus_mime_get_short_list_applications_for_file),
	(nautilus_mime_get_short_list_components_for_file),
	(nautilus_mime_get_short_list_methods_for_file),
	(nautilus_mime_get_all_applications_for_file),
	(nautilus_mime_get_all_components_for_file):
	These functions were all using return_val_if_fail if
	nautilus_mime_actions_check_if_minimum_attributes_ready
	returned FALSE. In keeping with the style used in
	NautilusFile, changed these to check and return, but
	not complain, in these cases where the answer is
	"not enough info yet". I did not change the setters;
	they still complain.

	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_renaming_file): Use "original_name" instead
	of "new_name" in error message.

2001-01-22  Rebecca Schulman  <rebecka@eazel.com>
        Fix bugzilla.eazel.com bug 2659, that behavior
	with backup search is inconsistent, because content
	backup searches are unavailable.  

	* src/file-manager/fm-search-list-view.c: (load_location_callback),
	(load_error_callback), (display_indexed_search_problems_dialog):
	Add checks to handle both the case where the indexed search is not
	available and the case where a backup search is not available.
	Explain why an index search cannot be performed, and also if
	applicable why a backup search can't be performed.
	* src/file-manager/nautilus-indexing-info.c:
	(nautilus_indexing_info_get_last_index_time):
	Return NULL if there are no indices, instead of 
	the timestring for time = 0.

2001-01-22  Arlo Rose  <arlo@eazel.com>

	* data/patterns/Makefile.am:
	Missed a file!

2001-01-22  Arlo Rose  <arlo@eazel.com>

	* data/browser.xml:
	* data/patterns/brushed_metal.png:
	* icons/default.xml:
	Added new background pattern for the "Default" theme.
	I also let it show up in the normal pattern dialog
	as well.

2001-01-22  Arlo Rose  <arlo@eazel.com>

	* icons/crux_eggplant/crux_eggplant.xml:
	Changed selection rectangle

2001-01-22  Robey Pointer  <robey@eazel.com>

	* components/services/install/idl/trilobite-eazel-install.idl:
	* components/services/install/lib/eazel-install-corba-callback.c:
	(impl_download_progress), (impl_download_failed):
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_from_packagedata):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_fetch_remote_package_list),
	(eazel_install_emit_download_progress),
	(eazel_install_emit_download_progress_default),
	(eazel_install_emit_download_failed),
	(eazel_install_emit_download_failed_default):
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (ftp_fetch_remote_file),
	(gnome_vfs_xfer_callback), (gnome_vfs_fetch_remote_file),
	(local_fetch_remote_file), (eazel_install_fetch_file),
	(eazel_install_fetch_package):
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-public.h:

	Change the download_progress and download_failed signals to pass a
	PackageData struct (and not a char*) just like every other signal,
	now that we can do that.  Fix a missing bytesize fill-in in one of
	the corba conversion functions.  Also, make the non-slim build use
	the file-rename trick from the bootstrap installer, to ensure that
	uncompleted downloads are never treated like valid package files.
	
	* components/rpmview/nautilus-rpm-view-install.c:
	(nautilus_rpm_view_download_progress_signal),
	(nautilus_rpm_view_download_failed):
	* components/services/install/command-line/eazel-alt-install-corba.
	c: (eazel_download_progress_signal), (download_failed),
	(something_failed):

	Fix rpm view and command-line install to use the new download
	signal signatures.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_downloading),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_installing),
	(nautilus_service_install_done),
	(nautilus_service_install_view_update_from_uri):

	Use the new download signal signatures to draw a nifty progress
	bar for the overall download (where 90% of most users' time will
	be spent in this view).  Scale the progress bar to match the
	package files' expected sizes (softcat bug to be fixed in 1.0).
	Leave the throbber on during the downloads so they can be
	aborted.  Don't offer to erase rpms if the package was already
	installed (and therefore not downloaded).

2001-01-22  Arlo Rose  <arlo@eazel.com>

	A whole mess of files checked in to add a new color variation
	of Crux.  I'm not happy with the folders... I may need to tint
	them later.
	
	* configure.in:
	* icons/Makefile.am:
	* icons/arlo/arlo.xml:
	* icons/crux_eggplant/Back.png:
	* icons/crux_eggplant/Forward.png:
	* icons/crux_eggplant/Home.png:
	* icons/crux_eggplant/Makefile.am:
	* icons/crux_eggplant/Refresh.png:
	* icons/crux_eggplant/Search.png:
	* icons/crux_eggplant/SearchWeb.png:
	* icons/crux_eggplant/Stop.png:
	* icons/crux_eggplant/Up.png:
	* icons/crux_eggplant/backgrounds/Makefile.am:
	* icons/crux_eggplant/backgrounds/background_pattern.png:
	* icons/crux_eggplant/backgrounds/window_pattern.png:
	* icons/crux_eggplant/crux_eggplant.xml:
	* icons/crux_eggplant/decrement-i.png:
	* icons/crux_eggplant/decrement.png:
	* icons/crux_eggplant/emblem-nowrite-72.png:
	* icons/crux_eggplant/emblem-nowrite-96.png:
	* icons/crux_eggplant/emblem-nowrite.png:
	* icons/crux_eggplant/i-directory-192-aa.png:
	* icons/crux_eggplant/i-directory-72-aa.png:
	* icons/crux_eggplant/i-directory-72.png:
	* icons/crux_eggplant/i-directory-96-aa.png:
	* icons/crux_eggplant/i-directory-aa.png:
	* icons/crux_eggplant/i-directory.png:
	* icons/crux_eggplant/i-directory.xml:
	* icons/crux_eggplant/i-regular-192-aa.png:
	* icons/crux_eggplant/i-regular-192.png:
	* icons/crux_eggplant/i-regular-72-aa.png:
	* icons/crux_eggplant/i-regular-72.png:
	* icons/crux_eggplant/i-regular-96-aa.png:
	* icons/crux_eggplant/i-regular-96.png:
	* icons/crux_eggplant/i-regular-aa.png:
	* icons/crux_eggplant/i-regular.png:
	* icons/crux_eggplant/i-regular.xml:
	* icons/crux_eggplant/increment-i.png:
	* icons/crux_eggplant/increment.png:
	* icons/crux_eggplant/number_strip.png:
	* icons/crux_eggplant/sidebar_tab_pieces/Makefile.am:
	* icons/crux_eggplant/sidebar_tab_pieces/fill-active-prelight.png:
	* icons/crux_eggplant/sidebar_tab_pieces/fill-active.png:
	* icons/crux_eggplant/sidebar_tab_pieces/fill-empty-space.png:
	* icons/crux_eggplant/sidebar_tab_pieces/fill-prelight.png:
	* icons/crux_eggplant/sidebar_tab_pieces/fill.png:
	* icons/crux_eggplant/sidebar_tab_pieces/left-bumper-active-preligh
	t.png:
	* icons/crux_eggplant/sidebar_tab_pieces/left-bumper-active.png:
	* icons/crux_eggplant/sidebar_tab_pieces/left-bumper-prelight.png:
	* icons/crux_eggplant/sidebar_tab_pieces/left-bumper.png:
	* icons/crux_eggplant/sidebar_tab_pieces/middle-normal-normal.png:
	* icons/crux_eggplant/sidebar_tab_pieces/middle-normal-prelight.png
	:
	* icons/crux_eggplant/sidebar_tab_pieces/middle-prelight-normal.png
	:
	* icons/crux_eggplant/sidebar_tab_pieces/right-bumper-prelight.png:
	* icons/crux_eggplant/sidebar_tab_pieces/right-bumper.png:
	* icons/crux_eggplant/sidebar_tab_pieces/right-empty-space.png:
	* icons/crux_eggplant/sidebar_tab_pieces/right-top-active-prelight.
	png:
	* icons/crux_eggplant/sidebar_tab_pieces/right-top-active.png:
	* icons/crux_eggplant/sidebar_tab_pieces/right-top-prelight.png:
	* icons/crux_eggplant/sidebar_tab_pieces/right-top.png:
	* icons/crux_eggplant/theme_preview.png:
	* icons/crux_eggplant/throbber/001.png:
	* icons/crux_eggplant/throbber/002.png:
	* icons/crux_eggplant/throbber/003.png:
	* icons/crux_eggplant/throbber/004.png:
	* icons/crux_eggplant/throbber/005.png:
	* icons/crux_eggplant/throbber/006.png:
	* icons/crux_eggplant/throbber/007.png:
	* icons/crux_eggplant/throbber/008.png:
	* icons/crux_eggplant/throbber/009.png:
	* icons/crux_eggplant/throbber/010.png:
	* icons/crux_eggplant/throbber/011.png:
	* icons/crux_eggplant/throbber/012.png:
	* icons/crux_eggplant/throbber/013.png:
	* icons/crux_eggplant/throbber/014.png:
	* icons/crux_eggplant/throbber/015.png:
	* icons/crux_eggplant/throbber/016.png:
	* icons/crux_eggplant/throbber/017.png:
	* icons/crux_eggplant/throbber/018.png:
	* icons/crux_eggplant/throbber/019.png:
	* icons/crux_eggplant/throbber/020.png:
	* icons/crux_eggplant/throbber/021.png:
	* icons/crux_eggplant/throbber/022.png:
	* icons/crux_eggplant/throbber/023.png:
	* icons/crux_eggplant/throbber/024.png:
	* icons/crux_eggplant/throbber/025.png:
	* icons/crux_eggplant/throbber/026.png:
	* icons/crux_eggplant/throbber/027.png:
	* icons/crux_eggplant/throbber/028.png:
	* icons/crux_eggplant/throbber/Makefile.am:
	* icons/crux_eggplant/throbber/rest.png:
	* icons/crux_eggplant/zoom_body.png:
	* nautilus.spec.in:

2001-01-22  Rebecca Schulman  <rebecka@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_default_drop_action_for_icons):
	Switch the order of the arguments to
	gnome_vfs_check_same_fs_uris so that
	the source uri is first and the target uri
	of the drag second. This is rest of the fix 
	for bugzilla.eazel.com 5498, which necessitated
	making the uri arguments to this function have
	a required ordering.

2001-01-21  Andy Hertzfeld  <andy@eazel.com>

	* data/browser.xml:
	* data/patterns/Makefile.am:
	* data/patterns/50s.png: removed
	* data/patterns/blue_ridge.png: added
	* data/patterns/blue_type.png: added
	* data/patterns/camouflage.png: modified
	* data/patterns/countertop.png: added
	* data/patterns/dots.png: added
	* data/patterns/fibers.png: added
	* data/patterns/floral.png: added
	* data/patterns/fossil.png: added
	* data/patterns/green_weave.png: added
	* data/patterns/moss_ridge.png: added
	* data/patterns/ocean_stripes.png: added
	* data/patterns/purple_marble.png: added
	* data/patterns/rough_paper.png: modified
	* data/patterns/sky_ridge.png: added
	* data/patterns/snow_ridge.png: added
	* data/patterns/terracotta.png: added
	* data/patterns/white_ribs: removed
	
	added, renamed and modified patterns to replace the recently
	deleted ones.
	
2001-01-21  Michael K. Fleming  <mfleming@eazel.com>

	reviewed by: <arik@gnome.org> (Wincing)
	
	Bug 5625: Fonts were incorrect size.
	Bug 5872: HTTP proxy setting and auto-detect broken due to preference
	changes.

	* src/nautilus-first-time-druid.c:
	(make_hbox_user_level_radio_button), (set_up_user_level_page),
	(set_up_service_signup_page), (set_up_update_page),
	(proxy_address_entry_key_press), (set_up_proxy_config_page),
	(set_up_update_feedback_page), (initiate_file_download),
	(set_http_proxy):

2001-01-21  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 5809 - Nautilus is slow to startup because of prefernces
	setup code.  The reason for the slowdown was the constant
	suggestion to gconf to sync.  Now, we sync only after setters that
	ara result of an operation in Nautilus.  All internal setters, such
	as defaults and visibilities happen with no sync in between each
	one, making things a lot faster.

	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(nautilus_gconf_set_boolean), (nautilus_gconf_set_integer),
	(nautilus_gconf_set_string), (nautilus_gconf_set_string_list),
	(nautilus_gconf_monitor_directory), (nautilus_gconf_suggest_sync):
	* libnautilus-extensions/nautilus-gconf-extensions.h:
	Dont suggest a sync after each set.  Instead make a new function
	to let callers decide when to suggest a sync.  For example, after
	a batch of many operations.
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_get_dialog),
	(global_preferences_install_sidebar_panel_defaults),
	(global_preferences_install_sidebar_panel_descriptions),
	(global_preferences_install_home_location_defaults),
	(nautilus_global_preferences_initialize):
	Don't install the descriptions until needed when the dialog is
	about to be created.  Split the sidebar defaults installer into a
	defaults and a descriptions installer.  Remove the proxy defaults
	installer which was superfluous.  My last change simplified the
	usage of proxy settings and a whole separate function for that is
	no longer needed.
	
	* libnautilus-extensions/nautilus-preferences.c:
	(nautilus_preferences_set_boolean),
	(nautilus_preferences_set_integer), (nautilus_preferences_set),
	(nautilus_preferences_set_string_list),
	(nautilus_preferences_set_user_level):
	Suggest a gconf sync right after all the setters.
	(preferences_something_changed_notice): Add a fixme.  Also remove
	unused variables and tweak a tiny bit.

2001-01-21  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/Makefile.am:
	Generate eazel-test-install-types instead of eazel-test-types.

	* components/services/install/lib/eazel-install-logic2.c:
	(prune_failed_packages), (check_feature_consistency)
	(do_file_conflict_check), (install_packages):
	Fixed 4589.
	Ensure nulling and freeing of packages list in pruner if 0 
	elements left after prune.

	* components/services/install/server/main.c: (main):
	Some commented out debug code to enable dropping to gdb 
	on glib warnings.

2001-01-21  Andy Hertzfeld  <andy@eazel.com>

	removed the "vector" theme at Arlo's request, and many of the
	least popular patterns
	
	* configure.in:
	removed vector from the build
	* data/browser.xml:
	* data/patterns/Makefile.am:
	removed lots of specific patterns
	* icons/Makefile.am:
	removed vector theme
	* icons/ardmore/ardmore.xml:
	* icons/gnome/gnome.xml:
	fixed bug 5868, GNOME theme has white text on light background, by
	setting the text color in the theme
	
	* icons/vector/.cvsignore:
	* icons/vector/Makefile.am:
	* icons/vector/i-directory-accept.svg:
	* icons/vector/i-directory.svg:
	* icons/vector/i-regular.svg:
	* icons/vector/i-regular.xml:
	* icons/vector/vector.xml:
	the vector theme is no more
	
	* nautilus.spec.in:
	removed the vector theme from the rpm spec file
	* po/POTFILES.in:
	removed the vector theme from the localized files
	
	* src/nautilus-property-browser.c: (make_property_tile),
	(nautilus_property_browser_get_category_width):
	tweaked the layout
	
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_theme_changed):
	changed default shadow to 1 pixel
	
	* src/nautilus-theme-selector.c: (done_button_callback),
	(nautilus_theme_selector_initialize):
	added a done button like the property browser
	
2001-01-20  Pavel Cisler <pavel@eazel.com>

	* Makefile.am:
	Fix Tinderbox.

2001-01-20  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize), (make_property_tile),
	(nautilus_property_browser_update_contents):
	fixed bug 3165, Customization Dialog needs layout tweaking, by
	working with Arlo to improve it.  We also made it more GTK-theme
	compliant
	
	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize):
	Arlo and I also improved the theme selector in a similar fashion,
	including making it GTK-theme complaint.
	
2001-01-20  Kenneth Christiansen  <kenneth@gnu.org>

	* nautilus.desktop.in: Added new file
	The desktop file is soon going to be generated.

2001-01-19  Andy Hertzfeld  <andy@eazel.com>

	* icons/Makefile.am:
	* icons/i-symlink.png:
	* icons/i-symlink-aa.png:
	fixed bug 5107, we need a non-broken symlink icon, by adding
	new icons from Susan
	
	* icons/ardmore/ardmore.xml:
	changed name for Susan
	
	* icons/gnome/gnome.xml:
	used the blue arlo tabs in the GNOME theme
	
	* icons/villanova/Makefile.am:
	* icons/villanova/Sierra_desktop.png:
	* icons/villanova/villanova.xml:
	added tweaks from Susan
	
2001-01-19  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/main.c: (main):

	Set log handler so debug messages don't spam everywhere.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (install_message_new),
	(nautilus_service_install_downloading),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_done):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.h:

	Track and report the total kB (or MB) to be downloaded during an
	install.  This is slightly off (the bytesize provided by softcat
	is very rough) but will do for now.  Better in 1.0.  Also, don't
	ask to delete RPMs when none were downloaded.
	
	* components/services/trilobite/libtrilobite/trilobite-core-messagi
	ng.c: (trilobite_add_log), (trilobite_set_log_handler):

	Allow null filehandle (no logging).

2001-01-19  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-logic2.c:
	(dump_tree_helper), (check_md5_on_files),
	(eazel_install_check_existing_packages), (get_softcat_info),
	(is_satisfied), (is_satisfied_features), (do_file_conflict_check),
	(install_packages_helper):
	Removed old FIXME's
	Trying to fix the memory corruption wrt ->minor.
	Added more ifdefs around debug output.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_emit_preflight_check),
	(eazel_install_emit_dependency_check):
	Do the proper thing with total_packages and total_bytes.
	Use gtk_object_unref to delete packagedata object in dep_check
	signal.
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(osd_parse_provides):
	Parse <FEATURE> in <PROVIDES> and blurp on unknown tags.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(eazel_package_system_rpm3_packagedata_fill_from_header),
	(check_if_all_packages_seen):
	No more start and end signals around failed signals.

2001-01-11  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: added Nautilus_Control_throbber.oaf
	BUG 5822 - throbber not appearing in rpm builds

2001-01-19  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_load_uri),
	(mozilla_load_location_callback),
	(mozilla_location_changed_callback), (mozilla_open_uri_callback),
	(make_full_uri_from_relative), (mozilla_translate_uri_if_needed),
	(eazel_services_scheme_untranslate):

	Bug 5249 -- resolve deadlock by calling load_underway sooner in the
	case where nautilus directs the navigation.  (Other changes were to debug
	printfs)
	
	* components/services/install/server/main.c: (main):
	* components/services/inventory/main.c: (main):
	* components/services/summary/nautilus-view/main.c: (main):
	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	(trilobite_redirect_parse_xml):

	Remove obnx debug messages

2001-01-19  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix for bug 5475 (assertion and crash trying to return using Up
	from web link):

	* libnautilus-extensions/nautilus-file.c: (get_description): Instead
	of asserting that the MIME type is not NULL or empty string, just
	change the code  to return an empty description for those cases.

	* autogen.sh: Fix one silly "ignore non-fatal errors" message.

2001-01-19  Andy Hertzfeld  <andy@eazel.com>

	* nautilus.spec.in:
	added the sidebar_tab_images for the default theme, which I
	forgot to add previously.
	
2001-01-19  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-metadata.c:
	(eazel_install_configure_check_jump_after_install):
	* components/services/install/lib/eazel-install-metadata.h:
	* components/services/install/lib/eazel-softcat.c:
	(eazel_softcat_get_info):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_downloading),
	(nautilus_service_install_dependency_check),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_done):
	* components/services/trilobite/doc/gconf.txt:
	
	Make the install view jump to the softcat page after an install
	completes.  Fix NULL-dereference crash caused by installing a
	package by id.

2001-01-19  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(top_left_read_callback): Change code so it doesn't send a file
	changed message and then assume nothing changed.
	
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_local_get_image_uri): Handle the case where it
	can't create the directory without seg faulting.

2001-01-19  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1404 (Preferences panes should be in some
	sensible order)

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog): Reordered panes to
	match Arlo's simplest-to-least-simple design.

2001-01-19  John Sullivan  <sullivan@eazel.com>

	Fixed bug 5830 ("Show only folders in tree" shown at
	wrong user level)

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_visibility): Made it visible
	starting at intermediate level.

2001-01-19  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 5807 (view switches to manual layout only after
	hitting Refresh), and other metadata-reading-related problems.

	This was a long-standing race condition exposed by recent 
	timing changes. The directory view was waiting for its
	metadata-as-file, but not for its metadata-as-directory, and
	it needed both before trying to lay out the contained icons.

	* src/file-manager/fm-directory-view.c: 
	added metadata_for_directory_as_file_pending and 
	metadata_for_files_in_directory_pending	to details struct.
	(load_directory): set both pending flags to TRUE before
	using call_when_ready to get metadata; use call_when_ready
	for getting contained-files metadata as well as 
	directory-as-file metadata.
	(finish_loading_if_all_metadata_loaded): New function,
	finishes loading (which lays out the icons) only if neither
	metadata is still pending.
	(metadata_for_directory_as_file_ready_callback): 
	clear metadata_for_directory_as_file_pending flag before calling 
	finish_loading_if...
	(metadata_for_files_in_directory_ready_callback): 
	clear metadata_for_files_in_directory_pending flag before calling 
	finish_loading_if... 
	(disconnect_model_handlers): cancel both metadata callbacks.

2001-01-19  Andy Hertzfeld  <andy@eazel.com>

	* nautilus.spec.in:

	better remove it from the spec file, too.
	
2001-01-19  Andy Hertzfeld  <andy@eazel.com>

	removed the obsolete eazel theme, as well as the old,
	non-componentized throbber.
	
	* configure.in:
	* icons/Makefile.am:
	* icons/eazel/.cvsignore:
	* icons/eazel/Makefile.am:
	* icons/eazel/eazel.xml:
	* icons/eazel/*.png:
	* icons/eazel/i-directory-accept.xml:
	* icons/eazel/i-directory.xml:
	* icons/eazel/i-regular.xml:
	* icons/eazel/sidebar_tab_pieces/.cvsignore:
	* icons/eazel/sidebar_tab_pieces/Makefile.am:
	* icons/eazel/sidebar_tab_pieces/*.png:
	* icons/eazel/throbber/.cvsignore:
	* icons/eazel/throbber/Makefile.am:
	* icons/eazel/throbber/*.png:
	* po/POTFILES.in:
	* src/nautilus-throbber.c:
	* src/nautilus-throbber.h:

2001-01-19  Mike Fleming  <mfleming@eazel.com>

	Half of bug 5975

	Now the fonts are right, but the line wrapping is busted

	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.c: (eazel_services_label_new):
	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.h:
	* components/services/nautilus-dependent-shared/eazel-services-foot
	er.c: (footer_item_new), (eazel_services_footer_update):
	* components/services/nautilus-dependent-shared/eazel-services-head
	er.c: (eazel_services_header_title_new):
	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_eazel_news_entry_row), (generate_update_news_entry_row):


2001-01-19  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-label.c:
	Accidentally checked in a huge default font size.
	
2001-01-19  Rebecca Schulman  <rebecka@eazel.com>

	* src/file-manager/fm-search-list-view.c:
	(display_indexed_search_problems_dialog):
	Remove extra commas that broke compilation.

2001-01-19  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-logic2.c:
	(check_conflicts_against_already_installed_packages):

	Add comment about how a hack also fixes bug 5799.

	* components/services/install/lib/eazel-install-xml-package-list.c:
	(osd_parse_softpkg):

	Parse REVISION tag in softcat XML for the install lib.

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (generate_install_form), (show_overall_feedback),
	(nautilus_install_parse_uri), (current_progress_bar_complete),
	(nautilus_service_install_downloading),
	(nautilus_service_install_dependency_check),
	(flatten_package_tree_foreach), (flatten_package_tree),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_view_update_from_uri):

	Re-layout a little bit of the top of the install view, to make the
	overall feedback label not flicker.  Remove some redundant redraws
	that had been stuck in to work around the NautilusLabel redraw
	sizing bug.  Sneak in support for multiple packages in the eazel-
	install URI scheme.  Remove repeating package names from the final
	list during preflight.  Give some overall feedback during package
	dependency checking so the user doesn't think we're lost in space.

2001-01-19  Rebecca Schulman  <rebecka@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* src/file-manager/fm-search-list-view.c: (load_location_callback),
	(display_indexed_search_problems_dialog):
	Added dialogs to explain problems that may occur when running a search.
	There are separate dialogs to explain each of the following errors:
	1.  No index files available 
	2.  Index still being created
	3.  Index files are available, but the search daemon isn't running
	4.  No index files, and no reindexing service avaialble
	We may be able to actually do something about some of these 
	problems in the future (ie launch the search or indexing daemons
	if they're not already running) but for PR3 explaining what is
	going on in each of these cases should be a big step forward
	* src/file-manager/nautilus-indexing-info.c:
	(nautilus_indexing_info_show_dialog):
	Show the index files status dialog if there are index files,
	or indexing is going on, rather than if the search service
	is available, so that a user can follow indexing progress,
	even if an index isn't ready yet.

2001-01-19  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-test-packsys.c:
	(test_package_load):
	Wrote test for the fix to 5262
	
	* components/services/install/lib/eazel-install-logic.c:
	Moved get_total_size to logic2.c
	
	* components/services/install/lib/eazel-install-logic2.h:
	* components/services/install/lib/eazel-install-logic2.c:
	(dump_tree_helper), (eazel_install_check_existing_packages),
	(eazel_install_get_total_size_of_packages), (execute):
	Setup infoblock so the callback signals make sense, removed a
	g_assert_not_reached.
	
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package):
	Don't load dependencies when loading the package after download.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(rpm_sense_to_softcat_sense),
	(eazel_package_system_rpm3_packagedata_fill_from_header):
	Fixed 5262

	* components/services/install/lib/eazel-package-system-types.c:
	(packagedependency_new), (packagedependency_destroy),
	(packagedata_fill_in_missing), (packagedata_dump_int):
	Allow fill_in_missing into a packagedata object with depends set.
	Moved output of features and provides upwards in dump_int.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_view_update_from_uri):
	Deallocate the EazelInstall object in update_from_uri if already
	set. The ensures a reload of the install-view doesn't leak
	EazelInstall objects.

2001-01-19  Darin Adler  <darin@eazel.com>

	reviewed by: Michael Engber <engber@eazel.com>

	* src/nautilus-view-frame-corba.c: (view_widget_gone),
	(impl_Nautilus_ViewFrame__destroy),
	(impl_Nautilus_ViewFrame__create),
	(impl_Nautilus_ViewFrame_open_location_in_this_window),
	(impl_Nautilus_ViewFrame_open_location_prefer_existing_window),
	(impl_Nautilus_ViewFrame_open_location_force_new_window),
	(impl_Nautilus_ViewFrame_report_selection_change),
	(impl_Nautilus_ViewFrame_report_status),
	(impl_Nautilus_ViewFrame_report_load_underway),
	(impl_Nautilus_ViewFrame_report_load_progress),
	(impl_Nautilus_ViewFrame_report_load_complete),
	(impl_Nautilus_ViewFrame_report_load_failed),
	(impl_Nautilus_ViewFrame_set_title):
	Since the NautilusViewFrame object is a widget, we don't
	control its lifetime completely. So we disconnect from it
	when it is destroyed and stop trying to make calls on it.

2001-01-19  Michael Engber  <engber@eazel.com>

	reviewed by: Brian Frank

	* data/static_bookmarks.xml:
	Changes for PR3 default bookmarks. Use redirects.

2001-01-19  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Finished bug 2146 (Properties window for desktop Trash
	should show Trash properties). The last two changes were
	to remove the "accessed" field for all directories, since
	it seems useless, and to fill in the "where" field with
	"on the desktop".

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_where_string): New function, calls
	virtual function so trash and normal files can report
	different strings.
	(nautilus_file_get_string_attribute): Changed "parent_uri"
	string attribute to "where", since it is not the parent_uri
	in the Trash case.
	* libnautilus-extensions/nautilus-file.h: Virtual function
	pointer for get_where_string.
	* libnautilus-extensions/nautilus-trash-file.c:
	(trash_file_get_where_string),
	(nautilus_trash_file_initialize_class): Supply get_where_string
	function that returns "on the desktop".
	* libnautilus-extensions/nautilus-vfs-file.c:
	(vfs_file_get_where_string), (nautilus_vfs_file_initialize_class):
	Supply get_where_string function that returns parent_uri string.
	* src/file-manager/fm-properties-window.c:
	(should_show_accessed_date): New function, returns FALSE for
	directories and TRUE for other files.
	(create_basic_page): Honor should_show_accessed_date, and use
	"where" instead of "parent_uri" string attribute.
	* src/file-manager/fm-search-list-view.c:
	(real_get_column_specification): Use "where" instead of "parent_uri"
	string attribute.

2001-01-19  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (install_message_new):
	Add a tiny bit of padding to this label to prevent the bottom from
	being cut off.  Im not sure exactly why the bottom is getting cut
	off.  I suspect that the part container is constraining the widget
	somehow, perhaps to match the geometry of the label on the right.
	
	* libnautilus-extensions/nautilus-label.c:
	(label_composite_pixbuf_callback), (nautilus_label_expose_event):
	Fix for bugs 5607, 5608 and 5611.  Remove previous workaround for
	bug 5608.  Do the clipping of the area that we need to copy into
	the temporary buffer more carefully.  The temporary buffer itself
	is a workaround for a related bug (2784).

2001-01-19  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/bug-5712-pr3-workaround--gdkimage.c:
	(NAUTILUS_BUG_5712_PR3_WORKAROUND__gdk_image_get):
	Remove a debug printf that I stupidly left in.
	
2001-01-19  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Nobody, because the "fix" is so revolting that none
	of the high integrity Nautilus hackers would approve it.

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/bug-5712-pr3-workaround--gdk-pixbuf-drawable.c:
	* libnautilus-extensions/bug-5712-pr3-workaround--gdk-pixbuf-private.h:
	* libnautilus-extensions/bug-5712-pr3-workaround--gdkimage.c:
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_get_from_window_safe):
	Workaround for bug 5712.  This is a temporary evil until GTK+
	1.2.9 is released.
	
2001-01-19  John Sullivan  <sullivan@eazel.com>

	Ramiro sent me this patch, which I tweaked slightly.

	Fix for bug 5792 (Sidebar panel choices visible at beginner
	user level, but shouldn't be)

	* libnautilus-extensions/nautilus-global-preferences.c:
	add visible_user_level field to known_sidebar_panels struct.
	Set this field appropriately for each of the 4 known sidebar
	panels. Remove the 5th known sidebar panel since it was an
	accidental duplication of the 2nd one.
	(global_preferences_install_sidebar_panel_defaults): Set the
	visible user level when installing default values.

2001-01-19  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Ramiro Estrugo <ramiro@eazel.com>

	Fixed 4348: trying to trash a file already deleted outside Nautilus crashes.
	* libnautilus-extensions/nautilus-file-operations.c:
	(nautilus_file_operations_copy_move):
	The problem was that the "find trash near" operation was failing because
	the trahsed file was non-existent.
	Added code that deals with a NULL target_directory_uri handle.	

2001-01-19  Stanislav Visnovsky <visnovsky@nenya.ms.mff.cuni.cz>

        * configure.in: Added sk to ALL_LINGUAS.

2001-01-19  Andy Hertzfeld  <andy@eazel.com>

	more clean-up and fixes for the default theme change
	
	* icons/ardmore/ardmore.xml:
	* icons/arlo/arlo.xml:
	* icons/default.xml:
	* icons/eazel/eazel.xml:
	* icons/gnome/gnome.xml:
	* icons/vector/vector.xml:
	* icons/villanova/villanova.xml:
	at Arlo's request, capitalized the theme names and also made
	them localizable, and tweaks to some of the theme files to fix
	problems caused by the new default
	
	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_load_theme_data):
	added a way to specify the non-pixmap tabs, since it uses
	pixmap ones in the default now
	
	* src/nautilus-theme-selector.c:
	(get_theme_description_and_display_name), (add_theme):
	made it use a localizable name in the xml file instead of the
	actual folder name.
	
	* src/nautilus-window-toolbars.c: (get_file_name_from_icon_name):
	added a way to get the stock gnome toolbar icons, now that we have
	our own in the default theme
	
	* nautilus.spec.in:
	added the throbber component to our package

2001-01-19  Pavel Cisler <pavel@eazel.com>

	Fix 3558: Nautilus crashes with specific sequence of icon dragging
	and mouse movement
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_button_release), (nautilus_list_motion):
	The drag start code was assuming an actual item was clicked,
	added a check that checked the clicked row index first.
	
	* libnautilus-extensions/nautilus-self-checks.c:
	(nautilus_report_check_failure):
	Missed one printf -> fprintf (stderr...
	
2001-01-18  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-xml-package-list.c:
	(osd_parse_feature_list), (osd_parse_implementation):

	Parse the "features" list for toplevel packages, if one is
	provided by softcat (the next softcat release will do it).

	* components/services/install/lib/eazel-softcat.c:
	(remove_directories_from_provides_list):

	Remove debugging line I accidentally left in.

2001-01-18  Andy Hertzfeld  <andy@eazel.com>

	fixed some damage from the default theme change, including getting
	the sidebar tabs installed correctly, and making semi-transparent
	icon selection highlight in aa-mode work properly again.  There are
	still some more to do to finish this, though.
	
	* icons/sidebar_tab_pieces/Makefile.am:
	install the tabs in the proper place
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_theme_changed):
	use NAUTILUS_COLOR_RGBA to set up the highlight color
	
2001-01-18  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/arlo.xml:
	I didn't like the name I picked today... changed it again...
	(Thanks Wingpea!)

2001-01-18  Eskil Olsen  <eskil@eazel.com>

	* components/services/login/nautilus-view/Makefile.am:
	Fixing stuff

2001-01-18  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-logic2.c:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(osd_parse_file_list):
	* components/services/install/lib/eazel-softcat.c:
	(is_filename_probably_a_directory),
	(remove_directories_from_provides_list), (eazel_softcat_get_info):

	Make softcat module remove obvious directories from the file list
	provided by XML.  There are still files that could slip through
	the cracks (forseti bug 1279).

2001-01-18  Andy Hertzfeld  <andy@eazel.com>

	made the real default theme, based on what was formerly the
	eazel theme.  This isn't quite finished yet (the sidebar tabs
	arent right yet, Arlo needs to add the desktop, plus some other
	details), and some of the other themes might be slightly wrong
	from this change, but I'll fix everything up soon.
	
	* configure.in:
	* icons/Makefile.am:
	* icons/default.xml:
	* icons/gnome/gnome.xml:
	* icons/i-directory-accept.xml:
	* icons/i-directory.xml:
	* icons/sidebar_tab_pieces/.cvsignore:
	* icons/sidebar_tab_pieces/Makefile.am:
	* plus lots of images
	
2001-01-18  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>
	(only the first 2 changes, others unreviewed)

	* libnautilus-extensions/nautilus-trash-directory.c:
	(trash_destroy): Fix problem that might be what's killing the
	Tinderbox. We need to disconnect the signal handlers we add to the
	trash monitor.
	
	* src/file-manager/fm-directory-view.c: (load_location_callback):
	Always reload when navigating. This smooths over many anomalies,
	and hopefully will fix the nasty problems described in bug 4873
	(files created in home directory (outside Nautilus) don't show up
	when I navigate there) and bug 4963 (starting the search service
	while running nautilus doesn't let you run searches).

	* configure.in: Fix gnome-http check that was previously just
	checking whether gnome-config was there or not!
	
	* src/nautilus-application.c: (nautilus_application_startup):
	Replace incorrect references to nautilus.oafinfo to instead
	mention Nautilus_Shell.oaf.
	
	* test/.cvsignore: Add a generated file.

2001-01-18  Robey Pointer  <robey@eazel.com>

	* icons/Makefile.am:
	* icons/bubble-LL.png:
	* icons/bubble-LR.png:
	* icons/bubble-UL.png:
	* icons/bubble-UR.png:
	* icons/tiny-alert.png:

	Add Arlo's icons for the new password-change view.

2001-01-18  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/arlo.xml:
	Tweaked XML file to represent the "Luxe" family name.
	This fits with the Sawfish and GTK theme names.

2001-01-18  Robey Pointer  <robey@eazel.com>

	* components/services/login/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/nautilus-change-password-
	view.c: (run_away_timer), (generate_change_password_form),
	(entry_changed_cb), (authn_succeeded), (authn_failed),
	(start_change_password), (change_password_button_cb):
	* components/services/login/nautilus-view/password-box.c:
	(add_padding_to_box), (add_filler_to_box), (line_expose),
	(vertical_line_new), (make_empty_viewport),
	(gtk_widget_set_colors), (make_bubble_shell),
	(change_bubble_shell_colors), (password_box_set_colors),
	(password_box_get_entry), (password_box_set_error_text),
	(password_box_show_error), (password_box_new):
	* components/services/login/nautilus-view/password-box.h:

	Implement new change-password UI according to Arlo's screenshots.
	Rounded password text-entry blobs are now in their own file for a
	modicum of modularity.  Reponse codes from ammonite are now
	correctly decoded and translated into text.

2001-01-18  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-object.c:
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file):
	* nautilus-installer/src/HACKING:

	Change the bootstrap installer download function to use the new
	gnome-http call to avoid buffering 8MB of package files in memory
	at once.
	
	* components/services/trilobite/libtrilobite/trilobite-core-network
	-slim.c: (trilobite_xml_get_string), (trilobite_fetch_uri),
	(trilobite_fetch_uri_to_file):

	Forgot to add this once -- needed by the bootstrap installer.

2001-01-18  Eskil Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_do_rpm_dependency_check):
	* components/services/install/lib/eazel-package-system-rpm4.c:
	(eazel_package_system_implementation):
	* components/services/install/lib/eazel-softcat.c:
	(get_search_url_for_package):
	Fixing build issues against newest rpm (4.0.2-0.27).

2001-01-18  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 3417 (Put existing preferences at right levels)

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_defaults),
	(global_preferences_install_visibility): First pass at setting
	appropriate defaults and user levels for preferences.
	
	(global_preferences_create_dialog): Put "show only folders in
	tree view" before other preferences that appear only in higher
	user levels, 'cuz it looks better that way.
	
	* src/nautilus-shell-ui.xml:
	* src/nautilus-window-menus.c: (user_level_customize_callback):
	Renamed "Edit Settings" menu item & dialog to "Preferences";
	marked dialog title for localization.

2001-01-18  Andy Hertzfeld  <andy@eazel.com>

	now that the bonobo problems are resolved, we can go back to
	the componentized throbber.
	
	* src/Makefile.am:
	* src/nautilus-window-toolbars.c:
	(nautilus_window_initialize_toolbars):
	* src/nautilus-window.c: (throbber_location_changed_callback),
	(nautilus_window_constructed), (nautilus_window_destroy),
	(nautilus_window_allow_stop):
	* src/nautilus-window.h:

2001-01-18  Michael Engber  <engber@eazel.com>

	reviewed by: John Sullivan

	* libnautilus-extensions/nautilus-directory-background.c:
	(theme_image_path_to_uri),
	(nautilus_file_background_get_default_settings_for_theme),
	(nautilus_file_background_get_default_settings),
	(nautilus_file_background_read_desktop_settings),
	(nautilus_file_background_write_desktop_settings),
	(nautilus_file_background_is_set):
	* libnautilus-extensions/nautilus-theme.c:
	(nautilus_theme_get_theme_data_from_theme),
	(nautilus_theme_get_theme_data):
	* libnautilus-extensions/nautilus-theme.h:
	The desktop can now be reset to the "default" meaning when
	you change themes it will use the default desktop setting
	for the new theme - bug 5730.

2001-01-18  Arlo Rose  <arlo@eazel.com>

	* icons/Makefile.am:
	* icons/emblem-symbolic-link.png:
	* icons/emblem-broken-link.png:
	More elegant symbolic link emblem, and the addition of
	a broken one in the event we hook it up.

2001-01-18  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug where selecting the first item in a list view, then
	hitting Shift-TAB would always trigger an assertion

	* src/file-manager/fm-list-view.c
	(select_previous_next_common): deleted the bogus assertion

2001-01-18  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 5666 (dragging to directory in the tree view always
	crashes)

	* libnautilus-extensions/nautilus-file-operations.c
	(nautilus_file_operations_copy_move): check that
	relative_item_points isn't null before dereferencing it (since
	nautilus_tree_view_move_copy_files passes NULL as this
	parameter)

2001-01-18  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-thumbnails.c:
	(check_for_thumbnails):
	Fix a crash that was blocking Eli -- a close was being called
	without checking the result of a previous create.
	This will need more work, just wanted to do a quick fix to
	unblock Eli.

2001-01-18  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install-corba.
	c: (set_parameters_from_command_line),
	(eazel_download_progress_signal), (tree_helper_helper),
	(tree_helper), (something_failed):
	Fixed 5754 (add --cgi-path), made some modifications needed for
	the change signals for ei2. Also added --noauth that disables
	eazelauth.
	Now also takes --server=host[:port] args.
	
	* components/services/install/command-line/eazel-test-packsys.c:
	(test_version_compare), (test_query), (test_query_owns_mem),
	(main):
	Wrote some more tests.
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	Added the file_conflict_check call, not implemented yet.
	Also added the cgi, debug and auth attributes.
	
	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install__set_debug), (impl_Eazel_Install__get_debug),
	(impl_Eazel_Install__set_auth), (impl_Eazel_Install__get_auth),
	(impl_Eazel_Install__set_cgi), (impl_Eazel_Install__get_cgi),
	(eazel_install_get_epv):
	Setup the cgi, debug and auth in the vtable.
	
	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_start_transaction):
	Some code moved to logic2.c
	
	* components/services/install/lib/eazel-install-logic2.h:
	* components/services/install/lib/eazel-install-logic2.c:
	(dump_tree_helper), (check_md5_on_files),
	(prune_failed_packages_helper), (prune_failed_packages),
	(eazel_install_check_existing_packages), (get_softcat_info),
	(get_package_info_foreach), (dedupe_foreach_depends),
	(dedupe_foreach), (dedupe), (is_satisfied),
	(is_satisfied_features), (check_dependencies_foreach),
	(is_filename_probably_a_directory), (check_tree_helper),
	(check_tree_for_conflicts), (check_no_two_packages_has_same_file),
	(check_conflicts_against_already_installed_packages),
	(check_feature_consistency), (do_file_conflict_check),
	(do_dep_check_internal), (do_dep_check), (download_packages),
	(clean_up_dedupe_hash), (clean_up_dep_ok_hash), (execute),
	(install_packages_helper), (install_packages):
	Finished first hit at ei2 install, seems to work now. This closes
	a lot of the bugs with ei2 in the comment.
	
	* components/services/install/lib/eazel-install-metadata.c:
	(eazel_install_configure_softcat):
	Default to port 80, not 443.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_install_packages),
	(eazel_install_uninstall_packages),
	(eazel_install_revert_transaction_from_xmlstring),
	(eazel_install_emit_preflight_check):
	Uses ei2 for install, still uses logic.c for uninstall and revert.
	emit_preflight no longer checks for toplevel if ei2 is set.
	
	* components/services/install/lib/eazel-install-private.h:
	Wrote comments for the two ei2 hashes.
	
	* components/services/install/lib/eazel-install-problem.c:
	(get_detailed_cases_foreach),
	(get_detailed_uninstall_cases_foreach),
	(eazel_install_problem_tree_to_case),
	(eazel_install_problem_tree_to_string):
	More debug info and uses gtk_object_unref for deallocating
	packagedata structures.
	
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_file):
	If the file is already present, still emit signals.
	
	* components/services/install/lib/eazel-install-public.h:
	Moved some enums here.
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(eazel_install_packagedata_to_xml):
	Add ->depends to the SOFT_DEPEND field.
	
	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_compare_version):
	* components/services/install/lib/eazel-package-system.h:
	* components/services/install/lib/eazel-package-system-private.h:
	* components/services/install/lib/eazel-package-system-rpm3-private
	.h:
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(eazel_package_system_rpm3_packagedata_fill_from_header),
	(eazel_package_system_rpm3_execute),
	(eazel_package_system_rpm3_compare_version),
	(eazel_package_system_implementation):
	* components/services/install/lib/eazel-package-system-rpm4.c:
	(eazel_package_system_implementation):
	* components/services/install/lib/eazel-package-system-skeleton.c:
	(eazel_package_system_skeleton_compare_version),
	(eazel_package_system_implementation):
	Added the compare_version call to EazelPackageSystem (fixes bug
	5663).
	Also use free instead of xfree to maintain rpm 4.0.2
	compatibility.
	
	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system-types.c:
	(at_exit_package_data_info), (categorydata_new),
	(categorydata_destroy_foreach), (packagedata_initialize),
	(packagedata_finalize), (packagedependency_destroy),
	(packagedata_copy), (packagedata_destroy),
	(packagedata_get_readable_name), (packagedata_add_pack_to),
	(packagedata_add_pack_to_breaks),
	(packagedata_add_pack_to_modifies),
	(flatten_packagedata_dependency_tree_helper),
	(flatten_packagedata_dependency_tree):
	Wrote some functions to convert a packagedata tree into a flat
	structure based on ->depends.
	Some nifty atexit debug output showing non-deallocated packagedata
	structures.
	More gtk_object_ref/unref repair.
	Fixed get_readable_name (a y2k bug!!)
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_install_parse_uri),
	(nautilus_service_install_view_update_from_uri):
	Don't set auth to TRUE when uri has host...
	
	* configure.in:
	Changed librpmio test so it works with rpm 4.0.2

2001-01-18  Arlo Rose  <arlo@eazel.com>

	I forgot to check these two image in a few days ago...
	* icons/eazel/sidebar_tab_pieces/left_bumper-prelight.png:
	* icons/eazel/sidebar_tab_pieces/left_bumper.png:

2001-01-18  Andy Hertzfeld  <andy@eazel.com>

	backed out the Bonobo component throbber temporarily due
	to Bonobo problems and restored the old one; hopefully, the
	new one will come back soon.
	
	* src/Makefile.am:
	* src/nautilus-window-toolbars.c:
	(nautilus_window_initialize_toolbars):
	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_destroy), (nautilus_window_allow_stop):
	* src/nautilus-window.h:

	fixed bug 5393, custom emblems arent scaling properly, by
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_update_icon):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_themed_icon_file_path), (load_pixbuf_svg),
	(load_specific_icon):

2001-01-18  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fixed bug 2147 (NautilusFile for trash needs non-empty values for
	more properties), bug 5652 (MIME type field appears but shouldn't
	in properties window for Trash), and bug 4620 (trash sidebar
	should show number of items).

	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file-private.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_relative_uri): Create trash file subclass
	when appropriate.
	(nautilus_file_info_missing): Rename so it can be used in other
	source files.
	(nautilus_file_get_date): New method that returns numeric dates.
	(nautilus_file_get_date_as_string): Change to call
	nautilus_file_get_date to get the numeric date.
	(nautilus_file_get_file_type): Turn into a method.

	* libnautilus-extensions/nautilus-merged-directory.h:
	* libnautilus-extensions/nautilus-merged-directory.c:
	(merged_call_when_ready): Rolled in the old
	merged_callback_connect_directory function.
	(merged_contains_file): Moved down to a more appropriate part of
	the source file.
	(nautilus_merged_directory_get_real_directories): New public
	function for use by trash.
	
	* libnautilus-extensions/nautilus-trash-file.c:
	(trash_callback_hash), (trash_callback_equal),
	(trash_callback_destroy), (trash_callback_check_done),
	(trash_callback_remove_file), (ready_callback),
	(real_file_changed_callback), (monitor_add_file), (add_real_file),
	(trash_callback_remove_file_cover), (monitor_remove_file),
	(remove_real_file), (add_real_file_given_directory),
	(add_directory_callback), (remove_directory_callback),
	(trash_file_call_when_ready), (trash_file_cancel_call_when_ready),
	(trash_file_check_if_ready), (trash_file_monitor_add),
	(trash_file_monitor_remove), (trash_file_get_file_type),
	(trash_file_get_item_count), (trash_file_get_deep_counts),
	(trash_file_get_date), (remove_all_real_files),
	(nautilus_trash_file_initialize), (trash_destroy),
	(nautilus_trash_file_initialize_class):
	New code. First implementation of getting some attributes for the
	merged trash. Gets list of directories from the
	NautilusTrashDirectory object. The code in here is similar to the
	NautilusMergedDirectory class and at some point perhaps we can
	make the two share more.
	
	* libnautilus-extensions/nautilus-vfs-file.c:
	(vfs_file_get_file_type), (vfs_file_get_date),
	(nautilus_vfs_file_initialize_class): Implement the two new
	methods for the standard vfs case.
	
	Fixed various things that affect the properties window for the
	trash that showed up while I was testing the above work:
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_name_for_regular_file),
	(nautilus_icon_factory_get_icon_name_for_file): Move trash special
	case out so it doesn't matter what type the trash seems to be. The
	old code relied on trash not being a directory.
	
	* src/file-manager/fm-properties-window.c:
	(create_properties_window), (create_properties_window_callback),
	(cancel_create_properties_window_callback),
	(directory_view_destroyed_callback), (remove_pending_file): Rework
	code to fix problems where the timed wait or the signal handler
	wasn't properly cleaned up.

	Fixed remaining bit of bug 5631 (Tear-offs of right-click menus
	don't work.):
	
	* src/file-manager/nautilus-desktop-icon-view-ui.xml: Mark Disks
	right-click submenu so it won't get a tear-off item.

	Fixed bug 5650 (nautilus --quit fails to return to prompt
	sometimes):
	
	* src/nautilus-application.c: (nautilus_application_startup): Add
	special case so "nautilus --quit" doesn't hang waiting for a
	response from the (now quit) "server" instance of Nautilus.
	* src/nautilus-shell-interface.idl: Had to make the quit call no
	longer be "oneway" to get it to work right, otherwise the quit
	message could be lost when the sending application exited too
	fast.

	Fix bug 5675 (Nitpicks in new "could not be moved to new special
	location" dialog):

	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_transfer_overwrite): Updated message wording as Eli (and
	Vera) suggest.

	Other changes:
	
	* libnautilus-extensions/nautilus-view-identifier.c:
	(get_lang_list): Fix comment and a small storage leak in the case
	where lang_with_locale is non-NULL but empty.
	
	* po/POTFILES.ignore: Obsolete file, no longer used.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(update_home_link_and_delete_copies): Update comment to help
	translators understand better.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(directory_load_callback): Added a new assertion that could help
	in future gnome-vfs debugging.
	
	* libnautilus/nautilus-view-component.idl: Removed long-ago-fixed
	FIXME comment.

	* src/nautilus-window-manage-views.c: Tweak spacing.

2001-01-18  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_make_uri_from_input):
	* libnautilus-extensions/nautilus-link-set.c:
	(nautilus_link_set_install):
	Used new gnome_vfs_expand_initial_tilde in two places
	that were doing this independently (one of which is 
	where the code for the gnome-vfs routine came from).

2001-01-18  John Sullivan  <sullivan@eazel.com>

	Fixed bug 5260: (Should revise 'Music view is unable to play
	back sound' dialog)

	* components/music/nautilus-music-view.c: (play_current_file):
	Improved an error message per Eli and Vera.

2001-01-18  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_install_visibility),
	(global_preferences_install_proxy_defaults),
	(global_preferences_install_home_location_defaults),
	(nautilus_global_preferences_initialize):
	* libnautilus-extensions/nautilus-global-preferences.h:
	Make comments reflect reality more.  Changed the structure of the
	file a bit to have the defaults, descriptions and visibility
	installing functions be at the top.
	
2001-01-18  Pavel Cisler <pavel@eazel.com>

	Fix 4221 (Pressing Cancel button does not cancel)

	* libnautilus-extensions/nautilus-file-operations.c:
	(transfer_dialog_clicked_callback), (handle_transfer_ok):
	Redo cancellation to use a flag in the Transfer state and
	return a request to cancel during the next callback instead
	of issuing a gnome_vfs_async_cancel and destroying the
	dialog. The latter approach would now work too with my
	latest change to gnome_vfs_xfer, this new way of cancelling
	is cleaner and causes all the item that actually do get
	copied to show up in their new locations.

2001-01-18  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_defaults):
	Add a FIXME for a bug that was shuffled in my last checkin.
	
2001-01-17  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Lots of bug fixes:

	2848 - User level agnostic config settings have nowhere to live.
	2654 - Need default values even for non user level preferences.
	3414 - Show more preferences at higher user levels.
	3415 - Make preference the same for all levels at which it is not visible
	3416 - Make preference changes affect all levels at which they are visible
	4357 - Web search URL setting should be reset upon Nautilus update
	5160 - Tree view doesnt exist when starting nautilus as a beginner
	5234 - Sidebar panel preferences are not properly separated among user levels
	
	* components/mozilla/mozilla-preferences.cpp:
	Update for gnome vfs proxy changes.  Proxy host and port are now
	stored in separate gconf settings.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-enumeration.h:
	* libnautilus-extensions/nautilus-enumeration.c:
	(nautilus_enumeration_new), (nautilus_enumeration_free),
	(nautilus_enumeration_insert),
	(nautilus_enumeration_get_nth_entry),
	(nautilus_enumeration_get_nth_description),
	(nautilus_enumeration_get_nth_value),
	(nautilus_enumeration_get_num_entries),
	(nautilus_self_check_enumeration):
	New files.  An enumeration data structure.
	
	* components/tree/nautilus-tree-expansion-state.c:
	No longer need to give the full path to a gconf setting.

	* components/tree/nautilus-tree-view.c:
	(filtering_changed_callback), (nautilus_tree_view_initialize):
	* libnautilus-extensions/nautilus-directory-async.c:
	(can_use_public_metafile),
	(get_filter_options_for_directory_count):
	* libnautilus-extensions/nautilus-file-operations.c:
	(confirm_empty_trash):
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_should_get_top_left_text):
	* libnautilus-extensions/nautilus-font-factory.c:
	(nautilus_font_factory_get_font_from_preferences):
	Update for preferences api changes.

	* libnautilus-extensions/nautilus-gconf-extensions.h:
	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(global_client_free), (nautilus_gconf_client_get_global),
	(nautilus_gconf_handle_error), (nautilus_gconf_set_boolean),
	(nautilus_gconf_get_boolean), (nautilus_gconf_set_int),
	(nautilus_gconf_get_int), (nautilus_gconf_set_string),
	(nautilus_gconf_get_string), (nautilus_gconf_set_string_list),
	(nautilus_gconf_get_string_list), (nautilus_gconf_is_default),
	(nautilus_gconf_monitor_directory):
	New files.  Useful gconf extensions; make peeking and poking
	settings a little easier.

	* libnautilus-extensions/nautilus-icon-container.c:
	(button_press_event):
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(in_single_click_mode):
	Update for preferences api changes.

	* libnautilus-extensions/nautilus-icon-factory.c:
	(icon_theme_changed_callback),
	(should_display_image_file_as_itself):
	Update for preferences api changes.  Also no longer need to define
	a default theme.

	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	Add entries for enumeration and preferences.  Remove preference
	entry.  Note plural vs not.
	
	* libnautilus-extensions/nautilus-preference.c:
	* libnautilus-extensions/nautilus-preference.h:
	Retire these 2.  No longer use a GtkObject to store each
	preference.  We simply use the string name instead.
	
	* libnautilus-extensions/nautilus-preferences-box.h:
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_add_pane),
	(nautilus_preferences_box_update):
	New function.  Should be called when user level changes so that
	the box updates its panes.
	
	* libnautilus-extensions/nautilus-preferences-dialog.h:
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	(nautilus_preferences_dialog_initialize),
	(nautilus_preferences_dialog_destroy),
	(nautilus_preferences_dialog_get_prefs_box),
	(nautilus_preferences_dialog_update),
	(user_level_changed_callback):
	Keep track of user level changes.  
	New function to update the dialog when user level changes.
	
	* libnautilus-extensions/nautilus-preferences-group.h:
	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_initialize),
	(nautilus_preferences_group_destroy),
	(nautilus_preferences_group_add_item): Collect the group's items
	in a list.  Update to user a string to represent a preference
	instead of a GtkObject.  
	(nautilus_preferences_group_update): New function.  Updates the
	group's items to respect preferences visibility based on the user
	level.
	(nautilus_preferences_get_num_visible_items):  New function.
	Return the number of currently visible items.

	Collect the group's items in a list.   Update to user a string to
	represent a preference instead of a GtkObject.  
	
	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_construct), (preferences_item_create_enum),
	(preferences_item_create_short_enum),
	(preferences_item_create_boolean),
	(preferences_item_create_editable_string),
	(preferences_item_create_integer),
	(preferences_item_create_font_family),
	(preferences_item_create_theme),
	(enum_radio_group_changed_callback),
	(editable_string_changed_callback), (integer_changed_callback),
	(nautilus_preferences_item_get_name): 
	New function to fetch the item's preference name.
	Add a new kind of preference - INTEGER.  Update for string
	vs. GtkObject preferences representation changes.  

	* libnautilus-extensions/nautilus-preferences-pane.h:
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_update):
	New function.  Updates the pane's groups to respect preferences
	visibility based on the user level.

	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_get_path), (preferences_get_defaults_path),
	(preferences_get_visibility_path),
	(preferences_get_user_level_key),
	(preferences_preference_is_internal),
	(preferences_preference_is_user_level), (preferences_key_make),
	(preferences_key_make_for_default),
	(preferences_key_make_for_default_getter),
	(preferences_key_make_for_visibility),
	(preferences_global_client_remove_notification),
	(preferences_global_client_get),
	(preferences_preference_is_default),
	(preferences_make_user_level_filtered_key),
	(nautilus_preferences_get_visible_user_level),
	(nautilus_preferences_set_visible_user_level),
	(nautilus_preferences_set_boolean),
	(preferences_key_make_for_getter),
	(nautilus_preferences_get_boolean), (nautilus_preferences_set_int),
	(nautilus_preferences_get_int), (nautilus_preferences_set),
	(nautilus_preferences_get), (nautilus_preferences_set_string_list),
	(nautilus_preferences_get_string_list),
	(nautilus_preferences_get_user_level),
	(nautilus_preferences_set_user_level),
	(nautilus_preferences_default_set_int),
	(nautilus_preferences_default_get_int),
	(nautilus_preferences_default_set_boolean),
	(nautilus_preferences_default_get_boolean),
	(nautilus_preferences_default_set_string),
	(nautilus_preferences_default_get_string),
	(nautilus_preferences_default_set_string_list),
	(nautilus_preferences_default_get_string_list),
	(preferences_callback_entry_invoke_function),
	(preferences_something_changed_notice),
	(preferences_global_table_check_changes_function),
	(preferences_user_level_changed_notice),
	(preferences_entry_add_callback),
	(preferences_entry_remove_callback),
	(preferences_callback_entry_free),
	(preferences_callback_entry_free_func), (preferences_entry_free),
	(preferences_entry_free_func), (preferences_global_table_free),
	(preferences_global_table_get_global),
	(preferences_global_table_lookup),
	(preferences_global_table_insert),
	(preferences_global_table_lookup_or_insert),
	(nautilus_preferences_add_callback),
	(preferences_while_alive_disconnector),
	(nautilus_preferences_add_callback_while_alive),
	(nautilus_preferences_remove_callback),
	(nautilus_preferences_enumeration_insert),
	(nautilus_preferences_enumeration_get_nth_entry),
	(nautilus_preferences_enumeration_get_nth_description),
	(nautilus_preferences_enumeration_get_nth_value),
	(nautilus_preferences_enumeration_get_num_entries),
	(nautilus_preferences_set_description),
	(nautilus_preferences_get_description),
	(nautilus_preferences_get_user_level_name_for_display),
	(nautilus_preferences_get_user_level_name_for_storage),
	(preferences_user_level_check_range),
	(nautilus_preferences_monitor_directory),
	(nautilus_preferences_is_visible),
	(nautilus_self_check_preferences):
	Many changes.  Redid to support the preferences system described
	in bugs 3414, 3415 and 3416.
	
	* libnautilus-extensions/nautilus-smooth-widget.c:
	(preferences_get_is_smooth):
	* libnautilus-extensions/nautilus-sound.c:
	(kill_sound_if_necessary), (nautilus_sound_initialize),
	(nautilus_sound_kill_sound), (nautilus_sound_register_sound),
	(nautilus_sound_can_play_sound):
	* libnautilus-extensions/nautilus-theme.c:
	(nautilus_theme_get_theme), (nautilus_theme_get_theme_data),
	(nautilus_theme_get_image_path):
	Update for preferences api changes.

	* libnautilus-extensions/nautilus-user-level-manager.c:
	* libnautilus-extensions/nautilus-user-level-manager.h:
	Retire.  No longer needed.  User level things are handled in
	nautilus-preferences.[ch] now.  The current user level design is
	much simpler and does no require its own GtkObject.

	* src/file-manager/fm-desktop-icon-view.c:
	(update_home_link_and_delete_copies), (real_update_menus):
	* src/file-manager/fm-directory-view.c: (open_location),
	(confirm_delete_from_trash), (real_update_menus),
	(fm_directory_view_activate_files), (filtering_changed_callback):
	* src/file-manager/fm-icon-text-window.c:
	(changed_attributes_option_menu_callback),
	(fm_get_text_attribute_names_preference_or_default):
	* src/file-manager/fm-icon-view.c: (should_preview_sound),
	(fm_icon_view_update_click_mode),
	(fm_icon_view_update_smooth_graphics_mode):
	* src/file-manager/fm-list-view.c:
	(fm_list_view_update_click_mode):
	* src/file-manager/fm-properties-window.c:
	(create_permissions_page):
	* src/nautilus-application.c: (desktop_changed_callback):
	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_get_location):
	* src/nautilus-first-time-druid.c: (user_level_selection_changed),
	(make_hbox_user_level_radio_button), (set_up_user_level_page):
	* src/nautilus-main.c: (main):
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_update_contents):
	* src/nautilus-sidebar.c: (nautilus_sidebar_sidebar_panel_enabled),
	(toggle_sidebar_panel), (nautilus_sidebar_size_allocate):
	* src/nautilus-switchable-search-bar.c:
	(nautilus_switchable_search_bar_new),
	(nautilus_search_uri_to_search_bar_mode):
	Update for preferences api changes.

	* src/nautilus-window-manage-views.c:
	(position_and_show_window_callback),
	(nautilus_window_end_location_change_callback):
	Update for preferences api changes.  Also, no longer need to pass
	in a default location to the preferences getter.

	* src/nautilus-window-menus.c: (user_level_customize_callback),
	(switch_to_user_level), (refresh_bookmarks_menu),
	(user_level_changed_callback), (add_user_level_menu_item),
	(nautilus_window_initialize_menus), (update_user_level_menu_items),
	(convert_user_level_to_path):
	A lot of simplification.  The "Edit Settings..." menu item no
	longer changes it wording based on the user level.  We know allow
	it to edit settings on all user levels, since we have the ability
	to hide preferences at higher user levels.  No longer need to
	update the preferences dialog or its title.
	
	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_close), (nautilus_window_go_web_search),
	(nautilus_window_go_home), (nautilus_window_show):
	Update for preferences api changes.

	* libnautilus-extensions/nautilus-global-preferences.h:
	Update all the preferences defines to not include a full gconf
	path.  We dont need to do this anymore to get non user level
	coupled prefernces.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(compare_view_identifiers), (global_preferences_create_dialog),
	(nautilus_global_preferences_get_enabled_sidebar_panel_view_identif
	iers), (global_preferences_install_sidebar_panel_defaults),
	(global_preferences_is_sidebar_panel_enabled),
	(global_preferences_install_speed_tradeoff_descriptions),
	(register_proxy_preferences), (global_preferences_register),
	(global_preferences_install_defaults),
	(nautilus_global_preferences_set_dialog_title):
	Lots of changes to support new preferences design.

	Set the WM_CLASS here once instead of everytime the dialog title
	is changed.  This was causing criticals.

	No longer need to create parallel proxy preferences and map them
	to the gconf ones.  We can use the gconf ones directly now.

	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-nautilus-preferences-change.c:
	(user_level_changed_callback), (fruits_changed_callback),
	(int_picker_changed_callback),
	(user_level_picker_changed_callback), (picker_new),
	(user_level_picker_new), (main):
	* test/test-nautilus-preferences-display.c: (text_caption_update),
	(user_level_caption_update), (user_level_changed_callback),
	(green_changed_callback), (yellow_changed_callback),
	(red_changed_callback), (apple_changed_callback),
	(orange_changed_callback), (pear_changed_callback), (entry_new),
	(user_level_frame_new), (colors_frame_new), (fruits_frame_new),
	(main):
	* test/test.c: (test_pixbuf_draw_rectangle_tiled),
	(test_text_caption_set_text_for_int_preferences),
	(test_text_caption_set_text_for_string_preferences),
	(test_text_caption_set_text_for_default_int_preferences),
	(test_text_caption_set_text_for_default_string_preferences),
	(test_text_caption_get_text_as_int),
	(test_window_set_title_with_pid):
	* test/test.h:
	New tests for preferences changes.

	* test/test-nautilus-preferences.c:
	Retire old prefs test which didnt really work.
	
	* test/test-nautilus-smooth-graphics.c:
	(smooth_graphics_mode_changed_callback), (main):
	Update for preferences api changes.

2001-01-17  Andy Hertzfeld  <andy@eazel.com>

	changed the throbber component to use the new translated oaf file
	scheme.  The throbber still doesn't show up, due to recent bonobo
	changes, which I'm looking into further.
	
	* components/throbber/.cvsignore:
	cvs should ignore the translated oaf file
	* components/throbber/Makefile.am:
	change use of oaf files
	* components/throbber/Nautilus_Control_throbber.oaf.in:
	added new style oaf file\
	* components/throbber/nautilus-throbber.oafinfo:
	removed the old file
	* src/nautilus-window-toolbars.c:
	(nautilus_window_initialize_toolbars):
	more descriptive message when we get an exception

2001-01-17  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-self-checks.c:
	(nautilus_report_check_failure), (nautilus_before_check_function):
	Make make check results go to stderror.

2001-01-17  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Work to fix bugs 1939 and 4614 -- text in list view is hard to
	read when the foreground color specified by the gtk theme
	conflicts with the background colors:

	* libnautilus-extensions/nautilus-gdk-extensions.h,
	libnautilus-extensions/nautilus-gdk-extensions.c
	(nautilus_gdk_color_is_dark,
	nautilus_gdk_choose_foreground_color,
	nautilus_gdk_gc_choose_foreground_color): new functions, used
	for testing whether a foreground/background color pair is
	suitable for drawing text, and if not, choosing a new
	foreground color

	* libnautilus-extensions/nautilus-list.c (NautilusListDetails):
	added gc fields: text_color, selected_text_color, link_text_color
	(unref_gcs, make_gcs_and_colors): handle the new gcs

	(nautilus_list_setup_style_colors): use
	nautilus_gdk_gc_set_foreground_color () to create the gcs that
	will be used for drawing text

	(draw_cell): when drawing text cells, don't use the default
	foreground gc, use one of the specially chosen gcs

2001-01-17  Rebecca Schulman  <rebecka@eazel.com>

	* src/file-manager/nautilus-indexing-info.c:
	(update_file_index_callback), (show_indexing_info_dialog):
	Make changes necessary because of the slight change in the
	medusa_indexing_service api, and change "hide when closed"
	on the index status dialig to TRUE.  We still need to free
	the dialog when we exit nautilus (Added a fixme) but 
	setting this value to false caused us to reference
	 the freed dialog. 

2001-01-17  Andy Hertzfeld  <andy@eazel.com>

	fixed bugs 5674, 5697 and 5699, Nautilus shows a broken image
	icon instead of a mime-type icon for image types that it doesn't
	support.  Fixed by generating a zero-length placeholder thumbnail
	instead of the broken image icon; the icon factory tests for the
	placeholder and uses the proper mime-type icon when it's present.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(should_display_image_file_as_itself),
	(nautilus_icon_factory_get_icon_for_file):
	made should_display_image_file_as_itself return FALSE when the
	placeholder is present.
	
	* libnautilus-extensions/nautilus-thumbnails.c:
	(make_invalid_thumbnail_uri),
	(nautilus_thumbnail_has_invalid_thumbnail), (check_for_thumbnails):
	added routine to test if a placeholder is present, and made it
	generate the placeholder when thumbnailing fails.
	
	* libnautilus-extensions/nautilus-thumbnails.h:
	added nautilus_thumbnail_has_invalid_thumbnail
	
2001-01-17  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-self-checks.h:
	* libnautilus-extensions/nautilus-self-checks.c:
	(nautilus_before_check_function), (nautilus_after_check_function):
	Write the names of the self-check functions as we run them.
	Maybe this will help us figure out what's up with the Tinderbox.

2001-01-17  Rebecca Schulman  <rebecka@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_initialize):
	Remove some spacing settings that caused the 
	"More Options", "Fewer Options" and "Find Them"
	buttons in the search bar too have way too much
	space beneath them, fixing bug 4917
	* src/nautilus-window-private.h:
	Up the minimum width of nautilus so that
	the search controls are always still
	readable (from 450 to 480). However,
	this does not guarantee that on all
	configurations you wil be able to see the
	controls, but it should for the default case.

2001-01-17  Ian McKellar  <ian@eazel.com>

	reviewed by: Mike Fleming  <mfleming@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-dialog
	s.c: (generate_login_dialog):
	* components/services/summary/nautilus-view/nautilus-summary-view-p
	rivate.h:
	Keep track of the currently displayed login dialog (for each view).
	If a login dialog is open when a dialog open request is recieved,
	close the old one.

2001-01-17  Andy Hertzfeld  <andy@eazel.com>

	* components/throbber/main.c: (main):	
	* components/throbber/nautilus-throbber.c:
	(nautilus_throbber_destroy):
	fixed problem that Pavel pointed out where the throbber
	component is left around after Nautilus exists, by calling
	gnome_vfs_shutdown when we exit, and also unrefing the
	throbber's bonobo control when the widget is destroyed.
	
2001-01-17  Andy Hertzfeld  <andy@eazel.com>

	reviewed by: <darin@eazel.com>

	* src/nautilus-window-manage-views.c: (unref_callback),
	(ref_now_unref_at_idle_time), (location_has_really_changed),
	(load_underway_callback):
	this is actually Darin's change, checked in by Andy, that's a
	better fix for bug 5657, the "destroying components messes up
	idle routines" crash.  Instead of deferring the window state change
	to idle time, it does an extra ref of the view and unrefs it when
	idle rolls around.
	
2001-01-16  Eskil Olsen  <eskil@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-view-identifier.c:
	(get_lang_list):
	LANG might contain an underscore, so add both the la_LC var, 
	but also only the la to the list. This fixes the "View as xxx"
	translation issue.

2001-01-17  Pavel Cisler  <pavel@eazel.com>

	Fix 5188: Duplicate in list view -> Nautilus crashes.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_duplicate_selection):
	It was really only an inaccurate assert.

2001-01-16  Ian McKellar  <ian@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_preflight_check):
	Removed check that package has been installed in preflight check 
	because this will never occur.

	(nautilus_install_service_describe_menu_entry),
	Added this function which is used to generate a text description
	of a menu item.

	(nautilus_install_service_locate_menu_entries),
	Check for files in an /applnk/ directories as well as in /gnome/apps/
	directories. Closed GnomeDesktopEntry leak.

	(nautilus_service_install_done),
	Implement the equivalent of the preflight check that I removed,
	but at a point where we know whether the install has succeed, failed,
	been cancelled or been struck by lightning.

	(nautilus_service_install_view_load_uri):
	Reset some state variables, so that some weird random things 
	don't happen.

2001-01-16  Mike Fleming  <mfleming@eazel.com>

	Dialog re-wording suggested by Vera.

	* components/services/summary/nautilus-view/nautilus-summary-callba
	cks.c: (authn_cb_failed):

2001-01-16  Pavel Cisler  <pavel@eazel.com>

	Fix 5511: Dropping a file in same folder asks about replacing it.
	Fix 5606: Left drag into window where file exists deletes file.
	
	* src/file-manager/fm-list-view.c: (fm_list_receive_dropped_icons):
	During a file move, add a check to see if the dragged items are in the
	target directory.
	
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_get_drop_action):
	Tiny tweak.
	
2001-01-16  Michael Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-directory-background.c:
	Removed comment detailing differences with the background-capplet
	code since I just propagated the same fixes to the capplet.

2001-01-16  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-properties-window.c:
	(property_button_focused_out), (create_emblems_page):
	fixed bug 5572, black rectangle left behind after clicking
	on an emblem in Properties window, by attaching to the
	focus_out signal and redrawing
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(nautilus_property_browser_destroy),
	(nautilus_property_browser_theme_changed),
	(nautilus_property_browser_smooth_graphics_changed):
	fixed some of bug 5614, label text in property browser is
	corrupted when smooth text option changed, by monitoring the
	smooth_graphics preference and updating when it changes.  The
	rest of this bug will be fixed when Ramiro fixes the nautilus_label
	geometry problems as part of bug 5607
	
	* components/text/nautilus-text-view.c: (file_read_callback):
	corrected the name of the "file too big to load" dialog
	
2001-01-16  Michael Engber  <engber@eazel.com>

	reviewed by: Gene Z. Ragan

	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_gnome_config_string_match_no_case_with_default),
	(nautilus_file_background_read_desktop_settings):
	Use theme defaults for desktop background when ~/.gnome/Background
	is missing.

2001-01-16  Seth Nickell  <seth@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-metafile.c:
	(nautilus_directory_rename_file_metadata),
	(nautilus_directory_remove_file_metadata):
	* libnautilus-extensions/nautilus-file.c:
	(sort_keyword_list_and_remove_duplicates):

	Add casts to strcmp's performed on gpointers so they will
	not generate warnings.
	
2001-01-16  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	More work on bug 2146 (Properties window for desktop Trash icon
	should show Trash properties). Mostly this was clean-up of the
	properties window code to make future changes easier. The only
	substantive change is to remove the "Type" field for the trash.

	* src/file-manager/fm-properties-window.c: 
	Removed enums for basic page and permissions page row numbers.
	The rows are now added (and table sized) as needed.
	(append_row): New helper function, appends one row to a GtkTable
	and returns the index of the new last row.
	(append_title_field): New function, like attach_title_field
	but appends row instead of taking a row parameter.
	(append_separator), (append_directory_contents_fields),
	(append_title_value_pair), (append_special_execution_checkbox),
	(append_special_execution_flags): Renamed from attach_xxx, now 
	append a row instead of taking a row parameter.
	(create_page_with_table_in_vbox): Now returns GtkTable * instead
	of GtkWidget *, for callers' convenience.
	(get_adjusted_permissions_row): Removed this somewhat hacky function.
	(should_show_file_type): New function, returns FALSE for
	special trash location but TRUE for everything else.
	(create_basic_page): Check should_show_file_type; use new
	append_xxx calls instead of using predefined row numbers.
	(create_permissions_page): use new append_xxx calls instead of
	using predefined row numbers.

2001-01-16  Gene Z. Ragan  <gzr@eazel.com>

	Fixed mistake in asserting on a NULL value. Assert if the
	value is NULL, not non-NULL.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(extract_and_ellipsize_file_name_for_dialog):

2001-01-16  Darin Adler  <darin@eazel.com>

	reviewed by: Gene Ragan <gzr@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(get_label_font): It's illegal to unref a new widget since you
	don't own a ref to it. Sink it instead.
	(ellipsize_string_for_dialog): New function.
	(format_and_ellipsize_uri_for_dialog): Rename this function and
	change it to use nautilus_format_uri_for_display. Also add FIXME
	about where the ellipsis goes.
	(extract_and_ellipsize_file_name_for_dialog): Added a seprate
	function for the case where we want to extract the file name
	part only. The old code mixed the URI and file name cases in a
	way that would lead to anomalies with unusual names.
	(handle_transfer_vfs_error): Fixed storage leak.
	(is_special_link): Rewrote this function and also made it take
	a URI in text form, not a GnomeVFSURI.
	(handle_transfer_overwrite): Use is_special_link instead of
	duplicate its test. Removed incorrect use of NautilusFile (without
	waiting for results). Added quotes around file name in
	message. Use extract_and_ellipsize_file_name_for_dialog instead of
	our own ad-hoc functions.
	(make_next_duplicate_name): Get rid of bizarre buffer/sprintf that
	was used by someone who didn't know you can use printf formatting
	with g_warning.
	(vfs_uri_is_special_link): Created cover for one remaining caller
	of is_special_link that needs to pass a GnomeVFSURI.
	(nautilus_file_operations_copy_move): Use the new is_special_link
	(nautilus_file_operations_move_to_trash): Use
	extract_and_ellipsize_file_name_for_dialog instead of an old
	strange combination of calls.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_name_for_regular_file): Fix
	obsolete comment and rearrange code now that plain text special
	case is gone.

2001-01-16  Josh Barrow  <josh@eazel.com>

	* src/nautilus-first-time-druid.c: (druid_finished):
	Make the new services icon use big_services_icon.png.  This is a
	much better choice until we get something official.

2001-01-16  Gene Z. Ragan  <gzr@eazel.com>

	Checked in broken code before. Doh!
	
	* libnautilus-extensions/nautilus-link.c:
	* src/nautilus-first-time-druid.c: (druid_finished):

2001-01-16  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Mike Fleming <mfleming@eazel.com>

	Fixed bug 4358, Please put a services icon on the desktop
	
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_local_create):
	Perform NULL checking on arguments
	
	* src/nautilus-first-time-druid.c: (druid_finished):
	Create a link to services on the desktop.

2001-01-16  Michael K. Fleming  <mfleming@eazel.com>

	reviewed by: <ramiro@eazel.com>

	Bug 4411 -- implement keypress hook for Mozilla so that URL navigation
	initiated by keypress are handled the same as mouse-initiated navigation
	events (eg, correctly have their schemes translated if necessary)

	* components/mozilla/main.c: (mozilla_object_destroyed),
	(mozilla_make_object), (main):
	* components/mozilla/mozilla-events.cpp:
	* components/mozilla/mozilla-events.h:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize),
	(mozilla_open_uri_callback), (mozilla_dom_key_press_callback),
	(mozilla_dom_mouse_click_callback):

2001-01-16  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5677, Drag files w/names of Specials to desktop -> malloc crash
	Fixed bug 5673, Spaces are escaped in new "replace special desktop icon"
	dialog.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_transfer_overwrite):

2001-01-15  John Sullivan  <sullivan@eazel.com>

	reviewed by: Gene Z. Ragan  <gzr@eazel.com>

	Removed stuff I added earlier as part of a failed fix
	for bug 2068, which I ended up fixing a different way.

	Fixed bug 5661 (Hardwired button sizes for custom icons
	in properties window)

	Fixed bug 1682 ("Go There" button taller than others
	in "Open with Other" dialog)

	* libnautilus-extensions/nautilus-scrolled-window.h:
	* libnautilus-extensions/nautilus-scrolled-window.c:
	Removed these files from cvs.

	* libnautilus-extensions/Makefile.am:
	Removed the removed files from the build.
	
	* libnautilus-extensions/nautilus-metadata.h:
	removed NAUTILUS_METADATA_KEY_ICON_VIEW_SCROLL_ORIGIN

	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize): Changed back to inheriting
	from GtkScrolledWindow instead of now non-existent
	NautilusScrolledWindow.

	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_button_set_standard_padding): New function,
	wrapper for nautilus_gtk_button_set_padding that uses
	a standard amount of padding instead of taking a parameter.
	This is preferred so we can change a single number if we
	change our minds about what the standard padding should be.

	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_new): Use 
	nautilus_gtk_button_set_standard_padding. Also added a vbox
	so that "Go There" button doesn't grow taller to match the 
	height of the adjacent text. This fixed bug 1682.
	* src/nautilus-bookmarks-window.c: (create_bookmarks_window):
	Use nautilus_gtk_button_set_standard_padding.
	* src/file-manager/fm-properties-window.c: (create_basic_page):
	Use nautilus_gtk_button_set_standard_padding instead of
	hardwiring button sizes. This fixed bug 5661.

2001-01-16  Carlos Perelló Marín <carlos@gnome-db.org>

        * configure.in: Added es to ALL_LINGUAS.

2001-01-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_get_length):
	Allow for NULL to be treated as a zero length string list.
	
	* libnautilus-extensions/nautilus-string-picker.h:
	* libnautilus-extensions/nautilus-string-picker.c:
	(nautilus_string_picker_set_selected_string_index),
	(nautilus_string_picker_get_index_for_string):
	Two new functions to manipulate the string picker using indeces.
	
	* libnautilus-extensions/nautilus-text-caption.h:
	* libnautilus-extensions/nautilus-text-caption.c:
	(nautilus_text_caption_get_text), (nautilus_text_caption_set_text):
	Make the signature of get_text() use a const object.
	
	(nautilus_text_caption_set_editable): New function to change
	whether the caption's text is editable.

2001-01-16  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window-manage-views.c: (change_state_at_idle),
	(load_underway_callback):
	fixed bug 5657, crash during menu update when switching views.  This is
	also behind several other reported bugs.  Fixed it as Darin suggested,
	which is to defer the window state change associated with loading
	a new component until idle time, so it doesn't wreak havoc
	by interrupting other idle routines.
	
	* components/throbber/nautilus-throbber.c:
	(nautilus_throbber_initialize_class), (get_bonobo_properties),
	(set_bonobo_properties), (nautilus_throbber_destroy),
	(nautilus_throbber_initialize),
	(nautilus_throbber_button_press_event):
	added a location property and made it issue a notification when the
	throbber is clicked on.  Also, removed the no longer used
	"location_changed" signal and better memory management of the
	property bag.
		
	* src/nautilus-window.c: (throbber_location_changed_callback),
	(nautilus_window_constructed), (nautilus_window_destroy):
	make clicking on the throbber work by adding a listener for
	the throbber location property and changing the location
	accordingly when the event is posted.  Also, fixed a leak
	of the bonobo object.
	
	* src/nautilus-window-private.h:
	added a field to hold the event source listener ID.

2001-01-15  Andy Hertzfeld  <andy@eazel.com>

	* components/throbber/main.c: (main):
	fixed recently introduced bug where the throbber wasn't respecting
	the theme; I had forgotten to initialize global preferences in the
	throbber component.
	
2001-01-15  Andy Hertzfeld  <andy@eazel.com>

	fixed bug 4369, throbber frozen during long refresh, by making the
	throbber a bonobo component so it's driven by its own thread.
	Note that clicking on the throbber is temporarily broken; I'll
	fix that soon.  Also, made the frame delay be specified by the
	theme and set the default to spin somewhat slower than before.
	
	* configure.in:
	* components/Makefile.am:
	* components/throbber/.cvsignore:
	* components/throbber/Makefile.am:
	* components/throbber/nautilus-throbber.oafinfo:
	added throbber component
	
	* components/throbber/main.c: (throbber_object_destroyed),
	(throbber_make_object), (main):
	factory for the throbber component
	
	* components/throbber/nautilus-throbber.c,h:
	(nautilus_throbber_initialize_class), (is_throbbing),
	(get_bonobo_properties), (set_bonobo_properties),
	(nautilus_throbber_destroy), (nautilus_throbber_get_control),
	(get_throbber_dimensions), (nautilus_throbber_initialize),
	(nautilus_throbber_new), (nautilus_throbber_theme_changed),
	(draw_pixbuf), (select_throbber_image), (draw_throbber_image),
	(nautilus_throbber_draw), (nautilus_throbber_expose),
	(nautilus_throbber_map), (bump_throbber_frame),
	(nautilus_throbber_start),
	(nautilus_throbber_remove_update_callback),
	(nautilus_throbber_stop), (nautilus_throbber_unload_images),
	(load_themed_image), (make_throbber_frame_name),
	(nautilus_throbber_load_images),
	(nautilus_throbber_button_press_event),
	(nautilus_throbber_set_small_mode),
	(nautilus_throbber_size_allocate),
	(nautilus_throbber_size_request):
	throbber widget for the bonobo component

	* src/nautilus-window-toolbars.c: (theme_changed_callback),
	(nautilus_window_initialize_toolbars):
	set up throbber component in the toolbar
	
	* src/nautilus-window.c,h: (nautilus_window_constructed),
	(nautilus_window_allow_stop):
	use property interface to start and stop the throbber
	
	* icons/default.xml:
	added delay specification to throbber in default theme
	
	* nautilus-clean.sh:
	clean throbber component as necessary
	
	* src/Makefile.am:
	* src/nautilus-throbber.c,h
	removed old throbber widget
	
	
2001-01-15  Michael Engber  <engber@eazel.com>

	reviewed by: John Sullivan

	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(nautilus_timed_wait_start_with_duration),
	(nautilus_timed_wait_start):
	* libnautilus-extensions/nautilus-stock-dialogs.h:
	* libnautilus-extensions/nautilus-trash-directory.c:
	(find_directory_start):
	Increase delay before putting up "searching for trash dialog"

2001-01-15  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Arlo Rose <arlo@eazel.com>

	Fixed bug 1420, pane splitter drag outline edges are indistinct

	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(splitter_xor_line):
	Make line appears as single pixel on off dash.
	
2001-01-15  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Mike Engber <engber@eazel.com>

	Fixed bug 5651, Mounting write-protected disk gives Mount Error
	
	I examined the source code to mount. There is one case where
	an error message is returned but it is not an error.  I now
	check for that case in the error checking code.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_get_cdrom_name), (eject_cdrom), (close_error_pipe),
	(locate_audio_cd):
	Also remove some old debugging code and make sure audio cd
	mounting is ifdefed out.

2001-01-15  Michael K. Fleming  <mfleming@eazel.com>

	reviewed by: <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_transfer_vfs_error):

	Fixed error message for the case where a file was moved to an unwritable
	target where permissions were not known in advance (eg, Eazel vault).

	Previously: "The file or its directory cannot be changed"
	Now: "You do not have permissions to write to this folder"

2001-01-15  Michael Engber  <engber@eazel.com>

	reviewed by: Gene Z. Ragan

	* libnautilus-extensions/nautilus-directory-background.c:
	(set_root_pixmap): Fixed leaking x-server memory.

2001-01-15  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Some work on bug 2146 (Properties window for desktop Trash icon
	should show Trash properties)

	* src/file-manager/fm-properties-window.c:
	(is_merged_trash_directory): New helper function, checks whether
	window is displaying special trash location.
	(should_show_custom_icon_buttons): New helper function, returns
	FALSE for special trash location since custom icons don't work
	with the trash (see bug 5642)
	(should_show_mime_type): New helper function, extracted for
	code clarity (returns FALSE for directories).
	(create_basic_page): Now takes only one parameter, gets file
	and notebook from details struct; uses should_show_mime_type
	and should_show_custom_icon_buttons.
	(create_emblems_page), (create_permissions_page): Now take only
	one parameter, get file and notebook from details struct.
	(should_show_emblems): New helper function, returns FALSE for
	special trash location since emblems don't work with the
	trash (see bug 5643)
	(should_show_permissions): New helper function, returns FALSE for
	special trash location since it's not really a file system object
	for which permissions make sense.
	(create_properties_window): Respect should_show_emblems and
	should_show_permissions.

	Eli ran into a case where the "can't set permissions" error message
	was the vague default case when the disk was locked. I added that
	case to the set of specifically handled cases.

	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_renaming_file), (fm_report_error_setting_group),
	(fm_report_error_setting_owner),
	(fm_report_error_setting_permissions): Handle
	GNOME_VFS_ERROR_READ_ONLY_FILE_SYSTEM cases.

2001-01-15  Ian McKellar  <ian@eazel.com>

	* components/services/inventory/eazel-inventory-service.c:
	(impl_Trilobite_Eazel_Inventory__get_machine_name):
	The default hostname is now guessed if:
	It now guesses a default if:
	 - gethostname succeds; and
	 - the hostname doesn't start with "localhost."
	 - the hostname doesn't equal "localhost"
	The hostname stored is the name, up to but not including the 
	first "." in the name (if any).

2001-01-15  Darin Adler  <darin@eazel.com>

	Fix bug 5557 (Intermittent crash in
	Nautilus_View_history_changed):
	
	* src/nautilus-view-frame.c: (send_history): Added a check for
	NULL so we don't try to send a NULL history list through the
	history machinery.

	Fix bug 5360 ("menthos's Home" string is hard to translate):

	* src/file-manager/fm-desktop-icon-view.c:
	(update_home_link_and_delete_copies): Added comment to help
	translators understand what to do with "%s's Home".

	Fix bug 5641 ("xfree" does not work with newer versions of RPM 4
	headers):
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(eazel_package_system_rpm3_packagedata_fill_from_header): Just
	use "free" instead of "xfree".

	Fix bug 5631 (Tear-offs of right-click menus don't work):
	
	* src/nautilus-shell-ui.xml:
	* src/file-manager/nautilus-directory-view-ui.xml:
	* src/file-manager/nautilus-icon-view-ui.xml:
	Mark popups and submenus of the popups with tearoff="0" so they
	don't have tear-off menu items.
	
	More work on bug 2147 (NautilusFile for trash needs non-empty
	values for more properties).
	
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_relative_uri),
	(nautilus_file_new_from_info), (nautilus_file_monitor_add),
	(nautilus_file_monitor_remove),
	(nautilus_file_get_directory_item_count),
	(nautilus_file_get_deep_counts), (nautilus_file_check_if_ready),
	(nautilus_file_call_when_ready),
	(nautilus_file_cancel_call_when_ready):
	Put more of the machinery in place to make enough of NautilusFile
	virtual so that we can implement the trash case.
	
	* libnautilus-extensions/nautilus-merged-directory.h:
	* libnautilus-extensions/nautilus-merged-directory.c:
	(merged_add_real_directory),
	(nautilus_merged_directory_add_real_directory),
	(merged_remove_real_directory),
	(nautilus_merged_directory_remove_real_directory),
	(remove_all_real_directories),
	(nautilus_merged_directory_initialize_class):
	Make adding and removing directories use signals so we can share
	this list with the NautilusTrashFile.

	* libnautilus-extensions/nautilus-trash-file.c:
	(add_directory_callback), (remove_directory_callback),
	(nautilus_trash_file_initialize), (trash_destroy):
	Use a NautilusTrashDirectory object for the list of directories.
	
	* libnautilus-extensions/nautilus-vfs-file.c:
	(vfs_file_monitor_add), (vfs_file_monitor_remove),
	(vfs_file_call_when_ready), (vfs_file_cancel_call_when_ready),
	(vfs_file_check_if_ready), (vfs_file_get_item_count),
	(vfs_file_get_deep_counts), (nautilus_vfs_file_initialize_class):
	Move the guts of these functions into the "VFS" subclass.

	Other stuff:
	
	* libnautilus-extensions/nautilus-trash-directory.c:
	(find_directory_start), (find_directory_end),
	(find_directory_callback), (add_volume), (remove_trash_volume):
	Fix bug in the recently-added timed-wait, to handle the case where
	the call is cancelled as well as the case where it succeeds or
	fails.
	
	* src/file-manager/fm-directory-view.c:
	(zoomable_set_zoom_level_callback): Formatting tweak.
	
	* src/nautilus-main.c: (main): Fix the FIXME.

2001-01-15  Ian McKellar  <ian@eazel.com>

	* components/services/inventory-view/nautilus-inventory-config-page
	.c: (nautilus_inventory_config_page_initialize):
	Retreive the previously assigned machine name (if one exists).
	Retreive the previously set "warn before upload" setting.

	* components/services/inventory/eazel-inventory-client.c: (main):
	Added default values so that this actually works.

	* components/services/inventory/eazel-inventory-service.c:
	(impl_Trilobite_Eazel_Inventory__set_machine_name),
	(impl_Trilobite_Eazel_Inventory_upload):
	Added some temporary debugging code, and the beginnings of better
	error checking/reporting.
	Removed hardcoded filesystem paths.

	* components/services/inventory/eazel-inventory-utils.h:
	* components/services/inventory/eazel-inventory-utils.c:
	(eazel_gather_inventory), (eazel_inventory_local_path):
	Removed hardcoded filesystem paths.

2001-01-15  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5533, Need good dialog text for failed
	replace of special desktop icons.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_transfer_overwrite):

2001-01-15  J Shane Culpepper  <pepper@eazel.com>

	reviewed by: Michael Engber <engber@eazel.com>

	* src/nautilus-application.c: (nautilus_application_startup):
	* src/nautilus-application.h:
	* src/nautilus-first-time-druid.c: (druid_finished):
	* src/nautilus-main.c: (main):

	Fix for bug #1555.  There is already an error dialog but there
	was an infinite loop problem hiding it.  If the first time druid
	failed to create .nautilus, etc it would just run over and over
	again.

2001-01-15  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5635, RPM view crashed if click "Install"
	after unmounting volume containing RPM
	
	Fixed bug 5636, Unmounting a volume doesn't close
	it's associated windows.
		
	* src/nautilus-application.c: (nautilus_application_initialize),
	(volume_mounted_callback), (volume_unmounted_callback):
	Connect to volume monitor signals.  When a volume is unmounted,
	examine open window list and close any windows that originate
	from the volume being unmounted.
			
	Add code to mount audio cds on desktop. It is all
	ifdefed out right now.
	
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link),
	(update_disks_menu):

	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_volume_is_removable),
	(nautilus_volume_monitor_get_removable_volumes),
	(nautilus_volume_monitor_get_target_uri),
	(mount_volume_get_cdda_name), (mount_volume_activate_cdda),
	(mount_volume_get_name), (mount_volume_activate),
	(get_current_mount_list), (mount_volumes_check_status),
	(mount_volume_cdda_add), (mount_volume_add_filesystem),
	(open_cdda_device), (locate_audio_cd):
	* libnautilus-extensions/nautilus-volume-monitor.h:

2001-01-14  J Shane Culpepper  <pepper@eazel.com>

	* src/nautilus-view-frame.c: (attach_client):

	Upped the timeout from 10 seconds to 12 seconds to be paranoid on
	really slow machines. I think this is really generous for bug #4757.
	In an attempt to reproduce the crash I started a build of mozilla
	and gcc "emulate" a slow machine since I don't have one.  Adding
	additional comments to bugzilla bug #4757.

2001-01-13  Jim Garrison <garrison@users.sourceforge.net>

	* nautilus.spec.in: package "extras" no longer depends on mpg123

2001-01-13  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5414, Don't create a link for launchers dragged onto desktop
	that require a terminal
	
	* src/file-manager/fm-desktop-icon-view.c: (create_link_callback),
	(icon_view_create_nautilus_links):
	Display a simple dialog telling user that we don't support htis feature yet.

2001-01-13  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c: (hit_test):
	fixed bug 4731, expanding folders cause oscillation, by hit-testing
	to the bounding box instead of the pixmap when an icon is highlighted
	for dropping.
	
2001-01-12  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Arik Devens  <arik@gnome.org>

	* components/music/nautilus-music-view.c:
	(music_view_set_selected_song_title), (reset_playtime),
	(play_status_display), (slider_moved_callback),
	(add_play_controls):
	Fix bug 5617.  Playtime in music view keeps growing forever.
	
2001-01-12  John Sullivan  <sullivan@eazel.com>

	reviewed by: Rebecca Schulman  <rebecka@eazel.com>

	Fixed bug 5437 (date column is too wide for default nautilus width)

	* src/file-manager/fm-list-view.c: (real_get_column_specification):
	Tweaked the default column widths so they're more balanced in the
	default window width. The tradeoff is that you lose the date column
	more quickly if you resize the window thinner (but of course the
	user can stretch the columns to get it back). The column widths
	in the search results view already look decent, for slightly
	mysterious historical reasons.

2001-01-12  Michael Engber  <engber@eazel.com>

	reviewed by: Gene Z. Ragan

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_stretch_handles_aa), (draw_label_text_aa),
	(nautilus_icon_canvas_item_render):
	Removed last vestiges of affine/libart code which was
	slowing up icon drawing - bug 5381.

2001-01-12  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-install-view.c:
	(nautilus_service_install_downloading):
	I meant to actually remove the code rather than comment it out.

2001-01-12  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Arik Devens  <arik@gnome.org>

	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_expose_event),
	(nautilus_label_set_background_mode), (nautilus_label_set_text),
	(nautilus_label_get_text):
	* libnautilus-extensions/nautilus-label.h:
	Change the get_text() prototype to use a const object.  Add a
	workaround for bug 5608 while I debug the problem.

	reviewed by: Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-install-view.c:
	(nautilus_service_install_downloading):
	Remove queue_resize() workarounds for improperly displaying
	labels.  I checked in a workaround in NautilusLabel instead.
	
2001-01-12  Andy Hertzfeld  <andy@eazel.com>

	fixed bug 5198, removing an active sidebar panel messes up the
	remaining ones. I had already fixed this but missed the case when
	multiple windows were open. Fixed by adding a sidebar call to
	close the active panel if it matches a passed-in id, and used that
	in nautilus window to close the panel if necessary before
	destroying it.
	
	* src/nautilus-sidebar.c:
	(nautilus_sidebar_hide_active_panel_if_matches),
	(toggle_sidebar_panel):
	added routine to close the active panel if it matches a passed-in
	id.
	* src/nautilus-sidebar.h:
	added above mentioned routine
	
	* src/nautilus-window-manage-views.c: (handle_view_failure),
	(nautilus_window_set_sidebar_panels):
	close the active panel if necessary before destroying it.
	
2001-01-12  John Sullivan  <sullivan@eazel.com>

	Fixed the corner of bug 3405 that valiant bug verifier Brett
	discovered while verifying. Yay for bug verification!

	* src/file-manager/fm-icon-view.c: (switch_to_manual_layout):
	I had neglected to remove an extra call to
	nautilus_icon_container_reset_scroll_region here. It's already
	handled one level lower, where the empty directory case is
	taken into account.

2001-01-12  John Sullivan  <sullivan@eazel.com>

	reviewed by: Michael Engber  <engber@eazel.com>

	Fixed bug 2207 (Search needs to gracefully handle too
	many items found)

	* libnautilus-extensions/nautilus-directory-async.c:
	(directory_load_done): Don't treat GNOME_VFS_OK as an
	error case here. This was happening when the file limit
	was reached, and the resulting propogated error was making
	it to the search list view code, which was putting up
	an error dialog saying no error had occurred.
	
	* libnautilus-extensions/nautilus-directory.h:
	Added FIXME with bug number for new bug 5603, which complains
	that the file list limit isn't as hard as it claims.
	
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class),
	(fm_directory_view_file_limit_reached), (real_file_limit_reached),
	(check_for_directory_hard_limit): Broke out the code that handles
	the UI when the directory contains too many files such that
	subclasses can override the behavior.

	(fm_directory_view_get_containing_window): Renamed from
	"get_containing_window" and made public so subclasses don't have
	to reimplent.
	(fm_directory_view_confirm_multiple_windows),
	(fm_directory_view_launch_application), (choose_program),
	(fm_directory_view_confirm_deletion), (confirm_delete_from_trash),
	(report_broken_symbolic_link), (fm_directory_view_activate_file):
	Updated for function name change.
	
	* src/file-manager/fm-search-list-view.c: 
	(load_error_callback): Marked strings for localization; reworded to
	avoid use of "directory".
	(fm_search_list_view_initialize_class),	(real_file_limit_reached):
	Put up dialog that's been worded specifically for search results
	when too many items are found.

2001-01-12  Ramiro Estrugo  <ramiro@eazel.com>

	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-nautilus-label-offset.c: (main):
	* test/test.h:

	Add a test for debugging bug 5608.
	
2001-01-12  Zbigniew Chyla  <cyba@gnome.pl>

	* libnautilus-extensions/nautilus-gtk-macros.h:
	Define empty NAUTILUS_ASSIGN_MUST_OVERRIDE_SIGNAL macro if
	G_DISABLE_ASSERT is defined.

2001-01-11  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_start_transaction):

	Reverse the package list just before installing, so that the
	install view gets info on toplevel packages before their
	dependencies (this keeps the user from being bored, since they'll
	see the package detailed info on toplevel packages while the
	others are installing).
	
	* components/services/install/lib/eazel-install-metadata.c:
	(init_default_install_configuration):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_uninstall_packages):

	Remove last vestigal uses of a literal "/var" path.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (install_message_new), (generate_install_form),
	(current_progress_bar_complete),
	(nautilus_service_install_downloading),
	(previous_install_finished), (nautilus_service_install_installing),
	(nautilus_service_install_done):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.h:

	Finish Arlo'ification of the install view: Pin the message box at
	a specific height, clean up lots of nastiness caused by the new
	font system, and fix up the text displayed per-package when the
	package is done being installed.  Also, fix a bug that caused a
	cancelled install to report that it was successful.
	
	* components/services/nautilus-dependent-shared/eazel-services-head
	er.c: (eazel_services_header_middle_new):

	Change positioning of the middle header so that it doesn't cause
	mondo amounts of empty space to appear beneath it.  (Not sure why;
	GTK magic.)

2001-01-11  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Fixed bug 5589 (crash when dragging from list view), that I'd
	introduced when making list view icons anti-aliased

	* libnautilus-extensions/nautilus-list.h,
	libnautilus-extensions/nautilus-list.c
	(nautilus_list_get_pixbuf): new function, returns the GdkPixbuf
	stored in a cell, or a null pointer if there isn't one

	* src/file-manager/fm-list-view.c (fm_list_get_drag_pixmap):
	use nautilus_list_get_pixbuf to fetch the GdkPixbuf from the
	row, then gdk_pixbuf_render_pixmap_and_mask to turn it into the
	required format (instead of accessing the NautilusClist widget
	directly, assuming that a Pixmap is stored in the cell)

2001-01-12  Rebecca Schulman  <rebecka@eazel.com>

	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_get_location):
	Change "index-only" to "index-if-available"
	in search uris, to take advantage of the new
	option in medusa to perform a slow search
	only if an index is unavailable

2001-01-11  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Fixed bug 2068 (Dragging icons adjusts scroll area in a way
	that causes immediate scrolling)

	Fixed bug 3402 (Dragging singleton icon to edge of window in
	manual layout mode puts it back at top-left)

	Fixed bug 3405 (Dropping an icon into empty manual-layout
	window always puts it at top-left)

	Fixed bug 3570 (Relayout glitch after removing an item from
	a view)

	I had earlier started to fix these by trying to save and
	restore the scroll position per directory. But this path
	turned evil, and I gave up on it. There is still some
	partly-implemented work from my start in the evil direction,
	which I will remove in my next checkin.

	The new fix was to always include the visible white space
	when recomputing the icon container's scroll region, unless
	a caller has specifically requested not to.

	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_reset_scroll_region): New function,
	sets a flag in the details struct that's respected in the
	next scroll region update.
	(reset_scroll_region_if_not_empty): New helper function,
	calls _reset_scroll_region unless container is empty.
	(nautilus_icon_container_update_scroll_region_include_visible_area):
	Removed this function; its equivalent is to call reset_scroll_region
	before calling update_scroll_region.
	(nautilus_icon_container_update_scroll_region): Now that the
	_include_visible_area variant is gone, merged the local function
	update_scroll_region with this public one. It decides whether to
	include the visible area or not based on the flag set by
	_reset_scroll_region (also, it never includes the visible area
	if the container is empty).
	(nautilus_icon_container_set_auto_layout): Reset the scroll region
	when changing the auto_layout state.
	(nautilus_icon_container_sort): reset the scroll region before
	sorting.

	* libnautilus-extensions/nautilus-icon-dnd.c: (handle_local_move):
	Call nautilus_icon_container_update_scroll_region instead of
	_update_scroll_region_include_visible_area, which no longer exists.
	
	* libnautilus-extensions/nautilus-icon-private.h: Store flag for
	resetting scroll region in details; eliminate prototype for
	nautilus_icon_container_update_scroll_region_include_visible_area.
	
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class), (done_loading),
	(fm_directory_view_begin_loading), (fm_directory_view_end_loading):
	Added end_loading signal that's sent when a directory is finished
	loading, parallel to existing begin_loading signal.

	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_add_file): Reset the scroll region for the first
	icon added when loading a directory.
	(fm_icon_view_begin_loading), (fm_icon_view_end_loading): 
	Remember that we're loading, so	fm_icon_view_add_file can test correctly.
	(set_sort_criterion_by_id): Bail out early if state hasn't changed.
	(switch_to_manual_layout): Bail out early if state hasn't changed.
	Also, reset scroll region before switching to manual layout.
	(fm_icon_view_initialize_class): Attach fm_icon_view_end_loading to
	virtual function slot.

2001-01-11  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-property-browser.c: (make_category_link):
	Add a fixme for a problem i just spotted.
	
2001-01-11  Robin * Slomkowski  <rslomkow@eazel.com>

	* test/Makefile.am: added test/test.h to EXTRA_DIST

2001-01-11  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Mike Fleming  <mfleming@eazel.com>

	* libnautilus-extensions/nautilus-art-extensions.c:
	(nautilus_art_irect_align):
	* libnautilus-extensions/nautilus-art-extensions.h:
	New function to align a rectangle within another.
	
	* libnautilus-extensions/nautilus-image.c:
	(image_get_pixbuf_bounds):
	* libnautilus-extensions/nautilus-label.c: (label_get_text_bounds):
	Share more code between these two widgets by using a common
	alignment routine.
	
2001-01-11  Michael Meeks  <michael@helixcode.com>

	* components/adapter/nautilus-adapter-embeddable-embed-strategy.c
	(nautilus_adapter_embeddable_embed_strategy_new): remove redundant
	bonobo_item_container_add.

2001-01-11  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c: (make_category_link):
	make the category links use nautilus-image for anti-aliased
	graphics like we intended, now that Ramiro has fixed the
	background problems.
	
	* icons/eazel/Back.png
	* icons/eazel/Forward.png
	* icons/eazel/Home.png
	* icons/eazel/Refresh.png
	* icons/eazel/Search.png
	* icons/eazel/SearchWeb.png
	* icons/eazel/Services.png
	* icons/eazel/Stop.png
	* icons/eazel/Up.png
	newer toolbar buttons from Susan
	
2001-01-11  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-about.c: (nautilus_about_draw_info),
	(nautilus_about_update_authors):

	Fix bug 5056 - hard coded fonts in About dialog.
	
2001-01-11  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_hash_node_check_changes_func):
	Yank FIXME for bug 1273 which no longer exists.
	
2001-01-11  Ramiro Estrugo  <ramiro@eazel.com>

	* applets/launcher/nautilus-launcher-applet.c: (image_leave_event),
	(set_is_launching), (image_button_press_event),
	(image_button_release_event), (main):
	Fix imminent build bustage.  Updates for NautilusImage api changes.
	
2001-01-11  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-corba-callback.c:
	(eazel_install_callback_initialize), (eazel_install_callback_new):

	Turn g_error to g_warning in the EazelInstallCallback initializer,
	so that it doesn't kill off the view when the install service
	isn't around.  Instead, set some fields to NULL and return
	normally.  The *_new call then returns NULL on failure.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_installing),
	(nautilus_service_install_view_update_from_uri):

	Notice if the eazel_install_callback_new call returns NULL, and
	gracefully handle it by ceasing operations and popping up a dialog
	about the failure.  This solves the "don't crash if the install
	service is missing" bug.

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_add_repository):
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-protocols.c:
	(my_copy_file), (eazel_install_fetch_file):
	* components/services/install/lib/eazel-install-public.h:
	* nautilus-installer/src/installer.c: (get_candidate_dirs),
	(search_for_local_cds), (eazel_installer_initialize):
	* nautilus-installer/src/main.c:

	Retrofit the --cache-dir option and code to automatically add
	mounted CD packages to the repository, from the PR3 installer
	branch.
	
	* nautilus-installer/src/Makefile:

	Help me, Obi-wan, you're my only hope.

2001-01-11  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Fix bugs 4711, 2322, 3778, 4989, 5044, 5166, 5408, 4418, 3779 (parts),
	5051, 2783 and maybe other relating to (ab)use of fonts,
	backgrounds and other sacred attrbiutes of Gtk themes.
	
	* components/hardware/nautilus-hardware-view.c: (setup_form_title),
	(setup_overview_form), (setup_CPU_form), (setup_RAM_form),
	(setup_IDE_form):
	Fix hard coded fonts.
	
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize),
	(music_view_set_selected_song_title), (reset_playtime),
	(play_status_display), (slider_moved_callback),
	(add_play_controls):
	Fix hard coded fonts.
	
	* components/rpmview/nautilus-rpm-verify-window.c:
	(nautilus_rpm_verify_window_initialize):
	Fix hard coded fonts.
	
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (horizontal_line_new), (install_message_new),
	(generate_install_form),
	(nautilus_service_install_view_initialize),
	(current_progress_bar_complete),
	(nautilus_service_install_installing):
	Fix hard coded fonts.
	
	* components/services/login/nautilus-view/nautilus-change-password-
	view.c: (generate_change_password_form), (authn_succeeded),
	(authn_failed), (change_password_button_cb),
	(nautilus_change_password_view_initialize):
	Fix hard coded fonts.  Cleanup header inclusion a bit.
	
	* components/services/nautilus-dependent-shared/Makefile.am:
	Retire some crufty code.
	
	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.c: (eazel_services_image_new),
	(eazel_services_image_new_from_uri):, (eazel_services_label_new):
	Update for label, image and hard coded font changes.
	
	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.h:
	Make the colors opaque.  Remove a bunch of hard coded font stuff.
	Also remove a bunch of hard coded offsets.  We use alignments and
	paddings instead.

	* components/services/nautilus-dependent-shared/eazel-services-foot
	er.c: (label_enter_event), (label_leave_event),
	(image_enter_event), (footer_item_new),
	(eazel_services_footer_update):
	Update for label, image and hard coded font changes.

	* components/services/nautilus-dependent-shared/eazel-services-head
	er.c: (eazel_services_header_title_new),
	(eazel_services_header_middle_new):
	* components/services/nautilus-dependent-shared/shared-service-util
	ities.c:
	* components/services/nautilus-dependent-shared/shared-service-util
	ities.h:
	* components/services/nautilus-dependent-shared/shared-service-widg
	ets.c:
	* components/services/nautilus-dependent-shared/shared-service-widg
	ets.h:
	* components/services/summary/nautilus-view/nautilus-summary-callba
	cks.c:
	* components/services/summary/nautilus-view/nautilus-summary-dialog
	s.c: (generate_login_dialog):
	* components/services/summary/nautilus-view/nautilus-summary-footer
	.c:
	* components/services/summary/nautilus-view/nautilus-summary-menu-i
	tems.c:
	* components/services/summary/nautilus-view/nautilus-summary-view-p
	rivate.h:
	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_eazel_news_entry_row), (generate_update_news_entry_row):
	Update for label, image and hard coded font changes.
	
	* libnautilus-extensions/Makefile.am:
	Add new smooth/label/image widget stuff.  Retire buffered widget.
	
	* libnautilus-extensions/nautilus-art-extensions.c:
	(nautilus_art_irect_get_width), (nautilus_art_irect_get_height):
	* libnautilus-extensions/nautilus-art-extensions.h:
	Two new very simple functions to get the width/height of an
	ArtIRect. 
	
	* libnautilus-extensions/nautilus-art-gtk-extensions.c:
	(nautilus_irect_gtk_widget_get_frame):
	* libnautilus-extensions/nautilus-art-gtk-extensions.h:
	New simple function to get the dimensions of a widget as an
	ArtIRect frame.

	* libnautilus-extensions/nautilus-buffered-widget.c:
	* libnautilus-extensions/nautilus-buffered-widget.h:
	Retire.  We dont use this no more.
	
	* libnautilus-extensions/nautilus-customization-data.c:
	(nautilus_customization_data_get_next_element_for_display):
	Update for image and hard coded font changes.

	* libnautilus-extensions/nautilus-debug-drawing.c:
	(debug_pixbuf_viewer_initialize_class),
	(debug_pixbuf_viewer_initialize), (debug_pixbuf_viewer_destroy),
	(debug_pixbuf_viewer_size_request),
	(debug_pixbuf_viewer_expose_event),
	(debug_pixbuf_viewer_set_pixbuf),
	(nautilus_debug_draw_rectangle_and_cross), (destroy_debug_window),
	(nautilus_debug_show_pixbuf):
	* libnautilus-extensions/nautilus-debug-drawing.h:
	Back to using a widget to display the debug pixbuf.  But since we
	cant use NautilusImage (because we want to use this debug stuff to
	debug NautilusImage itselft) we need something else.  Thus a new
	private and simple widget to display the debug pixbuf.
	
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_draw_to_drawable),
	(nautilus_gdk_pixbuf_draw_to_pixbuf_alpha): Fix a very dumb typo.
	(draw_tile_to_pixbuf_callback),
	(nautilus_gdk_pixbuf_draw_to_pixbuf_tiled),
	(nautilus_gdk_pixbuf_draw_to_drawable_tiled),
	(nautilus_gdk_pixbuf_get_from_window_safe):
	Rename opacity macros to FULLY_OPAQUE and FULLY_TRANSPARENT for
	clarity. 

	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	Rename opacity macros to FULLY_OPAQUE and FULLY_TRANSPARENT for
	clarity. 
	
	* libnautilus-extensions/nautilus-icon-factory.c: (embed_text):
	Update opacity macros.  Tiny update for change in font constructor.

	* libnautilus-extensions/nautilus-image-with-background.h:
	* libnautilus-extensions/nautilus-image-with-background.c:
	(find_background_ancestor), (draw_background_callback),
	(nautilus_image_new_with_background):
	Create a NautilusImage that uses NautilusBackground to
	draw the background.  We put this in a separate file to avoid the
	ugly dependency chain in NautilusBackground so that NautilusImage
	can be used by standalone components in the future.

	* libnautilus-extensions/nautilus-image.h:
	* libnautilus-extensions/nautilus-image.c:
	(nautilus_image_initialize_class), (nautilus_image_initialize),
	(nautilus_image_destroy), (nautilus_image_set_arg),
	(nautilus_image_get_arg), (nautilus_image_size_request),
	(image_paint_pixbuf_callback), (image_composite_pixbuf_callback),
	(nautilus_image_expose_event),
	(nautilus_image_set_is_smooth_signal), (image_get_pixbuf_frame),
	(image_get_pixbuf_bounds), (image_get_tile_frame),
	(nautilus_image_new), (nautilus_image_set_is_smooth),
	(nautilus_image_get_is_smooth), (nautilus_image_set_tile_pixbuf),
	(nautilus_image_get_tile_pixbuf), (nautilus_image_set_pixbuf),
	(nautilus_image_set_pixbuf_from_file_name),
	(nautilus_image_get_pixbuf), (nautilus_image_set_pixbuf_opacity),
	(nautilus_image_get_pixbuf_opacity),
	(nautilus_image_set_tile_opacity),
	(nautilus_image_get_tile_opacity), (nautilus_image_set_tile_width),
	(nautilus_image_get_tile_width), (nautilus_image_set_tile_height),
	(nautilus_image_get_tile_height),
	(nautilus_image_set_tile_mode_vertical),
	(nautilus_image_get_tile_mode_vertical),
	(nautilus_image_set_tile_mode_horizontal),
	(nautilus_image_get_tile_mode_horizontal),
	(nautilus_image_set_tile_pixbuf_from_file_name),
	(nautilus_image_set_background_mode),
	(nautilus_image_get_background_mode),
	(nautilus_image_set_solid_background_color),
	(nautilus_image_get_solid_background_color),
	(nautilus_image_new_solid):
	Fixed many problems.  Properly handles rendering 
	on top of arbitrary Gtk backgrounds.  Does not allocate a buffer
	the size of the widget anymore.  All rendering occurs on exposure
	events.  Honrts the the GtkMisc superclass attrbutes for alignment
	and padding.  The widget is a lot simpler now.
	
	* libnautilus-extensions/nautilus-label-with-background.h:
	* libnautilus-extensions/nautilus-label-with-background.c:
	(find_background_ancestor), (draw_background_callback),
	(nautilus_label_new_with_background):
	Create a NautilusLabel that uses NautilusBackground to
	draw the background.  We put this in a separate file to avoid the
	ugly dependency chain in NautilusBackground so that NautilusLabel
	can be used by standalone components in the future.

	* libnautilus-extensions/nautilus-label.h:
	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_initialize_class), (nautilus_label_initialize),
	(nautilus_label_destroy), (nautilus_label_set_arg),
	(nautilus_label_get_arg), (nautilus_label_size_request),
	(label_paint_pixbuf_callback), (label_composite_pixbuf_callback),
	(nautilus_label_expose_event),
	(nautilus_label_set_is_smooth_signal), (label_draw_text_to_pixbuf),
	(label_get_default_line_wrap_width), (label_get_text_frame),
	(label_get_text_bounds), (label_get_tile_frame), (label_peek_text),
	(label_get_empty_line_height),
	(label_get_total_text_and_line_offset_height),
	(label_line_geometries_clear), (label_line_geometries_recompute),
	(nautilus_label_new), (nautilus_label_set_smooth_font),
	(nautilus_label_get_smooth_font),
	(nautilus_label_set_smooth_font_size),
	(nautilus_label_get_smooth_font_size),
	(nautilus_label_set_is_smooth), (nautilus_label_get_is_smooth),
	(nautilus_label_set_tile_pixbuf), (nautilus_label_get_tile_pixbuf),
	(nautilus_label_set_text_opacity),
	(nautilus_label_get_text_opacity),
	(nautilus_label_set_tile_opacity),
	(nautilus_label_get_tile_opacity), (nautilus_label_set_tile_width),
	(nautilus_label_get_tile_width), (nautilus_label_set_tile_height),
	(nautilus_label_get_tile_height),
	(nautilus_label_set_tile_mode_vertical),
	(nautilus_label_get_tile_mode_vertical),
	(nautilus_label_set_tile_mode_horizontal),
	(nautilus_label_get_tile_mode_horizontal),
	(nautilus_label_set_tile_pixbuf_from_file_name),
	(nautilus_label_set_background_mode),
	(nautilus_label_get_background_mode),
	(nautilus_label_set_solid_background_color),
	(nautilus_label_get_solid_background_color),
	(nautilus_label_set_smooth_line_wrap_width),
	(nautilus_label_get_smooth_line_wrap_width),
	(nautilus_label_set_text_color), (nautilus_label_get_text_color),
	(nautilus_label_set_smooth_drop_shadow_offset),
	(nautilus_label_get_smooth_drop_shadow_offset),
	(nautilus_label_set_smooth_drop_shadow_color),
	(nautilus_label_get_smooth_drop_shadow_color),
	(nautilus_label_set_justify), (nautilus_label_get_text_justify),
	(nautilus_label_set_text), (nautilus_label_get_text),
	(nautilus_label_set_wrap), (nautilus_label_get_wrap),
	(nautilus_label_new_solid), (nautilus_label_make_bold),
	(nautilus_label_make_larger), (nautilus_label_make_smaller):
	Fixed many problems.  Properly handles rendering 
	on top of arbitrary Gtk backgrounds.  Does not allocate a buffer
	the size of the widget anymore.  All rendering occurs on exposure
	events.  Honors the the GtkMisc superclass attrbutes for alignment
	and padding.  NautilusLabel is now subclassed from GtkLabel
	itself.  That means that the is_smooth attribute can be toggled to
	make both religions happy.  Support for making the label larger,
	smaller and/or bold based on the current font.  Renamed a lot of
	methods to make it obvious that they apply only to the smooth case.
	Also made the api match GtkLabel more closely.  So many functions
	got renamed.
	
	* libnautilus-extensions/nautilus-radio-button-group.c:
	(nautilus_radio_button_group_set_entry_pixbuf):
	Tiny update for changes in the NautilusImage constructor.

	* libnautilus-extensions/nautilus-scalable-font-private.h:
	New file.  Some private font stuff lives here.  I need this
	changed for a checkin that I will make later regarding improvement
	of performance in the icon container smooth fonts.
	
	* libnautilus-extensions/nautilus-scalable-font.h:
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_initialize), (font_entry_new),
	(font_entry_free), (nautilus_scalable_font_new),
	(nautilus_scalable_font_make_bold),
	(nautilus_scalable_font_draw_text),
	(nautilus_scalable_font_draw_text_lines_with_dimensions),
	(nautilus_scalable_font_draw_text_lines),
	(nautilus_scalable_font_get_default_font),
	(nautilus_scalable_font_get_rsvg_handle),
	(nautilus_scalable_font_get_rsvg_context),
	(nautilus_text_layout_paint):
	Change the constructor to return the type itself instead of
	GtkObject.  Some minor style tweaks.  Keep track of the font entry
	that was used to allocate the font.  New private functions for
	accessing the rsvg context and font handles.  Remove an unsed
	function. 
	
	* libnautilus-extensions/nautilus-smooth-widget.h:
	* libnautilus-extensions/nautilus-smooth-widget.c:
	(widget_is_smooth), (smooth_widget_set_is_smooth),
	(preferences_get_is_smooth), (smooth_widget_destroy),
	(smooth_graphics_mode_changed_callback),
	(nautilus_smooth_widget_register),
	(smooth_widget_get_tile_origin_point),
	(smooth_widget_get_gtk_background), (smooth_widget_get_background),
	(smooth_widget_paint_tile_opaque),
	(smooth_widget_paint_tile_transparent),
	(smooth_widget_paint_content_opaque),
	(smooth_widget_paint_content_transparent),
	(smooth_widget_paint_tile_and_content_transparent),
	(nautilus_smooth_widget_paint),
	(nautilus_smooth_widget_get_tile_bounds),
	(nautilus_smooth_widget_get_preferred_frame):
	Shared code between NautilusLabel and NautilusImage.  ALl the code
	to support smooth toggable widgets lives here.  Also, keep track
	of smooth widgets and toggle their is_smooth attribute in response
	to nautilus smooth graphics preferences changes.
	
	* libnautilus-extensions/nautilus-tabs.c:
	(nautilus_tabs_initialize), (draw_tab_label):
	Tiny update for change in font constructor.  Add a FIXME for a
	hard coded font issue im going to fix later.  Opacity macro
	update. 
	
	* src/file-manager/fm-properties-window.c:
	(create_image_widget_for_file):
	Using the new image widget makes this code a lot simpler.  No
	longer need to check smooth preference.  It all happens
	automatically. 
	
	* src/file-manager/nautilus-indexing-info.c:
	(update_progress_display), (show_reindex_request_information),
	(show_index_progress_bar), (show_indexing_info_dialog):
	Fix a bunch of hard coded font issues.
	
	* src/nautilus-about.c: (draw_aa_string),
	(nautilus_about_draw_info), (nautilus_about_update_authors):
	Tiny update for change in font constructor.  Opacity macro
	update. 
	
	* src/nautilus-first-time-druid.c: (label_new_left_justified),
	(make_hbox_user_level_radio_button), (set_up_user_level_page),
	(set_up_service_signup_page), (set_up_update_page),
	(set_up_proxy_config_page), (set_up_update_feedback_page),
	(nautilus_first_time_druid_show):
	Fix a bunch of hard coded font issues.  Also fix the rendering
	problems with image usage inside selectable buttons.
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(set_emblem_image_from_file), (make_property_tile),
	(make_properties_from_directories), (add_reset_property),
	(make_properties_from_xml_node),
	(nautilus_property_browser_update_contents):
	Fix hard coded fonts.  Update for NautilusImage and NautilusLabel
	changes. 
	
	* src/nautilus-search-bar-criterion.c:
	Remove unused #include.
	
	* src/nautilus-shell.c: (display_caveat):
	Fix hard coded fonts.
	
	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_load_theme_data), (draw_one_tab_plain),
	(draw_one_tab_themed):
	Fix hard coded fonts.  Opacity macros update.
	
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_initialize),
	(nautilus_sidebar_title_select_text_color), (update_icon),
	(update_font), (update_title), (update_more_info), (add_emblem),
	(sidebar_title_create_title_label),
	(sidebar_title_create_more_info_label),
	(smooth_graphics_mode_changed_callback):
	Update for NautilusImage and NautilusLabel changes.  Made the
	widget a lot simpler.  

	We no longer need to keep track of smooth changes in the sidebar
	title.  They are taked care automatically by the widgets.  

	We no longer need to create 2 labels to honor smoothness.
	NautilusLabel does it all now.
	
	Removed a set_background() function that already
	exists in nautilus-extensions.

	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize), (set_help_label),
	(exit_remove_mode):
	Fix hard coded fonts.
	
	* test/font-test.sh:
	Retire.  Not needed.

	* test/.cvsignore:
	* test/Makefile.am:
	Add a bunch of tests.

	* test/test.h:
	* test/test.c:
	Put shared test code here.
	
	* test/test-nautilus-font-simple.c:
	* test/test-nautilus-font.c:
	* test/test-nautilus-image-background.c:
	* test/test-nautilus-image-scrolled.c:
	* test/test-nautilus-image-simple.c:
	* test/test-nautilus-image-tile.c:
	* test/test-nautilus-image.c:
	* test/test-nautilus-label-background.c:
	* test/test-nautilus-label-flavorful.c:
	* test/test-nautilus-label-scrolled.c:
	* test/test-nautilus-label-simple.c:
	* test/test-nautilus-label-wrapped.c:
	* test/test-nautilus-label.c:
	* test/test-nautilus-pixbuf-tile.c:
	* test/test-nautilus-smooth-graphics.c:
	* test/test-nautilus-wrapped-label.c:
	Some new tests.  Many updates to old label and image tests.

2001-01-11  Robin * Slomkowski  <rslomkow@eazel.com>

	* components/services/inventory/Makefile.am: added $(IDL) to
	EXTRA_DISTS

2001-01-11  Ian McKellar  <ian@eazel.com>

	* components/services/install/command-line/Makefile.am:
	Don't build the inventory test code here as the inventory code has
	moved to the inventory component.

	* components/services/inventory/eazel-inventory-service-interface.i
	dl:
	This file was missing from mjs' checkin of the inventory upload code.

2001-01-11  Andy Hertzfeld  <andy@eazel.com>

	fixed bug 5338, switching to and from "tighter layout" messes up
	icon labels, by adding a call to invalidate an item's cached label
	size, and making the icon canvas invalidate the items when appropriate.
	This also fixes a similar problem when the anti-aliased mode changes.
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_initialize),
	(nautilus_icon_canvas_item_invalidate_label_size),
	(nautilus_icon_canvas_item_set_arg):
	renamed internal invalidation routine to make it externally accessible
	
	* libnautilus-extensions/nautilus-icon-canvas-item.h:
	added nautilus_icon_canvas_item_invalidate_label_size
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(invalidate_label_sizes),
	(nautilus_icon_container_set_anti_aliased_mode),
	(nautilus_icon_container_set_tighter_layout):
	added an invalidate_label_sizes routine and called it when
	tighter layout or the anti-aliased mode changes.
	
2001-01-11  Robin * Slomkowski  <rslomkow@eazel.com>

	reviewed by: <Josh Barrow  <josh@eazel.com>

	* components/services/Makefile.am: fixed typo for
	variable INSTALL_SERVICES

2001-01-11  Michael Engber  <engber@eazel.com>

	reviewed by: John Sullivan

	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(timed_wait_delayed_destroy_dialog_callback), (timed_wait_free),
	(timed_wait_cancel_callback), (timed_wait_callback),
	(nautilus_timed_wait_start), (nautilus_timed_wait_stop):
	* libnautilus-extensions/nautilus-trash-directory.c:
	(find_directory_callback), (add_volume):
	We now put up a dialog when searching for trash is slow - bug 3990.
	Also added a minimum time up to nautilus_timed_wait dialogs
	so they don't disappear before the user has a chance to read them.
	Also, nautilus_timed_wait_start will now accept NULL for the
	cancel_callback, resulting in a dialog without a cancel button.

2001-01-11  Michael Engber  <engber@eazel.com>

	* configure.in:
	Missed configure.in in prior check in.

2001-01-11  Josh Barrow  <josh@eazel.com>


	* components/services/Makefile.am:
	Fixed typo that said, "INSTALLS_SERVICE".  Changed it to
	"INSTALL_SERVICE"

2001-01-11  Maciej Stachowiak  <mjs@eazel.com>

	pair programmed with Ian McKellar <ian@eazel.com>

	Fix bugs 5100 ("First time dialog" for inventory preferences) and
	5099 (Need configuration preferences for inventory control). Ian
	and I did a first cut at a component for inventory gathering and
	upload, as well as a start on the client-side UI for this.

	* components/services/Makefile.am, configure.in: Add
	components/services/inventory and
	components/services/inventory-view directories to build.

	* components/services/install/lib/eazel-inventory-utils.c,
	components/services/install/lib/eazel-inventory-utils.h: Move
	these files to components/services/inventory.
	* components/services/install/lib/Makefile.am: Remove from build
	here.

	* components/services/inventory-view/.cvsignore:
	* components/services/inventory-view/Makefile.am:
	* components/services/inventory-view/Nautilus_View_inventory.oaf.in
	:
	* components/services/inventory-view/main.c: (main):
	* components/services/inventory-view/nautilus-inventory-config-page
	.c: (nautilus_inventory_config_page_initialize_class),
	(next_button_callback),
	(nautilus_inventory_config_page_initialize),
	(nautilus_inventory_config_page_new),
	(nautilus_inventory_config_page_destroy):
	* components/services/inventory-view/nautilus-inventory-config-page
	.h:
	* components/services/inventory-view/nautilus-inventory-view.c:
	(nautilus_inventory_view_initialize_class),
	(nautilus_inventory_view_initialize),
	(nautilus_inventory_view_destroy),
	(inventory_load_location_callback):
	* components/services/inventory-view/nautilus-inventory-view.h:

	First cut at the inventory view component. Right now it only
	provides a config page, over time it may also do inventory
	display.

	* components/services/inventory/.cvsignore:
	* components/services/inventory/Makefile.am:
	* components/services/inventory/Trilobite_Service_inventory.oaf.in:
	* components/services/inventory/eazel-inventory-client.c:
	(gboolean_to_yes_or_no), (main):
	* components/services/inventory/eazel-inventory-service.c:
	(get_enabled), (impl_Trilobite_Eazel_Inventory__get_enabled),
	(impl_Trilobite_Eazel_Inventory__set_enabled),
	(impl_Trilobite_Eazel_Inventory__get_machine_name),
	(impl_Trilobite_Eazel_Inventory__set_machine_name),
	(get_warn_before_upload),
	(impl_Trilobite_Eazel_Inventory__get_warn_before_upload),
	(impl_Trilobite_Eazel_Inventory__set_warn_before_upload),
	(impl_Trilobite_Eazel_Inventory_upload),
	(eazel_inventory_service_get_epv),
	(eazel_inventory_service_finalize),
	(eazel_inventory_service_unref),
	(eazel_inventory_service_class_initialize),
	(eazel_inventory_service_create_corba_object),
	(eazel_inventory_service_initialize),
	(eazel_inventory_service_get_type), (eazel_inventory_service_new):
	* components/services/inventory/eazel-inventory-service.h:
	* components/services/inventory/eazel-inventory-utils.c:
	(eazel_inventory_gconf_done), (check_gconf_init),
	(eazel_create_configuration_metafile), (eazel_gather_inventory):
	* components/services/inventory/main.c:
	(eazel_inventory_service_factory_destroy),
	(eazel_inventory_service_factory), (main):

	First cut at back end inventory gathering and upload
	component. Right now it uses libeazelinstall directly, it should
	probably be changed to use the install/package system CORBA
	component for package info.
	
2001-01-10  Mike Fleming  <mfleming@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-callba
	cks.c: (authn_cb_failed):

	Dialog rewording.  Commented out the "Login failed" dialog that I had
	added.  The user keeps getting re-prompted for now.

2001-01-10  Andy Hertzfeld  <andy@eazel.com>

	* components/text/nautilus-text-view.c:
	(nautilus_text_view_initialize), (nautilus_text_view_destroy),
	(done_file_read), (file_read_callback), (file_opened_callback),
	(nautilus_text_view_update):
	fixed bug 3256, loading a huge text file crashes nautilus.  Now,
	if the file size exceeds a predetermined threshold, currently
	set at a megabyte, it truncates it to the threshold amount and
	warns the user with an error dialog.  As part of this, I made
	the text view load files asynchronously and progressively, as
	Maciej suggested; however, we won't see the benefit of this
	until Pavel checks in some gnome-vfs optimizations he's working
	on since currently gnome-vfs doesn't give the main loop much
	time to run if it has ongoing activity.
	
	* components/text/services/Makefile.am:
	* components/text/services/french_to_english.xml:
	at Bud's request, checked in the "frech to english" text service
	
	* src/file-manager/fm-properties-window.c: (create_emblems_page):
	removed debug message that I accidentally checked in.
	
2001-01-10  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 5427, Right-click menu for disk should include
	a way to unmount it.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(unmount_volume_callback), (volume_link_is_selection),
	(real_update_menus), (real_merge_menus):
	Add a context sensitive menu to Nautilus volume links
	which allows the volume it represents to be unmounted.
	Only allow this if the volume is removable. Currently
	only removable volumes are shown on the desktop.
	
	* src/file-manager/nautilus-desktop-icon-view-ui.xml:
	Add command path for new unmount volume command
	
2001-01-10  Michael Engber  <engber@eazel.com>

	reviewed by: John Harper

	* configure.in:
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_initialize_common),
	(nautilus_background_canvas_group_initialize),
	(nautilus_background_canvas_group_supplant_root_class):
	* libnautilus-extensions/nautilus-background-canvas-group.h:
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_set_up_canvas):
	Turned on dithering for canvases (aa mode). We no longer expose
	NautilusBackgroundCanvasGroupClass, in nautilus-background-canvas-
	group.h. Now we just provide an API to do the class change.

2001-01-10  Pavel Cisler  <pavel@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-install-view.c:
	(install_message_new):
	Fix a warning and the build.
	
2001-01-09  Mike Fleming  <mfleming@eazel.com>

	Added dialogs as specified in:

	3871 
		Logging in to account that has not been activated
		should produce activation instructions

	3399
		no bad passwd lockout dialog in Nautilus

	Also, changed the way the "max login retries" condition was handled
	(it previously wasn't) 

	* components/services/summary/nautilus-view/nautilus-summary-callba
	cks.c: (authn_cb_failed), (login_button_cb):
	* components/services/summary/nautilus-view/nautilus-summary-dialog
	s.c: (nautilus_summary_login_failure_dialog),
	(generate_login_dialog):
	* components/services/summary/nautilus-view/nautilus-summary-dialog
	s.h:
	* components/services/summary/nautilus-view/nautilus-summary-view-p
	rivate.h:

2001-01-09  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/Nautilus_View_install.o
	af.in:

	Give the install view a reasonable name that won't make people's
	heads explode.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (line_expose), (horizontal_line_new),
	(install_message_destroy), (install_message_new),
	(generate_install_form), (show_overall_feedback),
	(nautilus_service_install_view_initialize), (deps_destroy_foreach),
	(nautilus_service_install_view_destroy),
	(nautilus_service_install_view_get_nautilus_view),
	(nautilus_install_parse_uri), (current_progress_bar_complete),
	(nautilus_service_install_downloading),
	(nautilus_service_install_dependency_check),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_installing),
	(nautilus_service_install_failed),
	(nautilus_service_install_view_update_from_uri),
	(nautilus_service_install_view_load_uri),
	(service_install_stop_loading_callback):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.h:
	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.h:

	Many changes to make the install view prettier and less annoying
	-- mostly Arlo'ified now, with some tweaking left to do.

2001-01-09  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Work to make icons in list view draw anti-aliased in respect to
	the background. Fixes bug 1659

	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.h
	(NautilusCellType): added new type NAUTILUS_CELL_PIXBUF at end
	of this enum

	* libnautilus-extensions/nautilus-list.c (NautilusListDetails):
	added fields for RGB values of all background colors

	(nautilus_gdk_set_shifted_foreground_gc_color): return the
	shifted RGB value

	(nautilus_list_setup_style_colors): save RGB values of all
	background colors into the details structure

	(get_cell_style): added another parameter: `bg_rgb', when a non
	null pointer it gets set to the RGB value of the chosen
	background color

	(draw_cell_pixbuf): added another parameter: `bg_rgb'.
	Composite the pixbuf onto a square of this color (using the
	full 8-bit alpha), then blit the entire square onto the
	drawable

	(draw_cell): added cases to handle NAUTILUS_CELL_PIXBUF type.
	Also pass the extra arg to draw_cell_pixbuf in
	NAUTILUS_CELL_PIXBUF_LIST case

	(nautilus_list_set_cell_contents): handle NAUTILUS_CELL_PIXBUF
	case

	(nautilus_list_set_pixbuf_list): broke out contents into the
	new function set_list_cell, parameterized by the
	NautilusCellType in addition
	(nautilus_list_set_pixbuf): new function, calls set_list_cell

	* src/file-manager/fm-list-view.c (install_row_images): get the
	file's icon as a pixbuf, not a pixmap/mask pair. Then use
	nautilus_list_set_pixbuf to install it in the list cell

2001-01-09  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Mike Engber <engber@eazel.com>

	Fixed bug 5220, Default desktop icon overwritten by dragging
	same-named file to Desktop

	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_transfer_overwrite):
	We now check for special link files being overwritten and
	notify the user that such an action is not allowed.
	
2001-01-08  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-customization-data.c:
	(nautilus_customization_data_destroy):
	fixed recently introduced memory leak by calling
	nautilus_g_hash_table_destroy_deep instead of
	g_hash_table_destroy
	
	* src/nautilus-sidebar-title.c: (update_icon):
	fixed problem in the sidebar where web pages were getting the
	generic icon instead of the web icon. Fixed by adding
	"http:" to the protocols the sidebar special-cases.
	
2001-01-08  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	A cut at an ability to build without Medusa, starting with a patch
	that Eric Fischer wrote. This change is not fully tested.

	Fixed bug 5513 ("nautilus --help" displays "Help options" twice).

	* acconfig.h: Add HAVE_MEDUSA.
	* configure.in: Add code to detect HAVE_MEDUSA.
	
	* libnautilus-extensions/nautilus-customization-data.c:
	(nautilus_customization_data_destroy), (load_name_map_hash_table):
	Added a FIXME.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-trash-file.h:
	* libnautilus-extensions/nautilus-trash-file.c:
	(nautilus_trash_file_initialize), (trash_destroy),
	(nautilus_trash_file_initialize_class):
	* libnautilus-extensions/nautilus-vfs-file.h:
	* libnautilus-extensions/nautilus-vfs-file.c:
	(nautilus_vfs_file_initialize), (vfs_destroy),
	(nautilus_vfs_file_initialize_class):
	Initial cut at breaking out the special trash version of
	NautilusFile. Sadly we need this as well as
	NautilusTrashDirectory.
	
	* src/file-manager/fm-search-list-view.c:
	(load_location_callback): Add _() so things get localized and put
	the code to compose the indexing message inside ifdef HAVE_MEDUSA.
	
	* src/file-manager/nautilus-indexing-info.h:
	* src/file-manager/nautilus-indexing-info.c:
	Put HAVE_MEDUSA ifdefs around most of this file.
	(get_text_for_progress_label): Mark string for translation.
	(update_progress_display): Remove code to "handle" timeout left
	around after dialog is destroyed.
	(update_file_index_callback): Change error messages to be more
	easily localizable. Use nautilus_error_dialog instead of
	gnome_error_dialog.
	(timeout_remove_callback): Get rid of the timeout when the object
	is destroyed.
	(show_index_progress_bar): Connect handler to get rid of the
	timeout when the object is destroyed.
	(show_indexing_info_dialog): Move code that puts up dialog into a
	new function. Also use nautilus_gtk_window_present to put up a
	window. Change the NautilusLabel to use line wrapping.
	(show_search_service_not_available_dialog): Put this dialog in its
	own function so you can use it multiple times.
	(nautilus_indexing_info_request_reindex): Put HAVE_MEDUSA around
	the content of this function.
	(nautilus_indexing_info_get_last_index_time): Put HAVE_MEDUSA
	around the function, with a small simple implementation for the
	other case.
	(nautilus_indexing_info_show_dialog): Put HAVE_MEDUSA around the
	function, with a small invocation of the "not available" dialog.
	
	* src/nautilus-main.c: (main): Remove redundant AUTOHELP.
	
	* src/nautilus-search-bar-criterion.c: (make_emblem_value_menu):
	Fix emblem_name storage lifetime problem.

	* src/file-manager/fm-icon-view.c: Whitespace tweak.

2001-01-08  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Some infrastructure for bug 2068 and related bugs.
	No actual user-visible changes yet.

	* libnautilus-extensions/nautilus-scrolled-window.h:
	* libnautilus-extensions/nautilus-scrolled-window.c:
	New files, implement a subclass of GtkScrolledWindow
	that sends a signal when the scroll position changes.
	This was tragically left out of GtkScrolledWindow.
	(nautilus_scrolled_window_initialize_class),
	(nautilus_scrolled_window_initialize): The usual stuff.
	(get_hadjustment), (get_vadjustment): Little helper
	functions to avoid repeating some casting.
	(adjustment_changed_callback): Callback that emits the
	scroll_changed signal when the scroll changes.
	(connect_adjustment): Helper function that disconnects
	old signals and sets up new ones when the adjustment
	objects change.
	(real_set_arg): virtual function overridden to connect
	up adjustment_changed_callback.
	(nautilus_scrolled_window_set_vadjustment),
	(nautilus_scrolled_window_set_hadjustment): New functions
	that call through to gtk_scrolled_window_xxx and connect
	up adjustment_changed_callback.
	
	* libnautilus-extensions/Makefile.am: Add the new
	files to the build.
	
	* libnautilus-extensions/nautilus-metadata.h:
	#define NAUTILUS_METADATA_KEY_ICON_VIEW_SCROLL_ORIGIN

	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize): Make FMDirectoryView inherit
	from NautilusScrolledWindow instead of GtkScrolledWindow so
	it can hook into the scroll_changed signal.

2001-01-08  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 5507, nautilus crashes when you unmount a drive while a file is
	viewed in music viewer
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(close_error_pipe):
	In the case of a failed unmount, I was just assigning a string to memory
	that was later being freed, rather than allocating the memory and
	copying the string. I now allocate memory and copy the string.

2001-01-08  Eric Fischer  <eric@eazel.com>

	* configure.in:

	Add check for gnome-xml version; insist on version 1.x.
	(reviewed by robin@eazel.com)

2001-01-08  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-logic2.c:
	(is_satisfied), (is_filename_probably_a_directory),
	(no_two_packages_with_same_file),
	(package_is_upgrading_and_doesnt_need_file),
	(check_conflicts_with_other):

	Rough drafts for 2 of the functions Eskil left in pseudocode form.

	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package):
	* components/services/trilobite/libtrilobite/trilobite-core-network
	.c: (trilobite_open_uri):

	Fix two typos (no code change).

2001-01-08  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_preflight_check),
	(nautilus_service_install_installing):

	Add gnome-vfs and oaf to the list of packages that trigger a
	Nautilus restart.
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/gtk-hackery.c: (gtk_box_nth):
	* nautilus-installer/src/installer.c: (find_old_tmpdir):
	* nautilus-installer/src/package-tree.c:
	(package_customizer_set_package_list), (table_hbox_nth),
	(focus_next), (handle_focus), (jump_to_package_tree_page):

	Add mondo code to do keyboard focus management (as well as GTK
	will let us) in the package selector.

2001-01-08  Michael Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_draw),
	(nautilus_background_is_too_complex_for_gtk_style),
	(nautilus_background_is_dark):
	* src/nautilus-sidebar.c: (background_settings_changed_callback),
	(nautilus_sidebar_update_appearance):
	Draw sidebar gradients dithered to avoid striation - bug 5458.

2001-01-07  Andy Hertzfeld  <andy@eazel.com>

	fixed bugs 5189, 5190 and 5046, pattern and emblem names
	not translated, and upper-casing emblem names is bad for
	translation, by introducing a translatable display name
	specified in the browser xml file.
	
	* libnautilus-extensions/nautilus-customization-data.c:
	(nautilus_customization_data_new),
	(nautilus_customization_data_get_next_element_for_display),
	(nautilus_customization_data_destroy), (format_name_for_display),
	(load_name_map_hash_table):
	made it load a display name mapping from the browser xml file into
	a hash table when a nautilus customization is created; use the mapping
	to return a label with a translated name.
	
	* src/file-manager/fm-properties-window.c: (create_emblems_page):
	rewrote the emblem code in the properties window to use
	nautilus_customization instead of ad hoc code, so it will use
	the translated names.
	
	* src/nautilus-property-browser.c: (get_color_category):
	replaced custom xml code with a standard routine from xml_extensions.
	
	* src/nautilus-search-bar-criterion.c: (make_emblem_value_menu):
	fixed a memory leak and tweaked the code a bit for translated names.
	
	* data/browser.xml:
	added display name mappings for patterns and emblems
	
2001-01-05  Gene Z. Ragan  <gzr@eazel.com>

	* components/music/nautilus-music-view.c: (selection_callback),
	(value_changed_callback), (nautilus_music_view_load_uri):
	Fixed a bug introduced when all widgets are being shown 
	when a URI is loaded.  This includes both the on and off
	states of the play and pause controls.  Update control
	state right after the control are shown to correct this.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:
	(nautilus_volume_monitor_volume_is_removable):

	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link):
	More work on detecting is a volume is removable or not.
	
2001-01-05  Maciej Stachowiak  <mjs@eazel.com>

	* nautilus.spec.in: Correct names of .oaf files.

2001-01-05  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: removed time service refrences
	left the following renamed files for mjs to fix
	nautilus-service-install-view.oaf
	trilobite-eazel-install-service.oaf
	nautilus-change-password-view.oaf
	nautilus-summary-view.oaf
	nautilus-rpm-view.oaf

2001-01-05  Michael Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_shell_quote), (nautilus_g_round):
	* libnautilus-extensions/nautilus-glib-extensions.h:
	Added nautilus_g_round.

	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_start_renaming_selected_item):
	* libnautilus-extensions/nautilus-icon-text-item.c:
	(iti_stop_editing), (layout_text), (iti_edition_accept),
	(iti_entry_text_changed_by_clipboard), (iti_start_editing),
	(iti_destroy), (recompute_bounding_box), (iti_update), (iti_draw),
	(iti_render), (iti_point), (iti_start_selecting),
	(iti_stop_selecting), (iti_selection_motion), (iti_ensure_focus),
	(iti_event), (iti_bounds), (nautilus_icon_text_item_configure),
	(nautilus_icon_text_item_setxy), (nautilus_icon_text_item_select),
	(nautilus_icon_text_item_set_text),
	(nautilus_icon_text_item_get_type):
	* libnautilus-extensions/nautilus-icon-text-item.h:
	Overhauled nautilus-icon-text-item to be a more proper canvas
	item - mainly fixing it's use of coordinates.  Also simplified
	its configure api a bit. This fixed bug 4166. Also put in a
	workaround to fix bug 3973.
	

2001-01-05  George Lebl <jirka@5z.com>

	Darin saw this patch and says it should not destroy the world
	if I apply it.

	Fixes: 3988

	* libnautilus-extensions/nautilus-background.c
	  (nautilus_background_draw_flat_box):  Unset the mask on the bg_gc
	  from the style, not to leave the gc in a bad state

	* libnautilus-extentions/nautilus-list.c (nautilus_list_style_set)
	  (unref_gcs) (unref_a_gc) (nautilus_list_initialize_class) 
	  (nautilus_list_destroy) (nautilus_gdk_gc_copy)
	  (nautilus_list_realize) (make_gcs_and_colors)
	  (nautilus_list_unrealize):  Follow the theme by recopying the gcs
	  after a theme was changed.  Also do more sanity setting
	  when copying the gcs, just to be on the very safe side.

	* src/nautilus-theme-selector.c (theme_style_set_callback)
	  (setup_font_sizes_for_row) (setup_font_sizes_for_all_rows)
	  (clear_style_for_all_rows) (nautilus_theme_selector_initialize)
	  (add_theme):  Follow the current theme by binding to the style_set
	  signal and redoing the style stuff so that we don't get garbage
	  and other fun on changing of gtk theme.

2001-01-05  Robin * Slomkowski  <rslomkow@eazel.com>

	* components/notes/Makefile.am:
		added Nautilus_View_notes.oaf.in
	* components/services/login/nautilus-view/Makefile.am:
		added Nautilus_View_change-password.oaf.in
	* po/POTFILES.in: removed references to 
		components/services/time/command-line/main.c
		components/services/time/nautilus-view/main.c
		components/services/time/nautilus-view/trilobite-eazel-time-view.c
		components/services/time/service/main.c
		components/services/time/service/trilobite-eazel-time-service.c
		components/shell/Nautilus_View_shell.oaf.in

2001-01-05  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 5410 ("Esc" cancelling of icon stretch doesn't
	update menus)

	* libnautilus-extensions/nautilus-icon-container.h:
	Defined signals icon_stretch_started and icon_stretch_ended.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_initialize_class): Set up new signals.
	(emit_stretch_started), (emit_stretch_ended): New convenience
	functions for emitting new signals.
	(icon_toggle_selected), (undo_stretching),
	(nautilus_icon_container_show_stretch_handles): Emit new signals.
	
	* src/file-manager/fm-icon-view.c: 
	(create_icon_container): Call fm_directory_view_update_menus
	when icon_stretch_begin/end signals are emitted.
	(show_stretch_handles_callback),
	(unstretch_icons_callback): Remove calls to update menus, since
	we'll now do it when we get the stretch-state-changed signals.

2001-01-05  Darin Adler  <darin@eazel.com>

	* Makefile.am: Fix for wrongly named ChangeLog-200001018.
	* components/Makefile.am: Removed obsolete comment.

2001-01-05  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize), (nautilus_music_view_load_uri):
	fixed bug 4045, unfinished widgets during load in music view, by
	not showing the widgets until the load is completed.
	
2001-01-05  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c: (ensure_uri_is_image),
	(add_pattern_to_browser):
	fixed bug 5265, you shouldn't be able to replace the reset image
	in the property browser, by testing for that case and putting up
	an error dialog instead.
	
2001-01-05  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: changed .oafinfo to .oaf

2001-01-05  Gene Z. Ragan  <gzr@eazel.com>
	
	My previous change dealing with desktop mounts was a bit too
	overzealous.  Removable volumes now appear on the desktop
	when mounted.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_floppy_add), (mount_volume_iso9660_add),
	(mount_volume_add_filesystem):
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link):

2001-01-05  Maciej Stachowiak  <mjs@eazel.com>

	xml-i18n-toolized Nautilus (plus a bit of other cleanup) as part
	of resolving bug 2693 (I will consider my work done once I have
	also handled Bonobo).

	* autogen.sh, configure.in: xml-i18n-toolize
	* .cvsignore: ignore xml-i18n scripts
	* Makefile.am: distribute xml-i18n-scripts

	* components/adapter/Nautilus_ComponentAdapterFactory_std.oaf.in:
	Renamed from components/adapter/nautilus-adapter.oafinfo; mark
	translatable strings transalatable.
	* components/adapter/Makefile.am: Deal w/ oaf file rename, do
	merge.
	* components/adapter/.cvsignore: Ignore .oaf file.

	* components/hardware/.cvsignore, components/hardware/Makefile.am,
	components/hardware/Nautilus_View_hardware.oaf.in,
	components/hardware/nautilus-hardware-view.oafinfo: Ditto.
	* components/history/.cvsignore, components/history/Makefile.am,
	components/history/Nautilus_View_history.oaf.in,
	components/history/nautilus-history-view.oafinfo: Ditto.
	
	* components/image-viewer/.cvsignore,
	components/image-viewer/Makefile.am,
	components/image-viewer/Nautilus_View_image.oaf.in,
	components/image-viewer/nautilus-image-view.oafinfo: Ditto.

	* components/loser/content/.cvsignore,
	components/loser/content/Makefile.am,
	components/loser/content/Nautilus_View_content-loser.oaf.in,
	components/loser/content/nautilus-content-loser.oafinfo: Ditto.
	
	* components/loser/sidebar/.cvsignore,
	components/loser/sidebar/Makefile.am,
	components/loser/sidebar/Nautilus_View_sidebar-loser.oaf.in,
	components/loser/sidebar/nautilus-sidebar-loser.oafinfo: Ditto.
	* components/mozilla/.cvsignore, components/mozilla/Makefile.am,
	components/mozilla/Nautilus_View_mozilla.oaf.in,
	components/mozilla/nautilus-mozilla-content-view.oafinfo: Ditto.
	* components/music/.cvsignore, components/music/Makefile.am,
	components/music/Nautilus_View_music.oaf.in,
	components/music/nautilus-music-view.oafinfo: Ditto.
	* components/notes/.cvsignore, components/notes/Makefile.am,
	components/notes/Nautilus_View_notes.oaf.in,
	components/notes/nautilus-notes.oafinfo: Ditto.
	* components/rpmview/.cvsignore, components/rpmview/Makefile.am,
	components/rpmview/Nautilus_View_rpm.oaf.in,
	components/rpmview/nautilus-rpm-view.oafinfo: Ditto.
	* components/sample/.cvsignore, components/sample/Makefile.am,
	components/sample/Nautilus_View_sample.oaf.in,
	components/sample/nautilus-sample-content-view.oafinfo: Ditto.
	* components/services/install/nautilus-view/.cvsignore,
	components/services/install/nautilus-view/Makefile.am,
	components/services/install/nautilus-view/Nautilus_View_install.oaf.in,
	components/services/install/nautilus-view/nautilus-service-install-view.oafinfo:
	Ditto.
	* components/services/install/server/.cvsignore,
	components/services/install/server/Makefile.am,
	components/services/install/server/Trilobite_Service_install.oaf.in,
	components/services/install/server/trilobite-eazel-install-service.oafinfo:
	Ditto.
	* components/services/login/nautilus-view/.cvsignore,
	components/services/login/nautilus-view/Makefile.am,
	components/services/login/nautilus-view/Nautilus_View_change-password.oaf.in,
	components/services/login/nautilus-view/nautilus-change-password-view.oafinfo:
	Ditto.
	* components/services/summary/nautilus-view/.cvsignore,
	components/services/summary/nautilus-view/Makefile.am,
	components/services/summary/nautilus-view/Nautilus_View_services-summary.oaf.in,
	components/services/summary/nautilus-view/nautilus-summary-view.oafinfo: Ditto.
	* components/services/trilobite/sample/.cvsignore,
	components/services/trilobite/sample/nautilus-view/Makefile.am,
	components/services/trilobite/sample/nautilus-view/Nautilus_View_service-sample.oaf.in,
	components/services/trilobite/sample/nautilus-view/nautilus-sample-service-view.oafinfo:
	Ditto.
	* components/services/trilobite/sample/service/.cvsignore,
	components/services/trilobite/sample/service/Makefile.am,
	components/services/trilobite/sample/service/Trilobite_Service_sample.oaf.in,
	components/services/trilobite/sample/service/trilobite-eazel-sample-service.oafinfo:
	Ditto.
	* components/text/.cvsignore, components/text/Makefile.am,
	components/text/Nautilus_View_text.oaf.in,
	components/text/nautilus-text-view.oafinfo: Ditto.
	* src/.cvsignore, src/Makefile.am, src/Nautilus_shell.oaf.in,
	src/nautilus.oafinfo: Ditto.
	* components/tree/.cvsignore, components/tree/Makefile.am,
	components/tree/Nautilus_View_tree.oaf.in,
	components/tree/nautilus-tree-view.oafinfo.shlib: Ditto, and
	removed ability to build tree view as an exe component (no one was
	really using it anyway).
	* components/tree/nautilus-tree-view.oafinfo.exe: Removed.
	* components/help/.cvsignore, components/help/Makefile.am,
	components/help/Nautilus_View_help.oaf.in:
	components/help/help-contents.oafinfo: Ditto, and merged other
	oafinfo files into Nautilus_View_help.oaf.in, commented out.
	* components/help/help-factory.oafinfo,
	components/help/help-index.oafinfo,
	components/help/help-search.oafinfo: Removed.

	* po/POTFILES.in: Added .oaf.in files.
	* po/README.tools, po/ui-extract.pl, po/ui-testcases.glade,
	po/ui-testcases.xml, po/update.pl, po/update.sh: Removed these
	now-obsolete files.

	* components/services/Makefile.am: Removed time service from build.
	* components/html/*, components/websearch/*: cvs deleted these
	obsolete long since non-built components.
	* ChangeLog-200001018: Renamed to ChangeLog-20001018 (whoops)
	
2001-01-04  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(should_display_image_file_as_itself):
	fixed bug 5134, shouldn't display thumbnails for images that we
	don't have read permission by explicitly test for read permission
	in should_display_image_file_as_itself.
	
2001-01-04  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c: (should_preview_sound):
	fixed bug 5108, remote sounds get preview image, but don't actually
	preview.  Fixed by making can_preview_sound return FALSE for
	non-local sounds.
	
2001-01-04  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Rebecca Schulman  <rebecka@eazel.com>

	Fix 5451 - GnomeVFS-WARNING received at startup.

